2025-05-05 Mike Gabriel

        * Release 0.5.0 (HEAD -> main, tag: 0.5.0)

2025-05-04 Priit Jõerüüt

        * Translated using Weblate (Estonian) (a7b8fba78)

2025-05-05 Ratchanan Srirattanamet

        * Merge branch 'personal/fredldotme/mouse-revert' into 'main'
          (282f435fa)

2025-04-30 Alfred Neumayer

        * treewide: Mostly revert mouse pointer changes (0962fa21d)

2025-05-04 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/g_get_os_info' into 'main'
          (c46f3faee)

2025-05-03 Ratchanan Srirattanamet

        * Wizard: use g_get_os_info() to read /etc/os-release (81b6d9906)

2025-05-02 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/home-button-background' into
          'main' (1b323c4fe)

2025-05-01 Ratchanan Srirattanamet

        * LauncherPanel: allow customizing home button background color
          (1ec13b33b)
          Fixes:
          https://gitlab.com/ubports/development/core/lomiri/-/issues/125

2025-05-02 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/no-symbolic-icon-support' into
          'main' (33e2eb96d)

2025-05-02 Ratchanan Srirattanamet

        * LauncherPanel, Wizard: don't ask for `-symbolic` from icon theme
          (e57c76839)

2025-04-30 Ratchanan Srirattanamet

        * Merge branch 'personal/fredldotme/encryption' into 'main'
          (b355a5a09)

2025-04-22 Alfred Neumayer

        * qml: Quit greeter as soon as session has started (6e7006faf)
        * data/lomiri-greeter-wrapper: Watch lomiri process and start/stop
          indicators & maliit (69764f9b1)

2025-04-16 Alfred Neumayer

        * data: Fix lomiri-greeter-wrapper for Maliit & Mirclient use
          (67ef610f2)

2025-04-29 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/start-here-sizing' into 'main'
          (87fb0d884)

2025-04-29 Ratchanan Srirattanamet

        * LauncherPanel: increase size of home logo to match app icons
          (0bf3ab5b1)

2025-04-29 Mike Gabriel

        * Merge branch 'logo-resolver' into 'main' (42e9d8f06)

2024-03-26 Aster Boese

        * Switch wallpaper and logo resolution to ImageResolver (4218e7309)

2025-04-17 Mike Gabriel

        * Release 0.4.1 (5911df7b4) (tag: 0.4.1)

2025-04-04 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/no-edge-hint-on-rotate' into
          'main' (c965f499f)

2025-04-01 Ratchanan Srirattanamet

        * GestureAreaSizeHint: don't display on height change, including on
          rotate (c218689eb)

2025-04-04 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/dialer-app' into 'main'
          (d86f8f243)

2025-04-03 Ratchanan Srirattanamet

        * qml/, tests/: follow rename { => lomiri-}dialer-app (28f1d7cd8)

2025-04-04 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/122-availabledesktoparea' into
          'main' (77e47a774)

2025-04-03 Ratchanan Srirattanamet

        * Workspaces: use AvailableDesktopArea for screen space instead
          (3f991507d)

2025-04-03 Ida Brenna

        * Translated using Weblate (Norwegian Bokmål) (adb08efd1)

2025-04-03 Valery Levanchuk

        * Translated using Weblate (Belarusian) (20157346e)

2025-04-03 Alfred Neumayer

        * Merge branch
          'personal/peat-psuwit/launchermodel-remove-before-delete'
          into 'main' (2a0885777)

2025-04-02 Ratchanan Srirattanamet

        * plugins/Lomiri/Launcher: remove "leaked" item from list before
          deleting (dc1a86715)
          Fixes: 1430cd6d
          ("plugins/Lomiri/Launcher: Plug a memory leak")

        * Merge branch 'personal/sunweaver/lomiri-fails-to-start' into 'main'
          (212cbd227)

2025-04-01 Mike Gabriel

        * qml/Greeter/{Greeter.qml,SecondaryGreeter.qml}: Drop version from
          imports of ./ and ../. (ceb53a5d0)
        * Merge branch
          'personal/sunweaver/desktop-mode-improvments-by-fredldotme-selected-commits'
          into 'main' (091e96b0d)

2025-03-29 Alfred Neumayer

        * plugins/WindowManager: Don't set removeOnceSurfaceDestroyed for all
          windows (f3d98271d)

2025-03-28 Alfred Neumayer

        * tests: Disable session-broadcast tests for now (00baa3c56)

2024-08-05 Alfred

        * tests: Fix expectation in LauncherModel tests (5ad0c4f55)

2024-07-06 Alfred

        * tests/plugins/Lomiri: Adapt tests to work check with and without a
          surface (79175ac86)
        * tests/plugins/Lomiri: Reset launcher icons during
          testSurfaceCountUpdates() (d105f492b)
        * plugins/Lomiri/Launcher: Synchronize items with AccountsService and
          add comments for context (538593681)

2024-06-16 Alfred

        * tests: Adapt to new launcher icon visibility policy (a55e4b78d)

2024-06-07 Alfred

        * plugins/Lomiri/Launcher: Plug a memory leak (1430cd6df)

2024-03-03 Alfred Neumayer

        * plugins/WindowManager: Destroy QML windows after their surfaces
          (e0a435643)

2024-03-01 Alfred Neumayer

        * qml/Stage: Workaround WorkspacePreview renderer crashes (0e8e5697c)
        * qml: Workspace switcher improvements (2ce5972a2)

2024-02-27 Alfred Neumayer

        * plugins/Lomiri/Launcher: Hide surface-less app icons (e6572cc5b)

2024-02-24 Alfred Neumayer

        * qml/Shell: Hide and disallow Launcher in Greeter-only mode
          (0862e80af)

2024-02-23 Alfred Neumayer

        * DisplayConfigurationStorage: Fix typo (b64ab836b)

2025-03-28 Marius Gripsgard

        * Merge branch 'personal/fredldotme/another-lightmode-fix' into
          'main' (6d269b2d7)

2025-03-25 Alfred Neumayer

        * qml: Color "Drop" labels in Workspace preview in white (d2827bc62)

2025-03-28 Mike Gabriel

        * Release 0.4.0 (248b88c17) (tag: 0.4.0)

2025-03-25 Marius Gripsgard

        * Merge branch 'personal/fredldotme/mousepointer-multiscreen' into
          'main' (4c649d652)

2025-03-24 Alfred Neumayer

        * plugins & qml: Fix moving mouse cursor to second screen (8f5b1e07c)

2025-03-25 Niko

        * Translated using Weblate (Serbian) (dbc4cdb47)

2025-03-24 Marius Gripsgard

        * Merge branch 'main_-_edgevisualhint' into 'main' (e9aa6d1b6)

2025-03-12 Kugi Eusebio

        * Add visual hint when left and right edge gesture areas are resized
          (08d48e53f)

2025-03-24 Marius Gripsgard

        * Merge branch 'uss' into 'main' (26a44cfa7)

2025-03-23 Luca Weiss

        * Replace outdated USS abbreviation for lomiri-system-settings
          (193097c31)

2025-03-23 Mike Gabriel

        * Merge branch 'personal/fredldotme/lightmode-fixes' into 'main'
          (3c9dd5e44)

2025-03-21 Alfred Neumayer

        * qml: Various light mode fixes (073b36a79)

2025-03-20 Mike Gabriel

        * Merge branch 'personal/lduboeuf/lazy_load' into 'main' (2a188d406)

2025-03-18 Lionel Duboeuf

        * Only load ContactWatcher on demand. This prevents having the
          contact database opened permanently. (e4b941ccb)

2025-03-18 Wachid Adi Nugroho

        * Translated using Weblate (Indonesian) (5c33fe88a)
        * Translated using Weblate (Indonesian) (048e27774)

2025-03-17 Wachid Adi Nugroho

        * Translated using Weblate (Indonesian) (18b0019bf)
        * Translated using Weblate (Indonesian) (75fe9b12a)
        * Translated using Weblate (Indonesian) (22e8239fd)

2025-03-17 Wannaphong Phatthiyaphaibun

        * Translated using Weblate (Thai) (66f6ce68c)

2025-03-16 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (dc206a908)
        * Translated using Weblate (Spanish) (64f8c7153)

2025-03-16 Wannaphong Phatthiyaphaibun

        * Translated using Weblate (Thai) (f6a4dd520)

2025-03-13 Niko

        * Translated using Weblate (Serbian) (45548ae63)

2025-03-12 Niko

        * Translated using Weblate (Serbian) (59b1fcfc7)

2025-03-04 Viral

        * Translated using Weblate (Russian) (6239076a7)

2025-03-03 Serhii Horichenko

        * Translated using Weblate (Ukrainian) (eb1766426)

2025-02-06 Milo Ivir

        * Translated using Weblate (Croatian) (9adb23aac)

2025-02-07 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/cleanup-transitional' into
          'main' (bc039fe9b)

2025-02-07 Ratchanan Srirattanamet

        * d/control: follow rename qml-module-lomiri-telephony{0.1 => }
          (1a24ea2c6)

2025-02-05 Ratchanan Srirattanamet

        * Merge branch
          'personal/sunweaver/ayatana-indicators-target-in-wizard'
          into 'main' (34a5ab10c)

2025-01-30 Mike Gabriel

        * plugins/Wizard/System.cpp: Restart lomiri-indicators.target, not
          ayatana-indicators.target after wizard run has completed.
          (02591f574)

2025-02-04 Milo Ivir

        * Translated using Weblate (Croatian) (621e15fd7)

2025-02-02 Milo Ivir

        * Translated using Weblate (Croatian) (e8189dde2)

2025-01-29 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/copyright-test' into 'main'
          (e5e1d5139)

2025-01-28 Mike Gabriel

        * tests/copyright/check_copyright.sh: Ignore ('new')
          lomiri-indicators.target file in data/. (f0eec8a65)

2025-01-29 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/regression-fix-polkit' into 'main'
          (2ba70760a)

2025-01-28 Mike Gabriel

        * d/lomiri-common.install: Install polkit .rules file instead of the
          removed .pkla file. (fdbe026f2)

2025-01-23 Mike Gabriel

        * Revert "plugins/LightDM/SessionsModel.(cpp|h): Support using
          session badge icon from (new project)
          ayatana-greeter-badges." (9782c3cb8)
        * plugins/LightDM/SessionsModel.(cpp|h): Support using session badge
          icon from (new project) ayatana-greeter-badges.
          (db9862e18)

2025-01-20 Mike Gabriel

        * Merge branch 'pr/drop-pkla' into 'main' (b002099ee)

2025-01-15 Robert Tari

        * Drop the deprecated PolicyKit *.pkla file (aa7e7c50b)fixes:
          https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1093069

2025-01-12 தமிழ்நேரம்

        * Translated using Weblate (Tamil) (140020ac4)

2025-01-10 Mike Gabriel

        * Merge branch 'main_diacritics' into 'main' (29872f55f)

2025-01-09 Adam Havelka

        * normalize drawer's search input by removing diacritical marks using
          regex (a3f5ac5d2)

2025-01-06 Adam Havelka

        * Translated using Weblate (Czech) (cfd51625b)

2024-12-28 Hosted Weblate

        * Update translation files (a6c4f22d3)

2024-12-27 Hosted Weblate

        * Update translation files (34da75300)

2024-12-24 Adam Havelka

        * Translated using Weblate (Czech) (134c37425)

2024-11-28 Mike Gabriel

        * Merge branch 'capsia-main-patch-01532' into 'main' (6d8d64d02)

2024-11-26 Capsia

        * Drop suggestion to contribute on GitHub and references to 16.04
          (877250563)

2024-11-06 Ettore Atalan

        * Translated using Weblate (German) (46c3037f1)

2024-10-18 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (47133aa00)

2024-10-12 ikozyris

        * Translated using Weblate (Greek) (6c41345c1)

2024-10-10 Mike Gabriel

        * Merge branch 'personal/lduboeuf/fix_QML_warnings' into 'main'
          (9c0309812)

2024-10-09 Lionel Duboeuf

        * Add Missing QtQml imports for Bindings (c84a4e590)
        * Qtquick 5.12->5.15 (fa8d548f7)
        * Fix Warnings with Bindings (495ded390)
        * Specify which properties belong to whom. (f93c467cb)
        * fix deprecated Warnings with Connections signal handlers
          (931c3781f)

2024-10-03 Ratchanan Srirattanamet

        * Merge branch 'lomiri-target' into 'main' (1d2a0256a)

2024-10-02 Rahammetoela

        * remove the @CONFLICT_UNITS@ producing code (f28815986)
        * remove Conflicts= from lomiri-MODE.service (92b19ff25)

2024-10-01 Rahammetoela Toekiman

        * introduce lomiri.target (2ff113c7b)

2024-09-22 umesaburo sagawa

        * Translated using Weblate (Japanese) (2ded36f23)

2024-09-25 Mike Gabriel

        * Merge branch 'personal/notkit/ims-volte' into 'main' (4ba828521)

2024-09-24 TheKit

        * IndicatorMenuItemFactory: pass imsIcon to ModemInfoItem (304dbdf94)

2024-09-10 Mike Gabriel

        * Merge branch 'fix/accountsserviceStringDefaults' into 'main'
          (6f20fcf17)

2024-09-08 OPNA2608

        *
          lomiri/plugins/AccountsService/com.lomiri.shell.AccountsService.xml:
          Fix defaults (369c7aac2)

2024-09-01 Mike Gabriel

        * Merge branch 'main_-_sidestagecancel' into 'main' (26daeb41c)

2024-08-10 Kugi Eusebio

        * Hide side stage when app drag was cancelled (367afa198)

2024-08-16 Jack Torrent

        * Translated using Weblate (Turkish) (578df9834)

2024-08-21 Benedek Vigh (冯白诺)

        * Translated using Weblate (Hungarian) (8b2fce681)

2024-08-20 Mike Gabriel

        * Merge branch 'main_-_errorpage' into 'main' (c2a81dad7)

2024-08-10 Kugi Eusebio

        * Make texts black and enable wrapping (3c7f3835d)

2024-08-17 Mike Gabriel

        * Merge branch 'main_-_fix113' into 'main' (1f9068397)

2024-08-11 Kugi Eusebio

        * Explicitly check if priv.focusedAppDelegate is null when displaying
          window controls in the panel (6c046532e)

2024-08-17 Mike Gabriel

        * Merge branch 'main_-_spreadViaKeyboard' into 'main' (160616942)

2024-08-11 Kugi Eusebio

        * Only close spread upon closing the last app when workspace is not
          enabled (154775a3b)

2024-08-17 Mike Gabriel

        * Merge branch 'main_-_stageAppFocus' into 'main' (251b6a352)

2024-08-10 Kugi Eusebio

        * Activate the app that was dropped to the Main or Side stage
          (4e9be34d8)

2024-08-17 Mike Gabriel

        * Merge branch 'main_-_shortswipe_windowed' into 'main' (42cd8da27)

2024-08-10 Kugi Eusebio

        * Remove special code for short right edge swipe in windowed mode
          (821c15ee6)

2024-08-17 Mike Gabriel

        * Merge branch 'main_-_moveAppWorkspaceShortcut' into 'main'
          (9fc0b9d46)

2024-08-11 Kugi Eusebio

        * Add keyboard shortcut for moving apps between workspaces
          (92455566d)

2024-08-17 Mike Gabriel

        * Merge branch 'main_-_workspacePreviewFixes' into 'main' (005e9645a)

2024-08-12 Kugi Eusebio

        * Fixes and adjustments in the workspace previews (c4f504758)

2024-08-15 Mike Gabriel

        * Merge branch 'main_-_windowdraggesture' into 'main' (ecce29284)

2024-08-10 Kugi Eusebio

        * Put the gesture area on top of the overlay (d287ae0ca)

2024-08-15 Mike Gabriel

        * Merge branch 'main_-_sidestagehint' into 'main' (752af40f0)

2024-08-10 Kugi Eusebio

        * Hide side stage hint when appropriate (773740805)

2024-08-15 Mike Gabriel

        * Merge branch 'main_-_topSwipeDown' into 'main' (53a338d99)

2024-08-11 Kugi Eusebio

        * Add swipe down to temporarily show the top bar when in fullscreen
          (76947da17)

2024-08-11 umesaburo sagawa

        * Translated using Weblate (Japanese) (d07ee9194)

2024-08-13 Ratchanan Srirattanamet

        * Merge branch 'personal/gberh/lightdm-compat' into 'main'
          (fbcf083f5)

2024-08-12 Guido Berhoerster

        * Fix compatibility with LightDM >= 1.32 (1451590f4)

2024-08-07 umesaburo sagawa

        * Translated using Weblate (Japanese) (b89a2deef)

2024-07-22 Jiri Grönroos

        * Translated using Weblate (Finnish) (8a455cc77)

2024-07-28 Mike Gabriel

        * Merge branch
          'fix/testAsynchronousChangeForKeymaps-regular-accountsservice'
          into 'main' (9b0ac1a6b)

2024-07-26 OPNA2608

        * tests/plugins/AccountsService/client.cpp: Fix non-Ubuntu
          AccountsService InputSources test (353153c4e)

2024-07-20 Mike Gabriel

        * Release 0.3.0 (0b85fddd0) (tag: 0.3.0)

2024-07-08 Ricky From Hong Kong

        * Translated using Weblate (Chinese (Traditional, Hong Kong))
          (e9aa6e45c)

2024-07-12 Mike Gabriel

        * Merge branch 'personal/fredldotme/newbrandingbfb' into 'main'
          (f97037b6a)

2024-02-11 Alfred Neumayer

        * qml/Launcher: Use new branding logo for home button (2620003bb)

2024-07-12 Mike Gabriel

        * Merge branch 'main_-_fixManyAppsSpread' into 'main' (fcdab9c4f)

2024-01-31 Kugi Eusebio

        * Set z-index of Spread to current number of apps (7d3e615ab)

2024-07-12 Mike Gabriel

        * Merge branch 'ubports/focal_-_lomiri-renaming' into 'main'
          (d73f076bc)

2024-01-25 Guido Berhoerster

        * Update renamed dependencies (a65e82b62)

2024-07-11 Mike Gabriel

        * Merge branch 'personal/fredldotme/lighttheme2' into 'main'
          (9559b19a6)

2024-03-05 Muhammad

        * lomiri: remove hardcoded ambiance theme for notifications and
          dialogs (e0658e715)

2024-03-04 Alfred Neumayer

        * qml: Pass lightMode property on to involved components (2519c894e)
        * qml: Light mode: commonalize as much as possible (35defc72a)

2023-04-23 Alfred Neumayer

        * qml: Begin work on light shell theme (a32e51b88)

2024-07-10 Mike Gabriel

        * Merge branch
          'personal/peat-psuwit/migration-dont-overwrite-settings'
          into 'main' (944d568b6)

2024-01-25 Ratchanan Srirattanamet

        * debian/session-migration: try not to overwrite settings (9b9b78492)

2024-07-03 Ratchanan Srirattanamet

        * Merge branch 'pr/non-ubuntu-keyboard-layout' into 'main'
          (8abaab19a)

2024-06-13 Robert Tari

        * Fix keyboard layout selection in non-Ubuntu (d70561c49)

2024-07-03 Mike Gabriel

        * Merge branch 'pr/background-accountservice' into 'main' (9b2ec1e04)

2024-07-02 Robert Tari

        * debian/rules: Build with DENABLE_UBUNTU_ACCOUNTSSERVICE=ON on
          Ubuntu and derivatives (4c00cadba)

2024-04-12 Robert Tari

        * Fix storing background image in AccountsService (8c36b0bc3)

2024-07-03 Ratchanan Srirattanamet

        * Merge branch 'pr/non-ubuntu-language' into 'main' (5752a79db)

2024-05-14 Robert Tari

        *
          lomiri/plugins/AccountsService/com.lomiri.shell.AccountsService.xml:
          Store FormatsLocale (d7908b2e1)

2024-06-15 Lars Bahner

        * Translated using Weblate (Norwegian Bokmål) (35c22a4c4)
        * Translated using Weblate (Danish) (9eb0ddf50)

2024-06-13 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/lomiri-default-background' into
          'main' (d6934dd4e)

2024-03-05 Mike Gabriel

        * Shell: Fallback to
          /usr/share/backgrounds/lomiri-default-background.png
          rather than warty-final-ubuntu.png. (35811a743)

2024-06-13 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/add-valgrind' into 'main'
          (498abdf79)

2024-05-16 Ratchanan Srirattanamet

        * QmlTest.cmake: add valgrindtest${component_name} target (43e94057a)

2024-06-12 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/liblightdm-mock-setrolenames'
          into 'main' (c91a44b0d)

2024-06-12 Ratchanan Srirattanamet

        * Revert "plugins/LightDM: fix (proxy) SessionsModel's member
          initialization" (7b69247c9)
        * Do not drop QAbstractItemModel::setRoleNames from liblightdm mock
          (b0aac79bd)
        * Merge branch 'personal/peat-psuwit/fix-liblightdm-mess' into 'main'
          (ee7e8271a)
        * IntegratedLightDM/liblightdm: remove MockLightDM-demo-shared
          variant (84ccd0e6c)
        * test/mocks/liblightdm: remove lingering 'demo' directory & 'qmldir'
          (335da6411)

2024-06-12 Xuan Yun

        * Translated using Weblate (Chinese (Simplified) (zh_LATN@pinyin))
          (39a8ebcf1)
        * Translated using Weblate (Chinese (Min Nan) (nan)) (1e57ee079)

2024-06-11 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/meego-qofono-namespace' into
          'main' (8c2930505)

2024-04-22 Mike Gabriel

        * Move tests/mocks/MeeGo/QOfono to tests/mocks/QOfono. Follow
          namespace change in libqofono >= 0.117. (d0397dadb)

2024-06-11 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/fix-tst_GreeterView' into 'main'
          (6dd5177fe)

2024-06-11 Ratchanan Srirattanamet

        * plugins/LightDM: fix (proxy) SessionsModel's member initialization
          (f4b2fa481)

2024-06-07 Eryk Michalak

        * Translated using Weblate (Polish) (f1d209fbf)

2024-06-05 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/reimplement-rolenames' into 'main'
          (52e516c99)

2024-04-13 Robert Tari

        * Drop QAbstractItemModel::setRoleNames and reimplement roleNames
          (48dbd8cc3)

2024-06-04 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/142-follow-up' into 'main'
          (2608d3002)

2024-06-04 Mike Gabriel

        * tests/copyright/check_copyright.sh: Better document why we ignore
          .pc/ folders in project base folders. (37436ffa3)
        * plugins/BatteryMonitor/plugin.cpp: Amend copyright holdership.
          (ccfab3adb)
        * Merge branch 'add/less-FHS-assumptions' into 'main' (3738fb198)

2024-06-04 cneidahl

        * debian/control: Add xwayland (adc300f72)

2024-03-09 OPNA2608

        * Make less FHS/GNUInstallDirs assumptions (0a92d3d7e)

2024-06-04 Mike Gabriel

        * Merge branch 'pr/build-fixes' into 'main' (e94223d81)

2024-04-14 Robert Tari

        * plugins/Lomiri/Gestures/TouchDispatcher.cpp: Drop
          TouchPoint::sceneRect and use scenePos (and silently keep
          ellipseDiameters). (0a15405a5)
        * plugins/Utils/timezoneFormatter.cpp: Drop
          Qt::DefaultLocaleShortDate and use QLocale (ee3b46cba)

2024-04-13 Robert Tari

        * Drop qrand/qsrand and use QRandomGenerator (b3885dd61)

2024-04-16 Robert Tari

        * src/MouseTouchAdaptor.cpp: Fix deprecated Qt::MidButton (00ac628e8)

2024-04-12 Robert Tari

        * tests/mocks/WindowManager/CMakeLists.txt: Drop deprecated
          qt5_use_modules (f081aaae9)

2024-06-03 Mike Gabriel

        * Merge branch 'personal/sunweaver/add-missing-copyright-headers'
          into 'main' (cf998ed14)

2024-04-22 Mike Gabriel

        * debian/control: Add to B-D licensecheck. Required for
          tests/copyright/check_copyright.sh. (502314f22)
        * tests/copyright/check_copyright.sh: Ignore quilt files in .pc/
          subfolder. (4f2e83c45)
        * Add missing license headers (in files recently added in other
          changesets). (b83737931)

2024-06-01 Ali Beyaz

        * Translated using Weblate (Turkish) (5937add5e)

2024-05-30 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/lomiri-indicators-target' into
          'main' (36168d2d1)

2024-05-29 Mike Gabriel

        * data/systemd-user/lomiri-MODE.service.in: Use
          lomiri-indicators.target for launching indicators rather
          than ayatana-indicators.target. (e3ee1af2f)

2024-05-21 Mike Gabriel

        * data/systemd-user/{CMakeLists.txt,lomiri-indicators.target}: Add
          lomiri-indicators.target. (23d17cc3b)
        * data/systemd-user/lomiri-MODE.service.in: Drop
          indicators-pre.target. Obsolete. (f911deee2)

2024-05-30 Mike Gabriel

        * Merge branch 'personal/sunweaver/debian-no-whitespace-checks' into
          'main' (85e6a9579)

2024-04-22 Mike Gabriel

        * tests/whitespace/check_whitespace.py: No white-space checks in
          debian/. Not our (upstream's business). (0f833b868)

2024-05-30 Mike Gabriel

        * Merge branch 'personal/sunweaver/test-accountsservice-interfaces'
          into 'main' (95b326c19)

2024-04-22 Mike Gabriel

        * tests/plugins/AccountsService/interfaces.xml: Fix annotation of
          PropertiesChanged signal. (ba88996ad)

2024-05-30 Mike Gabriel

        * Merge branch 'personal/sunweaver/whitespace-fix' into 'main'
          (4033f2898)

2024-05-29 Mike Gabriel

        * qml/Panel/Indicators/IndicatorMenuItemFactory.qml: White-space
          cleanup (silence Whitespace unit test). (763f4a79e)
        * Merge branch 'personal/lduboeuf/fix_indicator_text' into 'main'
          (b86b1ec0b)

2024-04-22 Lionel Duboeuf

        * Allow display custom text from transfer plugins
          Fixes:
          https://gitlab.com/ubports/development/core/lomiri/-/issues/99
          (f4c20a23d)

2024-05-29 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/build-against-noble' into 'main'
          (80361c19f)

2024-05-07 Ratchanan Srirattanamet

        * d/ubports.skip_distro: skip building against devel-debian
          (b33f30d8f)

2024-05-11 Ratchanan Srirattanamet

        * tst_MenuPopup: improve reliability of the test (c50b2d08f)

2024-05-07 Ratchanan Srirattanamet

        * tst_MenuBar: workaround test flakiness by giving a trip to event
          loop (486468001)
        * tst_DesktopStage: asynchronously test for menu positioning
          (811e28260)
        * plugins/LightDM: fix memory corruption after resetting model
          (7acdc8495)

2024-05-04 Ratchanan Srirattanamet

        * CMakeLists.txt: use explicit flag for building against Mir 2
          (ffdd57bd6)

2024-05-03 Ratchanan Srirattanamet

        * Adapt to renamed Mir 1 and QtMir library (25f7f0144)

2024-05-01 Ratchanan Srirattanamet

        * debian/control: update dependencies for Noble & Mir 1 migration
          (a653a59d5)

2024-01-28 Luca Weiss

        * Fix build on 32bit arches with 64bit time_t (e0032e6bf)

2024-05-28 Ali Beyaz

        * Translated using Weblate (Turkish) (668427aa2)

2024-05-16 Daniel Soohan Park

        * Translated using Weblate (Korean) (b004e1b9a)

2024-05-04 phlostically

        * Translated using Weblate (Esperanto) (5f67c4cd2)

2024-04-30 Arthur Araujo

        * Translated using Weblate (Portuguese (Brazil)) (0474c2b1c)

2024-04-23 Mike Gabriel

        * Translated using Weblate (German) (2dd3473b6)

2024-04-13 复予

        * Translated using Weblate (Chinese (Simplified)) (919d11691)

2024-04-01 复予

        * Translated using Weblate (Chinese (Simplified)) (e2da69785)

2024-03-24 Steve

        * Translated using Weblate (French) (4be8f107c)

2024-03-22 Steve

        * Translated using Weblate (French) (42bfc8557)

2024-03-09 saveurlinux

        * Translated using Weblate (French) (67db5a1ab)

2024-03-06 Giannis Vassilopoulos

        * Translated using Weblate (Greek) (8b9ccca13)

2024-03-02 Ermete D'Oro

        * Translated using Weblate (Italian) (db829a272)

2024-02-17 Ivo Xavier

        * Translated using Weblate (Portuguese) (426b9f343)

2024-02-14 ancalina

        * Translated using Weblate (Korean) (8e5f70b96)

2024-02-13 ancalina

        * Translated using Weblate (Korean) (6a48ac8de)

2024-02-01 Marius Gripsgard

        * Merge branch 'overwrite-include' into 'main' (a083a14fe)

2023-12-24 Luca Weiss

        * Fix overwriting INCLUDE_DIRECTORIES variable (53190bf2f)

2024-01-27 Mike Gabriel

        * Release 0.2.1 (42be780d2) (tag: 0.2.1)
        * CMakeLists.txt: Regression fix of 0.2.0 release. Fix dependency on
          lomiri-schemas (0.2.0 -> 0.1.4). (4bfefff17)
        * Release 0.2.0 (b0baf2c83) (tag: 0.2.0)
        * CMakeLists.txt: Bump versioned requirement of lomiri-schemas to
          >=0.1.4. (10cc5671b)

2024-01-21 Сергій

        * Translated using Weblate (Ukrainian) (6408b7c35)

2024-01-17 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (13251731c)

2024-01-13 Heimen Stoffels

        * Translated using Weblate (Dutch) (9c8d1dd31)

2024-01-08 gallegonovato

        * Translated using Weblate (Spanish) (3e0d257b3)

2024-01-08 Jozef Mlich

        * Translated using Weblate (Czech) (00a890ca6)

2024-01-11 Ratchanan Srirattanamet

        * Merge branch 'personal/muhammad/fix-charging-information' into
          'main' (ec65759f5)

2024-01-10 Muhammad

        * BatteryMonitor: let all signals be emitted together (ca355decb)

2024-01-09 Muhammad

        * BatteryMonitor & Greeter: finally fix charging information;  Fully
          charged message is displayed properly;  Time gets reliably
          updated (f5350326f)

2024-01-06 Mike Gabriel

        * Translated using Weblate (German) (9a986647b)

2024-01-06 Hosted Weblate

        * Update translation files (81f7f70b9)

2024-01-06 Ratchanan Srirattanamet

        * po: update the .pot file (2de49d06d)

2024-01-05 Ratchanan Srirattanamet

        * Merge branch 'charging-information-toggle' into 'main' (590d90fb8)

2024-01-05 Muhammad

        * Greeter: rename gsetting;  showChargingInformation ->
          showChargingInformationWhileLocked (a58ad48ec)

2023-12-31 Muhammad

        * Greeter: add configurable charging information (80b36e7d0)

2024-01-04 Mike Gabriel

        * Merge branch 'ubports/focal_-_notif_privacymode' into 'main'
          (2f2484499)

2023-08-04 Lionel Duboeuf

        * Notification: Add privacy mode (a3845ce47)

2024-01-04 Ratchanan Srirattanamet

        * Merge branch 'main' into 'main' (16c1b0900)

2023-12-21 Muhammad

        * BatteryMonitor: consider fully charged as charging too;  allows us
          to check state in qml (79ca7c46a)

2023-12-18 Muhammad

        * Greeter & BatteryMonitor: fix "Fully charged" message (d4a5da9d0)

2023-12-27 Weblate

        * Added translation using Weblate (Chinese (Simplified)
          (zh_LATN@pinyin)) (ecd34e058)
        * Added translation using Weblate (Tamil (Sri Lanka)) (26e5e1b85)
        * Added translation using Weblate (German (Walser)) (3cc46b731)
        * Added translation using Weblate (Meadow Mari) (3753186d2)
        * Added translation using Weblate (Crimean Tatar) (8368dfb54)
        * Added translation using Weblate (Chuvash) (76544d9a2)
        * Added translation using Weblate (Silesian) (e7c08c3ff)
        * Added translation using Weblate (Latin) (e88a6fd6d)
        * Added translation using Weblate (Venetian) (a01023012)
        * Added translation using Weblate (Ossetian) (ce8416a08)
        * Added translation using Weblate (Sami (Northern)) (66c913be4)
        * Added translation using Weblate (Greenlandic) (a8cf0705a)
        * Added translation using Weblate (Assamese) (6fc3d5f83)
        * Added translation using Weblate (Haitian) (35f6ed8ff)
        * Added translation using Weblate (Cornish) (ba4e19305)
        * Added translation using Weblate (Frisian) (460751386)
        * Added translation using Weblate (Kashubian) (987a3ba64)
        * Added translation using Weblate (Aragonese) (e7a303993)
        * Added translation using Weblate (Tibetan) (17450ece1)
        * Added translation using Weblate (Filipino) (85603cb87)
        * Added translation using Weblate (Tigrinya) (84fa2a7ce)
        * Added translation using Weblate (Tatar) (ff5774f09)

2023-12-26 Weblate

        * Added translation using Weblate (Italian (it_CARES)) (e34c67a0c)

2023-12-19 Mike Gabriel

        * Merge branch 'miroil' into 'main' (9c416d06e)

2023-01-11 Marius Gripsgard

        * Add support for both older qtmir and newer qtmir with miroil
          (3db2a3781)

2023-12-18 Mike Gabriel

        * Merge branch 'fix_warnings' into 'main' (02eb22d59)

2023-12-18 Luigi311

        * Plugins: WindowManager: Fix missing enumerations (e5bab61c6)
        * Plugins: BatteryMonitor: Fix warnings Fixes warnings about unused
          variables and missing default returns (70fc191d6)

2023-12-17 Mike Gabriel

        * Merge branch 'personal/lduboeuf/anim_applaunch' into 'main'
          (8c3f6ad10)

2023-11-03 Lionel Duboeuf

        * Don't play lockscreen animation when using fingerprint (e8b4b19c1)
        * Make the splash transition fading Instead of animate opacity on the
          surface Item itself which render from black to the app
          color. (1c74ab9f9)

2023-12-17 Mike Gabriel

        * Merge branch 'main' into 'main' (0c9d02ce1)

2023-12-15 Adam Friedrich Schrey

        * Merge branch lomiri:main into main (b9e70a4d7)

2023-12-14 Marius Gripsgard

        * Merge branch 'main' into 'main' (162f530aa)

2023-12-13 Muhammad

        * Greeter: use "," in final string, and allow final string to be
          restructured for translation (4421b9f05)
        * BatteryMonitor: check if we're charging before updating TimeToFull
          (24c8613dc)
        * Greeter: fix translation hint (368ddb5fa)

2023-12-09 Muhammad

        * qml: fix whitespaces (4f1d4ee9b)

2023-12-08 Muhammad

        * BatteryMonitor: update time only if percentage updates as well
          (12ef7b97f)
        * Greeter: use enum exported from BatteryMonitor (90ef77e39)

2023-12-07 Ratchanan Srirattanamet

        * CoverPage: add info for translating final string (fde813f31)

2023-12-07 Muhammad

        * plugins: sort entries (5b1152088)

2023-12-06 Muhammad

        * BatteryMonitor & Greeter: clean-ups and bindings (60a01385a)

2023-12-02 Muhammad

        * BatteryMonitor: add "Fully charged" message (f35e20093)

2023-11-30 Muhammad

        * BatteryMonitor: clean up whitespaces (64952623b)
        * Greeter: add time to full hint;  displays time remaining until
          battery is full;  handles cases when there is no battery
          (0c1f51e40)

2023-12-13 Adam Friedrich Schrey

        * make wallpaper not invisible for staged mode, so apps with
          transparent backgrounds work on phones (6bf6224e1)

2023-12-13 Ratchanan Srirattanamet

        * Merge branch 'patches' into 'main' (d28cd6139)

2021-08-15 Luca Weiss

        * Use correct value for Leds.state (564b55add)

2023-11-14 Luca Weiss

        * Compile with C++17 (aafbc138d)

2019-01-29 Luca Weiss

        * Link against libintl (37bb4ad76)
        * Add missing includes (7bacbecc5)

2023-12-11 Ratchanan Srirattanamet

        * Merge branch 'ubports/focal_-_dt2w_persist' into 'main' (5cb8d2e36)

2023-12-05 Ratchanan Srirattanamet

        * debian/control: versioned-depends on lomiri-schemas with new key
          (84d02791d)

2023-12-01 Lionel Duboeuf

        * Manage DT2W setting change (291b8849b)

2023-11-29 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (538ab60ed)

2023-12-04 Reza Almanda

        * Translated using Weblate (Indonesian) (42ab76416)

2023-12-01 Daniel Delgado Jiménez

        * Translated using Weblate (Spanish) (5a2c4f306)

2023-11-19 gallegonovato

        * Translated using Weblate (Spanish) (de472d04a)

2023-10-18 Lundrin

        * Translated using Weblate (Hungarian) (4ea3c0ce0)

2023-10-18 Weblate

        * Added translation using Weblate (Kurdish) (402d8d3e8)
        * Added translation using Weblate (Sotho (Southern)) (817280257)
        * Added translation using Weblate (Afrikaans) (ca7fae515)

2023-10-11 Serhii Horichenko

        * Translated using Weblate (Russian) (5d5813105)

2023-10-13 Império Linux

        * Translated using Weblate (Portuguese (Brazil)) (369d960ed)

2023-10-15 Mike Gabriel

        * Release 0.1.4 (4ad034204) (tag: 0.1.4)

2023-09-29 Mike Gabriel

        * Merge branch 'personal/lduboeuf/fix_qtcreatorbuild' into 'main'
          (ed5564cbb)

2023-09-15 Lionel Duboeuf

        * don't enable qml debug by default on Debug build (390e99145)
        * clickable: rename unity8 -> lomiri update README.md (f39886a87)

2023-09-19 Hosted Weblate

        * Update translation files (7337620b1)

2023-09-19 Ratchanan Srirattanamet

        * Merge branch 'focal' into 'main' (71a6f7142)

2023-09-05 Fuseteam

        * fix regression (200d66386)

2023-09-05 ook37

        * fix regressions from forward port (7783a0a9f)

2022-12-13 Lionel Duboeuf

        * tweak CI build (01b5714e7)

2022-03-22 Kugi Eusebio

        * Fixed #431 (5fcf3aa60)

2022-05-27 Alfred Neumayer

        * IndicatorItem: Workaround for stretched/squished icons (6f2c15285)

2022-01-31 Capsia

        * Fix #420 (42c1ff2f4)

2022-01-29 Capsia

        * Fix infographics (615fda0fc)

2022-01-23 Capsia

        * Replace blur on greeter with darkening (b87036b0b)

2022-01-15 Capsia

        * Greeter orientation (#402) (feb65b00f)

2023-09-06 bittin1ddc447d824349b2

        * Translated using Weblate (Swedish) (cb614060a)

2023-09-01 Mike Gabriel

        * Merge branch 'fontfix' into 'main' (0cf45bf15)

2023-08-31 mateosalta

        * Update IndicatorItem.qml (0ad4affc4)
        * Update file IndicatorItem.qml (fcb847eb6)

2023-08-29 Mike Gabriel

        * Merge branch 'personal/gberh/locationbg' into 'main' (babf01dc9)

2020-12-23 Alberto Mardegan

        * plugins: create ProcessControl plugin (9707ba4e3)

2021-04-19 Alberto Mardegan

        * Stage: minor refactoring of application requestedState (fb5a22c46)

2023-08-20 AlTeveD2v

        * Translated using Weblate (Russian) (584dbd9e6)

2023-08-21 NPL

        * Translated using Weblate (Japanese) (4b0bc4cd6)

2023-08-23 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/x-ayatana-level' into 'main'
          (6ac1c657a)

2023-06-30 Ratchanan Srirattanamet

        * IndicatorMenuItemFactory: support org.ayatana.indicator.level
          (4f3704c35)

2023-08-23 Mike Gabriel

        * Merge branch 'personal/lduboeuf/fix_bgapp' into 'main' (cfb6be68a)

2023-06-13 Lionel Duboeuf

        * Prevent some Type Error in logs on application close (f5e970ce5)
        * Make app go foreground when in spread view fixes
          https://gitlab.com/ubports/development/core/lomiri/-/issues/67
          fixes
          https://gitlab.com/ubports/development/core/lomiri/-/issues/68
          (70ab86a90)

2023-08-22 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/available-desktop-area-waydroid'
          into 'main' (3d6763219)

2023-06-16 Ratchanan Srirattanamet

        * shell: ignore shell.atDesktop when calculating AvailableDesktopArea
          (e1f0a302d)

2023-08-20 AlTeveD2v

        * Translated using Weblate (Russian) (304c1dfd7)

2023-08-12 NPL

        * Translated using Weblate (Japanese) (764791ccc)

2023-08-18 Mike Gabriel

        * Translated using Weblate (German) (a51048dc0)
        * Merge branch 'lduboeuf-main-patch-53276' into 'main' (d8fb28624)

2023-08-04 Lionel Duboeuf

        * Update README.md, re-enable build and test with clickable
          (9c3f9cf20)

2023-08-18 Mike Gabriel

        * Merge branch 'personal/lduboeuf/circleprompt_contrast' into 'main'
          (64407ce9d)

2023-08-11 Lionel Duboeuf

        * Circle Prompt: give better contrast for dots (521e29286)

2023-08-08 Ivo Xavier

        * Translated using Weblate (Portuguese) (e17ef1822)

2023-08-05 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (c20654b4f)
        * Translated using Weblate (Spanish) (c300a2962)
        * Translated using Weblate (Danish) (784dbbd6f)

2023-07-21 Serhii Horichenko

        * Translated using Weblate (Ukrainian) (38d35e8fe)

2023-07-21 Ivo Xavier

        * Translated using Weblate (Portuguese) (4b2898487)

2023-07-28 Marius Gripsgard

        * Release 0.1.3 (0151c4fc7) (tag: 0.1.3)

2023-06-30 Rudra Harsh V.Singh

        * Translated using Weblate (Sanskrit) (f6570663d)

2023-07-09 Eryk Michalak

        * Translated using Weblate (Polish) (3744369b8)

2023-07-07 NPL

        * Translated using Weblate (Japanese) (f8b83d676)

2023-06-30 Weblate

        * Added translation using Weblate (Sanskrit) (ced1769bb)

2023-06-28 Sylke Vicious

        * Translated using Weblate (Italian) (4a6cc2b54)

2023-06-27 Rudra Harsh V.Singh

        * Translated using Weblate (English (Canada)) (f903260bb)

2023-06-20 Ivo Xavier

        * Translated using Weblate (Portuguese) (7105c2f67)

2023-06-28 J. Lavoie

        * Translated using Weblate (French) (e99ee02e9)
        * Translated using Weblate (German) (65c2db5b9)

2023-06-05 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/cache-migration' into 'main'
          (8a2f908c3)

2023-05-23 Ratchanan Srirattanamet

        * session-migration: do migration/cleanup of old caches (8bf1d8168)
        * LomiriApplication: set organization to UBports instead of Canonical
          (07e137b37)

2023-06-05 Mike Gabriel

        * Merge branch 'personal/lduboeuf/erase_size' into 'main' (9cc623dae)

2023-05-24 Lionel Duboeuf

        * Increase erase button size (ee53e4b8b)

2023-05-08 Heimen Stoffels

        * Translated using Weblate (Dutch) (2afd20c06)

2023-05-13 Mike Gabriel

        * Translated using Weblate (German) (21ff6db72)

2023-05-09 Jozef Mlich

        * Translated using Weblate (Czech) (f8874cda5)

2023-05-08 Hosted Weblate

        * Update translation files (847e730a9)

2023-05-08 Mike Gabriel

        * po/lomiri.pot: Update translation template file. (e79f22d2c)

2023-05-08 Hosted Weblate

        * Update translation files (d03309f0a)

2023-05-08 Mike Gabriel

        * Merge branch 'wizard-updater-fix-os-name' into 'main' (d3579a6a9)

2023-05-08 Jami Kettunen

        * Wizard: Display "Ubuntu Touch system" in updater page (3a4570178)

2023-04-12 Temuri Doghonadze

        * Translated using Weblate (Georgian) (f7086cc3a)

2023-04-23 Marius Gripsgard

        * Merge branch 'personal/fredldotme/stoprandomdrawerhides' into
          'main' (e34b35483)

2023-03-26 Alfred Neumayer

        * qml: Fix dragging windows in the spread getting stuck (c9aa95708)
        * qml: Prevent Drawer from hiding away from under the mouse pointer
          (304b88710)

2023-04-12 Marius Gripsgard

        * Merge branch 'personal/fredldotme/xwaylandshm' into 'main'
          (a1a1b1f25)

2023-03-29 Alfred Neumayer

        * data: Enhance Xwayland wrapper by setting shm mode optionally
          (b90e5eb02)

2023-04-12 Marius Gripsgard

        * Merge branch 'personal/fredldotme/hidesplashonlibertine' into
          'main' (c0234820f)

2023-03-02 Alfred Neumayer

        * tests: Switch default behavior of showSplash() to true (ade2de781)

2023-02-27 Alfred Neumayer

        * plugins/WindowManager: Hide splash screens depending on QtMir/l-a-l
          preference (3aacf9914)

2023-04-12 Temuri Doghonadze

        * Translated using Weblate (Georgian) (5b4f4ea3e)

2023-04-11 Temuri Doghonadze

        * Translated using Weblate (Georgian) (c55fb1504)
        * Translated using Weblate (Georgian) (a4084266c)

2023-04-07 Marius Gripsgard

        * Merge branch 'ubports/focal_-_lomiri-readyprop' into 'main'
          (877c6cb98)

2023-04-07 Lionel Duboeuf

        * ApplicationWindow: restore live property check at component loading
          (4b19bc715)

2023-04-03 Lionel Duboeuf

        * Add opacity animation between Splash Screen and app transition
          (eb730484f)
        * ApplicationWindow.qml Make sure surface is ready before hidding
          splashscreen (89ba52d3c)

2023-04-04 gallegonovato

        * Translated using Weblate (Spanish) (94e369c18)

2023-03-30 Ivo Xavier

        * Translated using Weblate (Portuguese) (49d67f32d)

2023-03-31 Sylke Vicious

        * Translated using Weblate (Italian) (9deb504f8)

2023-03-31 Jozef Mlich

        * Translated using Weblate (Czech) (a6d278e13)

2023-03-30 Sylke Vicious

        * Translated using Weblate (Italian) (c6f7dc9dc)

2023-03-30 Jozef Mlich

        * Translated using Weblate (Czech) (82775d1be)

2023-03-27 Jozef Mlich

        * Translated using Weblate (Czech) (c0c7b6980)

2023-03-22 gnu-ewm

        * Translated using Weblate (Polish) (e3507b587)

2023-03-22 Heimen Stoffels

        * Translated using Weblate (Dutch) (06aa36ea9)

2023-03-22 phlostically

        * Translated using Weblate (Esperanto) (60aaba5ac)

2023-03-22 Hosted Weblate

        * Update translation files (de73d1cf8)

2023-03-22 Mike Gabriel

        * Merge branch 'personal/gberh/fix-welcome-i18n' into 'main'
          (2b3bfd217)

2023-03-22 Guido Berhoerster

        * Update German translation (edfe8f2bb)
        * Update .pot file (d63407348)
        * Make update messager clearer (8956ed3ce)
        * Fix welcome messages i18n (14d4e458e)

2023-03-16 Mike Gabriel

        * Merge branch 'personal/gberh/loglevels' into 'main' (e01a1410e)

2023-03-15 Guido Berhoerster

        * Adjust log levels (074f5acf0)

2023-03-05 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/57-welcome-to-lomiri' into
          'main' (75f9bb698)

2023-03-03 Ratchanan Srirattanamet

        * Replace every instances of "Lomiri 8" to just "Lomiri" (5474224fb)

2023-03-04 Ratchanan Srirattanamet

        * debian/rules: configured displayed distro name for us to Ubuntu
          Touch (da3e2f075)
        * Wizard: show "Welcome to " + distro (b4bcf6510)
          Fixes:
          https://gitlab.com/ubports/development/core/lomiri/-/issues/57

2023-03-03 Taisei Washington

        * Translated using Weblate (Japanese) (e56649b9c)

2023-02-26 Luna Jernberg

        * Translated using Weblate (Swedish) (6af57946b)

2023-02-26 Mike Gabriel

        * Release 0.1.2 (86b6a2174) (tag: 0.1.2)
        * Merge branch
          'personal/peat-psuwit/lal14-lal-application-end.target'
          into 'main' (5232be093)

2023-02-25 Ratchanan Srirattanamet

        * debian/control: document LAL version requirement (eb3d36274)

2023-02-24 Ratchanan Srirattanamet

        * systemd-user: start lal-application-end.target on stop/restart
          (cdecb8e0b)

2023-02-20 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (72b64fe5c)
        * Translated using Weblate (Russian) (eea9565fb)

2023-02-22 Heimen Stoffels

        * Translated using Weblate (Dutch) (ccffbecf5)

2023-02-21 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/revert-crop-center' into 'main'
          (1746ecf38)

2023-02-22 Ratchanan Srirattanamet

        * Revert "qml: Clip SurfaceContainer contents" (ecf53b903)

2023-02-20 Ratchanan Srirattanamet

        * Merge branch 'wizard-fix-wifi' into 'main' (1c056af85)

2023-02-20 Jami Kettunen

        * Wizard: Fix AyatanaMenuModel attributes for Wi-Fi networks
          (30d490782)

2023-02-20 Mike Gabriel

        * Merge branch 'personal/lduboeuf/fix_pincode_nodots' into 'main'
          (a63a30f03)

2023-02-20 Lionel Duboeuf

        * Fix full dots not displayed while typing (27907f94b)

2023-02-20 Mike Gabriel

        * Merge branch 'personal/gberh/launcher-locale-update' into 'main'
          (0fa0e2b8c)

2023-02-20 Guido Berhoerster

        * Refresh Drawer desktop files when the locale changes (00864fbdd)
        * Remove leftover debug logging (775787334)

2023-02-18 Nathan Giovannini

        * Translated using Weblate (Italian) (7fd0ea7e0)

2023-02-18 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (d70354975)
        * Translated using Weblate (Russian) (2b8260712)

2023-02-18 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/revert-changestate' into 'main'
          (4a402c101)

2023-02-17 Ratchanan Srirattanamet

        * IndicatorMenuItemFactory: back to activate() for switch, but more
          clever (47064cc60)
          Fixes:
          https://gitlab.com/ubports/development/core/indicator-location/-/issues/2

2023-02-18 Mike Gabriel

        * Release 0.1.1 (cfd2ca38f) (tag: 0.1.1)

2023-02-17 Mike Gabriel

        * Merge branch 'personal/lduboeuf/focal_-_pincode_increase_length'
          into 'main' (5f338f3c7)

2023-02-17 Lionel Duboeuf

        * Readme: update clickable arguments (e231072df)
        * update lomiri-schemas dependency to 0.1.3 (74805901d)

2023-02-16 Lionel Duboeuf

        * allow to set more than 4 digits pincode (7acd3d73c)
        * Provide a fallback to PassPhrase prompt in case of 5 failed attempt
          with pincode. (636ef6b92)

2023-02-16 phlostically

        * Translated using Weblate (Esperanto) (cfb1c9a0c)

2023-02-15 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (c8f8c1a02)

2023-02-13 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (a8863af5c)

2023-02-14 Mike Gabriel

        * Merge branch 'personal/gberh/update-session-locale' into 'main'
          (1c4fd261f)

2023-02-10 Guido Berhoerster

        * Fix copyright/license notices and test (8003dc485)

2023-02-08 Guido Berhoerster

        * Restore restarts of session services after wizard locale change
          (44f24a917)

2023-02-12 Mike Gabriel

        * Merge branch 'personal/fredldotme/xwayland-fixup' into 'main'
          (05657938b)

2022-12-12 Alfred Neumayer

        * data & debian: Ship & enable Xwayland wrapper (8af966e5b)
        * plugins: TopLevelWindowModel: Explicitly cause XWayland surfaces to
          die gracefully (19931da7d)

2023-02-11 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (1c5a03f04)

2023-02-09 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (49e895bea)

2023-02-09 Mike Gabriel

        * Merge branch 'main_-_clockcenter' into 'main' (1da4a56bd)

2023-02-09 Kugi Eusebio

        * Trim time string to remove leading space (2b0c6c1c3)

2023-02-07 Ivo Xavier

        * Translated using Weblate (Portuguese) (9e0c80b70)

2023-02-06 Ivo Xavier

        * Translated using Weblate (Portuguese) (db9ff7180)

2023-02-06 Mike Gabriel

        * Release 0.1 (73b5f3d85) (tag: 0.1)

2023-02-05 gnu-ewm

        * Translated using Weblate (Polish) (3a61e073f)

2023-02-04 Mike Gabriel

        * Translated using Weblate (German) (ab669fcad)

2023-02-03 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (f341d4f8b)

2023-02-03 Guido Berhoerster

        * Merge branch 'personal/sunweaver/fix-lomiri-desktop-file' into
          'main' (945397878)

2023-02-03 Mike Gabriel

        * data/lomiri.desktop.in.in: Drop Icon= key. It seems xgettext chokes
          on empty values. (9034ee771)

2023-02-01 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (f19551752)

2023-02-01 Mike Gabriel

        * Translated using Weblate (German) (076dae765)

2023-02-01 Hosted Weblate

        * Update translation files (7f8101a82)

2023-01-31 Mike Gabriel

        * Translated using Weblate (German) (6faf9a798)

2023-02-01 Guido Berhoerster

        * Merge branch 'personal/sunweaver/modernize-i18n' into 'main'
          (97ca41e17)

2023-01-31 Mike Gabriel

        * po/: Modernize i18n. (5625cbd77)

2023-01-30 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (8d5e41dde)
        * Translated using Weblate (Russian) (396b90db1)

2023-01-28 Jami Kettunen

        * Merge branch 'personal/fredldotme/clipsurfacecontainer' into 'main'
          (93ac70a52)

2023-01-28 Alfred Neumayer

        * qml: Clip SurfaceContainer contents (1a814ad7f)

2023-01-24 gnu-ewm

        * Translated using Weblate (Polish) (eb9840ade)

2023-01-22 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (8d5c693aa)

2023-01-21 Alfred Neumayer

        * Update lomiri-shell-application from 27 to 28 (64428dad8)

2023-01-20 Oren Klopfer

        * repush for CI (89e01af40)
        * Update file QtMirApplicationMocks.h (0b683c651)
        * Update 2 files (6eaa38798)
        * Update file launchermodeltest.cpp (f5c0b4df2)
        * Update file control (4ba0b6d8e)
        * Update file control (abca219c1)
        * Update file control (c55153d10)
        * Update 2 files (7a746974b)

2023-01-19 Asahi 95

        * Translated using Weblate (Japanese) (76ba95741)

2023-01-17 Daniel Frost

        * Translated using Weblate (German) (8291f2d2c)

2023-01-15 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (a0ab2157b)
        * Translated using Weblate (Russian) (9101d6828)

2023-01-15 Timothy G

        * Translated using Weblate (French) (6fb3e2df2)

2023-01-14 Dan

        * Translated using Weblate (Ukrainian) (568698f52)

2023-01-13 Sergii Horichenko

        * Translated using Weblate (Russian) (8400360f2)

2023-01-13 Ivo Xavier

        * Translated using Weblate (Portuguese) (9a6c12ca9)

2023-01-13 Timothy G

        * Translated using Weblate (French) (34e268a99)

2023-01-13 Ratchanan Srirattanamet

        * Merge branch
          'personal/sunweaver/use-upstream-version-to-create-version-file'
          into 'main' (73860469a)

2023-01-13 Mike Gabriel

        * data/CMakeLists.txt: Don't abuse d/changelog for obtaining Lomiri's
          upstream version. We should obtain it from CMake.
          (f328eb777)

2023-01-12 Marius Gripsgard

        * Merge branch 'personal/fredldotme/compositorcrash' into 'main'
          (a806163b8)

2023-01-11 Alfred Neumayer

        * qml: Complete revert to deviceconfig-based virtual touchpad
          enablement (097b8dd2e)
        * qml: Hide internal phone screen from Workspace overview, take 2
          (1b438697d)
        * plugins: Don't processEvents during LightDM operation (ea3694b12)

2023-01-12 Mike Gabriel

        * Merge branch 'personal/gberh/crossbuilder' into 'main' (106ce1d04)

2021-04-19 Alberto Mardegan

        * build: fix building with crossbuilder (b8532b048)

2023-01-11 Dan

        * Translated using Weblate (Ukrainian) (ba0fc6a1f)

2023-01-10 Mike Gabriel

        * Translated using Weblate (German) (f66c671c1)

2023-01-09 Jami Kettunen

        * Merge branch 'personal/fredldotme/oskissues' into 'main'
          (69fa4af7f)

2023-01-08 Alfred Neumayer

        * qml: Show workspace overview only on desktop & convergent tablets
          (34e454c9a)
        * qml: Revert to screencount-based osk enablement (ae36d1446)

2023-01-09 Mike Gabriel

        * Merge branch 'personal/gberh/xenial-merge' into 'main' (7ac5de9e5)

2022-07-13 Florian Leeber

        * Use autoTransform property for rotated images (6f2a1c25b)
        * Update QtQuick imports to 2.12 (a8c723e35)

2022-07-11 Florian Leeber

        * Fingerprint unlock: backoff time between retries, to not exhaust
          max retries too early (294d3751d)

2023-01-07 Alexander Richards

        * Translated using Weblate (Esperanto) (c758e14ce)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (3e972a353)

2023-01-06 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (cae34f7bc)

2023-01-06 Daniel Frost

        * Translated using Weblate (German) (a623c03f0)

2023-01-06 Mike Gabriel

        * Merge branch 'main_-_clockpinmanager' into 'main' (7b8aff8cf)

2023-01-06 Lionel Duboeuf

        * Pincode by schema (6550821a6)
        * prevent unnecessary Prompts loading (026f1975f)

2023-01-06 Mike Gabriel

        * Merge branch 'main_-_tryShellfix' into 'main' (f60b9495e)

2022-12-28 Lionel Duboeuf

        * tryShell: Move deprecated Listem's ItemSelector to OptionSelector
          Fix dropdowns not displayed (202e280bd)

2023-01-04 Anonymous

        * Translated using Weblate (Ido) (62565742e)
        * Translated using Weblate (Tetum) (51eb8a71b)
        * Translated using Weblate (Scots) (157fdcb26)
        * Translated using Weblate (Franco-Provençal) (291a69fdb)
        * Translated using Weblate (Sindhi) (b62a8dbcf)
        * Translated using Weblate (Kabyle) (024a122c6)
        * Translated using Weblate (Pampanga) (f9c80bb20)
        * Translated using Weblate (Malagasy) (bbfcb49e0)
        * Translated using Weblate (Luxembourgish) (77940da6d)
        * Translated using Weblate (Lojban) (42503e799)
        * Translated using Weblate (French (Switzerland)) (76ff2e187)
        * Translated using Weblate (Tajik) (b35825dba)
        * Translated using Weblate (Lingala) (83e85ec19)
        * Translated using Weblate (Oromo) (3c583bf2a)
        * Translated using Weblate (Bemba) (792eca5af)
        * Translated using Weblate (Nyanja) (6c5806d13)
        * Translated using Weblate (Turkmen) (55dedd6a7)
        * Translated using Weblate (Friulian) (a0982641f)
        * Translated using Weblate (Macedonian) (879849298)
        * Translated using Weblate (Maori) (2b510a9dd)
        * Translated using Weblate (Pashto) (1443fdd1b)
        * Translated using Weblate (Dhivehi) (4e56e0e0e)
        * Translated using Weblate (Kurdish (Southern)) (64908d0f3)
        * Translated using Weblate (Kurdish (Northern)) (6ac09d4c4)
        * Translated using Weblate (Chinese (Min Nan)) (39fe0e68f)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (50e1c04dc)

2023-01-04 Anonymous

        * Translated using Weblate (Telugu) (bf7561057)
        * Translated using Weblate (Shan) (2b7abe8bd)
        * Translated using Weblate (Nepali) (79ef9f9d0)
        * Translated using Weblate (Burmese) (7217a816c)
        * Translated using Weblate (Marathi) (a17b19be9)
        * Translated using Weblate (Malayalam) (98b7fae24)
        * Translated using Weblate (Lao) (ac5ff64df)
        * Translated using Weblate (Estonian) (bd9dfc2c2)
        * Translated using Weblate (Kurdish (Central)) (6a6867c40)
        * Translated using Weblate (Bulgarian) (e84b4e263)

2023-01-04 Mike Gabriel

        * Revert "Deleted translation using Weblate (Chinese (Traditional,
          Hong Kong))" (cbb253d3a)
        * Revert "Added translation using Weblate (Chinese (Traditional, Hong
          Kong))" (4156a7307)

2023-01-04 Weblate

        * Added translation using Weblate (Chinese (Traditional, Hong Kong))
          (24db62dbe)

2023-01-03 Muhammad

        * Translated using Weblate (Urdu) (08c6c0cc0)

2023-01-04 Mike Gabriel

        * Deleted translation using Weblate (Chinese (Traditional, Hong
          Kong)) (eb664a3c3)

2023-01-03 Weblate

        * Added translation using Weblate (Ido) (f6dfa3ab4)
        * Added translation using Weblate (Tetum) (29ea137f9)
        * Added translation using Weblate (Scots) (9529de58a)
        * Added translation using Weblate (Franco-Provençal) (f52ea7640)
        * Added translation using Weblate (Sindhi) (5642ecc82)
        * Added translation using Weblate (Kabyle) (18eb69a64)
        * Added translation using Weblate (Pampanga) (d7fc3228e)
        * Added translation using Weblate (Malagasy) (5debd0c69)
        * Added translation using Weblate (Luxembourgish) (47be0dd6d)
        * Added translation using Weblate (French (Switzerland)) (4ec2f2f1f)
        * Added translation using Weblate (Lojban) (a2daceabd)
        * Added translation using Weblate (Tajik) (acf7f81e0)
        * Added translation using Weblate (Lingala) (55fe15486)
        * Added translation using Weblate (Oromo) (04ab4a6ba)
        * Added translation using Weblate (Bemba) (53f3676b5)
        * Added translation using Weblate (Nyanja) (de50f44bb)

2023-01-03 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (417b57cb8)

2023-01-02 Weblate

        * Added translation using Weblate (Turkmen) (840decd00)
        * Added translation using Weblate (Friulian) (c960c4e85)
        * Added translation using Weblate (Macedonian) (414c3b10c)
        * Added translation using Weblate (English (Canada)) (68d4fa598)

2022-12-29 Weblate

        * Added translation using Weblate (Maori) (ce1f1c00e)
        * Added translation using Weblate (Pashto) (7268f39e0)
        * Added translation using Weblate (Dhivehi) (7afe62970)
        * Added translation using Weblate (Georgian) (63293f789)

2022-12-29 Hosted Weblate

        * Update translation files (f19b22698)

2022-12-27 Dan

        * Translated using Weblate (Ukrainian) (32ff20a27)

2022-12-19 J. Lavoie

        * Translated using Weblate (Italian) (78416b0b8)
        * Translated using Weblate (French) (ebc8919f1)

2022-12-20 Denham McLaren

        * Translated using Weblate (English (Australia)) (8602a6a48)

2022-12-19 J. Lavoie

        * Translated using Weblate (German) (4d8a25828)

2022-12-19 Guido Berhoerster

        * Merge branch 'personal/sunweaver/hosted-weblate' into 'main'
          (6687d10f0)

2022-12-17 Mike Gabriel

        * README.md: Mention sponsorship of Hosted Weblate and point people
          to this project's URL on hosted.weblate.org. (825eb41a2)
        * po/: Drop ku.po (macro language) and provide kmr.po and sdh.po
          instead (ckb.po already existed). (1505a6ce0)
        * po/lomiri.pot: Update translation template. (dcefe6e17)

2022-12-17 Weblate

        * Added translation using Weblate (Chinese (Min Nan)) (d6788354c)
        * Added translation using Weblate (Bengali (Bangladesh)) (13f5512fc)
        * Added translation using Weblate (French (Canada)) (600a852e9)

2022-12-17 Dan

        * Translated using Weblate (Ukrainian) (5836c02ae)

2022-11-17 Mike Gabriel

        * Translated using Weblate (German) (e99a664d8)

2022-11-16 Luna Jernberg

        * Translated using Weblate (Swedish) (f10b989c3)

2022-11-09 Luna Jernberg

        * Translated using Weblate (Swedish) (ab983bb35)

2022-11-05 Milo Ivir

        * Translated using Weblate (Croatian) (55eaf4453)

2022-12-14 Marius Gripsgard

        * Merge branch 'personal/peat-psuwit/indicator-switch-set-state' into
          'main' (38d382314)

2022-12-14 Ratchanan Srirattanamet

        * IndicatorMenuItemFactory: use changeState() for  switch
          (6aa465d11)
          Fixes:
          https://gitlab.com/ubports/development/core/lomiri-indicator-network/-/issues/87

2022-12-12 Marius Gripsgard

        * Merge branch 'personal/fredldotme/desktopmode' into 'main'
          (608322859)

2022-12-05 Alfred Neumayer

        * qml & tests: Partially revert to old test behavior (fc466b67b)
        * plugins: Correctness to the TLWM OOM kill scenario (86b33e588)

2022-12-04 Alfred Neumayer

        * tests: Fix lomiri renaming in GSettings & some crashes (98ec72f65)
        * WindowManager: Fix crash during tapping of dead window surface/app
          (bdc8787e5)

2022-12-03 Alfred Neumayer

        * plugins: Avoid MirAL throwing exceptions for OOM-killed apps
          (89a954461)

2022-11-30 Alfred Neumayer

        * qml: Come closer to test-expected behavior (61d1ce21a)
        * tests: Adapt OrientedShell to new formFactor-based approach
          (322c50ca9)
        * qml: Restore orientation after stopping desktop mode session
          (0dcf76cbe)
        * qml: Restore screen size decisions during mode calulation
          (fba93aad6)
        * qml: Re-enable usageScenario property for the Stage (cb94f6041)
        * tests: Register "Screen" type in QML (99fc31b05)
        * tests: Add missing "ready" signal to MirSurface mock (1e91a31b0)
        * qml: Be smarter about surface state in ApplicationWindow
          (f19cfee0c)
        * qml: Fix disabled blur in the Launcher (2b0d12417)
        * qml: Fix build tests on amd64 (47be5e09b)
        * qml: Fix jumpy Spread close/recenter animation (6675afda1)
        * qml: Center workspace previews with Launcher margins in mind
          (8afb96a55)
        * qml: Avoid clash between Lomiri's & QtQuick.Window's "Screen" types
          (712b75996)
        * plugins: Register "Screen" type in QML (bc109a904)

2022-11-29 Alfred Neumayer

        * qml: Address review comments (181970db4)
        * plugins: Introduce FormFactor enum for Screens (e4a2de540)
        * qml: Force splash screen away during desktop mode transition
          (d19bd1b66)
        * qml: Increase blur radius for desktop usecase (ea31ca0ea)
        * qml: Fix window positioning in the WorkspacePreview (d981e4e3d)
        * qml: Fix OSK settings schema id (ee23d5f78)

2022-11-27 Alfred Neumayer

        * qml/Stage: Fix flicker between splash & surface states (93e42fba3)

2022-11-26 Alfred Neumayer

        * qml: Add TODO for secondary greeter (129346691)
        * plugins: ScreenWindow: Fix setScreen call (8474661ae)
        * qml: Various changes (dc5b8bd68)

2022-11-23 Alfred Neumayer

        * qml & plugins: Various changes (89b50e973)

2022-11-16 Alfred Neumayer

        * qml: Recalculate grid units during multimonitor use (e01534cff)
        * qml: Fix Greeter pass/PIN entry (5ceacfc3f)

2022-11-14 Alfred Neumayer

        * qml: Make desktop mode codepaths pass (061641f6d)

2022-12-12 Alfred Neumayer

        * Merge branch 'personal/mariogrip/indicatorfixes' into 'main'
          (d0d6760a9)

2022-12-08 Marius Gripsgard

        * [tests] Adjust panel tests to work with ayatana (a06f12a62)

2022-11-28 Marius Gripsgard

        * [panel] Change hack session and keyboard hack to ayatana
          (1d1b682b8)

2022-12-05 Mike Gabriel

        * Merge branch 'build/fix-clickable' into 'main' (f16236daa)

2022-11-26 Maciej Sopylo

        * clickable: amend package names that won't exist in 22.04
          (d987d7867)

2022-11-02 Maciej Sopylo

        * clickable: switch to yaml (8b912242f)
        * clickable: fix dependencies for building (26b13e4c3)

2022-12-05 Marius Gripsgard

        * Merge branch 'YUMI-7-fix-xdgwatcher-race-condition' into 'main'
          (c4fc47685)

2022-12-04 Maciej Sopylo

        * Fix race condition in XdgWatcher (5763a2877)

2022-11-27 Mike Gabriel

        * Merge branch 'personal/mariogrip/focal_-_noqtsystemneeded' into
          'main' (849d43e34)

2022-11-24 Marius Gripsgard

        * Remove dependencies on qtsystem (097656fd0)

2022-11-27 Marius Gripsgard

        * Merge branch 'personal/fredldotme/drawerblur' into 'main'
          (02dfa9c1d)

2022-11-27 Alfred Neumayer

        * qml: Use new GSettings for en-/disabling BackgroundBlur (3e2cb14f6)
        * qml: Further visual changes to indicator Panels (40d2b1089)

2022-11-14 Alfred Neumayer

        * qml: Additional blur fixes (65af1106a)

2022-11-11 Alfred Neumayer

        * qml: Clean up after property removal (1e9217144)
        * qml: Blurred indicator & menu drop downs (76431e6ff)

2022-10-20 Alfred Neumayer

        * qml: Add copyright to BackgroundBlur (5201576f0)

2022-10-19 Alfred Neumayer

        * qml: Even faster blurred Drawer (4849f8be7)

2022-10-20 Alfred Neumayer

        * qml: Unconditionally enable the Blurred Drawer (6418d4e9c)

2022-08-17 Alfred Neumayer

        * qml: Further simplify BackgroundBlur (a4891a550)

2022-07-13 Alfred Neumayer

        * qml: Improve Interactive Blur performance (56a09c75c)

2022-01-17 Alfred Neumayer

        * qml: Re-introduce interactive Drawer blur on capable devices
          (262613bbb)

2022-11-23 Mike Gabriel

        * Merge branch 'personal/fredldotme/fixsuperkeydrawerdismiss' into
          'main' (0420e2155)

2022-10-20 Alfred Neumayer

        * qml: Unfocus launcher when dismissing Drawer (c671bd59a)

2022-11-23 Mike Gabriel

        * Merge branch 'gberh/personal/disable-armhf-tests' into 'main'
          (446fc3cbf)

2022-11-23 Guido Berhoerster

        * Temporarily skip tests on armhf (efdf2dde4)

2022-11-22 Mike Gabriel

        * Merge branch 'main_-_hinttruncation' into 'main' (e933489e4)

2022-11-16 Lionel Duboeuf

        * Notifications: increase to max 20 the limit the number of lines
          when hint "x-canonical-truncation" is set to false
          (f9f63c87b)

2022-11-22 Mike Gabriel

        * Merge branch 'personal/mariogrip/focal_-_fix-compiler-warnings'
          into 'main' (6d2c3ddc8)

2022-03-15 Marius Gripsgard

        * src: tests: Remove unused vars and mark unused return value as
          unused (2418313ef)
        * plugins: avoid copy by refrencesing (compiler warning) (e078afb2f)

2022-11-20 Mike Gabriel

        * Merge branch 'rename-properties' into 'main' (22b28a847)

2022-11-18 Guido Berhoerster

        * Add type assignment for indicator-transfer (94d3d86b4)
        * Rename Button Section Menu item attributes (b1aaa55b2)
        * Rename Transfer Menu item attributes (23f74c667)
        * Rename Notifiation Menu item attributes (3330296b2)
        * Rename Switch Menu item attributes (2acc36cc5)
        * Rename Wifi Access Point Item attributes (257b109de)

2022-11-17 Guido Berhoerster

        * Rename Playback menu item attributes (876cc0230)
        * Rename Time Zone item attributes (6842caa84)
        * Rename Appointment Menu item attributes (440c57102)
        * Rename Message Menu item attributes (49a59b408)
        * Rename Slider item attributes (f2151125c)

2022-11-16 Guido Berhoerster

        * Rename system indicator root item action attributes (3d979e99d)

2022-11-19 Mike Gabriel

        * Merge branch 'fix-spelling' into 'main' (f782f0100)

2022-11-11 Guido Berhoerster

        * Fix spelling of the word "initial" (6c24b2a63)

2022-11-02 Guido Berhoerster

        * Merge branch 'personal/sunweaver/install-docs-into-html-subfolder'
          into 'main' (5b7787fd5)

2022-11-02 Mike Gabriel

        * debian/lomiri-doc.install: Adjust to new doc installation path.
          (0a91a15c7)
        * doc/Doxyfile.in: Set 'PROJECT_NAME' to 'Lomiri', not 'Lomiri 8'.
          (566b41c8d)
        * doc/: Install Lomiri documentation into subfolder 'html/' within
          /usr/share/doc/lomiri/. (f68eb9023)

2022-11-02 Guido Berhoerster

        * Merge branch 'personal/sunweaver/shell-private-libexecdir' into
          'main' (3e6d74235)

2022-11-02 Mike Gabriel

        * debian/lomiri-tests.lintian-overrides: Adjust to new
          SHELL_PRIVATE_LIBEXECDIR. (fdbf6547c)
        * debian/lomiri-tests.install: Adjust to introduction of
          SHELL_PRIVATE_LIBEXECDIR installation path in CMake.
          (c20b42b7a)
        * CMake: Introduce SHELL_PRIVATE_LIBEXECDIR and install unit test
          executables into that (non-multi-arch) path. (c3ca49506)

2022-11-02 Guido Berhoerster

        * Merge branch 'personal/sunweaver/copyright-headers' into 'main'
          (236574a68)

2022-10-31 Mike Gabriel

        * copyright headers: No dash between YEAR and copyright holder.
          (f5aeca553)
        * copyright headers: Use uniform spelling of 'UBports Foundation'.
          (39f0887c1)
        * copyright headers: Use uniform spelling of 'Canonical Ltd.'.
          (ce684afb3)
        * copyright headers: Use uniform spelling of 'Canonical Ltd.'.
          (f6656b214)

2022-10-08 Ratchanan Srirattanamet

        * Merge branch 'fix-lomiri-connectivity-mock' into 'main' (596f06cbf)

2022-08-04 Guido Berhoerster

        * Rename Bandwith to Bandwidth in Lomiri.Connectivity mock
          (9c6ba3bca)

2022-10-06 Mike Gabriel

        * Merge branch 'personal/mariogrip/focal_-_use-std' into 'main'
          (a9ec717ba)

2022-03-15 Marius Gripsgard

        * plugins: use std::sort as qSort is deprecated (d2d1084f5)
        * plugins: use std::find as qFind is deprecated (e20713dec)

2022-10-05 Mike Gabriel

        * Merge branch 'personal/mariogrip/focal_-_newer-qt-depri' into
          'main' (f0935ec2e)

2022-03-15 Marius Gripsgard

        * plugins: Use .loadReleaxed() on qt version 5.14 and up (286c1d147)
        * src: Use Qt::SkipEmptyParts for qt version 5.14 and up (fb7ed37fb)
        * plugins: Use Qt::endl for qt versions 5.14 and up (bd7d63850)
        * plugins: tests: Use qmlRegisterAnonymousType for qt versions 5.14
          and up (81e79c65f)

2022-09-05 Ratchanan Srirattanamet

        * Merge branch 'fix-notification-hints' into 'main' (ff70ecf05)

2022-08-12 Guido Berhoerster

        * Rename notification hints (f1f3da5e0)

2022-07-06 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/lomiri-pulls-in-ubuntu-indicators'
          into 'main' (e7bc87f88)

2022-07-05 Mike Gabriel

        * d/control: Recommend ayatana-indicator-{keyboard,session} instead
          of indicator-{keyboard,session}. (bf076283d)

2022-06-14 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/workaround-ayatana-switch' into
          'main' (6e62b056b)

2022-06-14 Ratchanan Srirattanamet

        * Workaround Ayatana Indicators' switch action parameter
          (bbb4dc26a)
          Fixes:
          https://gitlab.com/ubports/development/core/lomiri/-/issues/17

2022-05-31 Ratchanan Srirattanamet

        * Merge branch 'personal/mariogrip/focal_-_morecruft' into 'main'
          (11f29d3ab)

2022-05-28 Marius Gripsgard

        * cruft: Remove MediaServices (440dbbf32)

2022-05-31 Ratchanan Srirattanamet

        * Merge branch 'personal/mariogrip/focal_-_deviceinfo' into 'main'
          (bc9e941cb)

2019-09-18 Marius Gripsgard

        * Replace own config parser with libdeviceinfo (088ce4557)

2022-04-12 Ratchanan Srirattanamet

        * Merge branch 'reenable-telephony-api' into 'main' (e95763233)

2022-04-05 Guido Berhoerster

        * Use current, non-compat name of telephony-service QML module
          (d4ad18b3f)

2022-03-27 Florian Leeber

        * Merge branch 'fix-screenshot-sound' into 'main' (0c22fb13e)

2022-03-23 Jami Kettunen

        * Fix playback of camera_click.ogg during screenshot (d07fb96d8)

2022-03-18 Ratchanan Srirattanamet

        * Merge branch 'reenable-wizard' into 'main' (676b54931)

2022-03-18 Guido Berhoerster

        * Depend on lomiri-system-settings again (2c0587c5d)

2022-03-15 Guido Berhoerster

        * Re-enable telephony functionality (ee1b87933)

2022-03-15 Ratchanan Srirattanamet

        * Merge branch 'personal/mariogrip/focal_-_hfd' into 'main'
          (4017243cd)

2020-03-21 Marius Gripsgard

        * Replace own lights plugin with hfd leds (db067c0e9)

2022-03-10 Marius Gripsgard

        * Revert "Test and use hfd if Android SDK indicates it" (740574b54)
        * Merge branch 'personal/peat-psuwit/merge-xenial-2022Jan' into
          'main' (98d44d695)

2022-02-22 Ratchanan Srirattanamet

        * Merge branch 'remove-upstart' into 'main' (e407730d7)

2022-02-18 Guido Berhoerster

        * Fix failing copyright test (52389b331)

2022-02-17 Guido Berhoerster

        * Remove upstart jobs and dead code (f59d52dd6)

2022-02-16 Guido Berhoerster

        * Remove upstart event from lomiri (82a96ab34)
        * Remove upstart usage from the first run wizard (4b381c794)
        * Remove unused upstart jobs (7dea642b0)
        * Remove upstart usage from the greeter wrapper (65552470f)

2022-01-12 Dalton Durst

        * Merge branch 'personal/peat-psuwit/ayatana-indicators' into 'main'
          (decf11e1d)

2022-01-12 Ratchanan Srirattanamet

        * Update references of indicators to Ayatana ones where appropriate
          (29ad9f3b8)
          Fixes:
          https://gitlab.com/ubports/core/lomiri/-/issues/8

        * REAEME.md: update to reflect the situation of this repo/branch
          (609ab6e97)
        * Rename newly-added things (381f888a1)
        * Merge remote-tracking branch 'github_ubports/xenial' into
          personal/peat-psuwit/merge-xenial-2022Jan (4ce574e13)

2022-01-07 Rahammetoela Toekiman

        * Match the 'emergency' bar to the new greeter design (#418)
          (567f83393)

2022-01-05 Dalton Durst

        * Merge branch 'personal/peat-psuwit/finish-qmenumodel1.0' into
          'main' (b7a81f062)

2021-12-24 Ratchanan Srirattanamet

        * debian/control: migrate QMenuModel QML package name (8f13660d3)
        * tests/mocks: also rename QMenuModel's directory and QML file
          (df4564481)

2021-12-17 Marius Gripsgard

        * tests: Bump QMenuModel to 1.0 to match upstream (a7bd745a7)

2021-12-16 Marius Gripsgard

        * Merge branch 'mr/qmenumodel-1-0' into 'main' (405c3a6eb)

2021-12-08 Dalton Durst

        * binpkg lomiri provides notification-daemon (9219efe2a)

2021-11-30 Robert Tari

        * Bump QMenuModel to 1.0 (62aa960f1)

2021-11-29 Marius Gripsgard

        * Merge branch 'mr/rename-unitymenu' into 'main' (d8ca7defd)

2021-11-16 Robert Tari

        * Rename UnityMenuAction and UnityMenuModel source files and symbols
          (46b2531dd)

2021-11-29 Marius Gripsgard

        * Merge branch 'pr/rename-com-ubuntu-accountsservice-input' into
          'main' (7ee258946)

2021-11-11 Robert Tari

        * Rename com.ubuntu.AccountsService.Input (40b446db6)

2021-11-27 Marius Gripsgard

        * Merge branch 'mr/rename-com-ubuntu-accountsservice-securityprivacy'
          into 'main' (21f829622)

2021-11-26 Dalton Durst

        * Merge branch 'personal/peat-psuwit/fix-as-migration' into 'main'
          (32605f4b5)

2021-11-26 Ratchanan Srirattanamet

        * Merge branch 'mr/replace-schema-dependencies' into 'main'
          (9ac7b83bc)

2021-11-05 Robert Tari

        * debian/control: Replace schema dependencies (4becbae2f)

2021-11-26 Robert Tari

        * Drop com.lomiri.Shell.gschema.xml (b22d0daaa)

2021-11-05 Robert Tari

        * Rename com.ubuntu.AccountsService.SecurityPrivacy (bd27ae3e3)

2021-11-25 Ratchanan Srirattanamet

        * debian/session-migrations/AS: use .items() to iterate over dict
          (3fd82c235)
        * debian/session-migrations/AS: fix type hint (da3b81f2a)

2021-11-24 Marius Gripsgard

        * Merge branch 'mr/rename-x-canonical-value-bar-tint' into 'main'
          (bcf2c9267)
        * Merge branch 'main' into 'mr/rename-x-canonical-value-bar-tint'
          (af8a1560a)
        * Merge branch
          'mr/rename-com-ubuntu-touchaccountsservice-securityprivacy'
          into 'main' (b2becdf1f)
        * Merge branch 'pr/rename-com-ubuntu-touch-system' into 'main'
          (edf1283e8)

2021-11-03 Robert Tari

        * tests/qmltests/Notifications/tst_Notifications.qml: Rename
          x-canonical-value-bar-tint (eb16fba1d)

2021-11-23 Marius Gripsgard

        * Merge branch 'pr/x-canonical-to-x-ayatana' into 'main' (6df29d3b8)

2021-11-23 Capsia

        * Greeter redesign (#401) (4eca819e2)

2021-10-26 Robert Tari

        * Renaname x-canonical properties (33c7b7d6b)

2021-11-02 Robert Tari

        * Rename com.ubuntu.touch.AccountsService.SecurityPrivacy (e8376e649)

2021-10-29 Robert Tari

        * Rename com.ubuntu.touch.system to com.lomiri.touch.system
          (c6fd26b16)

2021-10-26 Florian Leeber

        * Merge pull request #414 from ubports/xenial_-_hfd-for-lights
          (72b1dc2d0)

2021-10-23 Florian Leeber

        * Review comments (9a63ce256)

2021-10-17 NotKit

        * Merge pull request #417 from ubports/xenial_-_ghostwindowfix
          (3981e796a)

2021-10-07 TheKit

        * Fix ghost window if application creates and destroys surface early
          in lifecycle (ff11a2443)

2021-10-02 Florian Leeber

        * Test and use hfd if Android SDK indicates it (e0e471352)

2021-10-03 Florian Leeber

        * Merge pull request #415 from ubports-weblate/weblate-ubports-lomiri
          (7b30fe351)

2021-10-03 Weblate

        * Translated using Weblate (Arabic) - 100.0% (185 of 185 strings)
          (47e1c1570)

2021-09-30 Ratchanan Srirattanamet

        * Merge branch 'pr/fix-ayatana-indicators-target-name' into 'main'
          (ec1403380)

2021-09-29 Dalton Durst

        * Merge branch 'pr/update-ido-names' into 'main' (97def94af)

2021-09-21 Rodney

        * Merge pull request #413 from ubports-weblate/weblate-ubports-lomiri
          (23128af13)

2021-09-21 Weblate

        * Translated using Weblate (Dutch) - 100.0% (185 of 185 strings)
          (620a196fa)

2021-09-20 Robert Tari

        * Update Ayatana IDO names (a0efcc4c4)

2021-08-31 Marius Gripsgard

        * Merge branch 'personal/usb/add-ayatana' into 'main' (0bff88ffd)

2021-08-23 Robert Tari

        * data/systemd-user/lomiri-MODE.service.in: Fix Ayatana indicators
          target name (2c57f585e)

2021-08-22 Rodney

        * Merge pull request #411 from ubports/xenial_-_camera-sound
          (51f9f282b)

2021-08-21 Rodney

        * Merge pull request #412 from ubports-weblate/weblate-ubports-lomiri
          (ba40239a8)

2021-08-21 Weblate

        * Translated using Weblate (Czech) - 100.0% (185 of 185 strings)
          (016f06dbe)

2021-08-20 Dalton Durst

        * Add tests for support for ayatana indicators (44fb59b36)

2021-08-19 Florian Leeber

        * Change path to our own sound package (4dc2b58e4)

2021-08-17 Rodney

        * Merge pull request #410 from ubports-weblate/weblate-ubports-lomiri
          (0e113043d)

2020-08-11 Marius Gripsgard

        * [Indicators] Add support for ayatana indicators (9c0e318eb)

2021-08-10 Weblate

        * Translated using Weblate (Japanese) - 53.5% (99 of 185 strings)
          (b49296652)

2021-06-16 Dalton Durst

        * Update README to reflect clickable usage and current repo situation
          (8c18280d1)
        * Add test suite to enable clickable test-libs (20620d9cd)
        * Add support for building with Clickable (700e2bd5b)

2021-07-30 Rodney

        * Merge pull request #406 from ubports-weblate/weblate-ubports-lomiri
          (cc0661c7d)

2021-07-28 Rodney

        * Merge branch 'personal/peat-psuwit/mariogriprename-plus' into
          'main' (d34a00c1e)

2021-07-28 Ratchanan Srirattanamet

        * Update crossbuilder's post_deploy script to work with systemd user
          units (018fe92f2)

2021-07-26 Weblate

        * Translated using Weblate (Swedish) - 87.5% (162 of 185 strings)
          (a293c1db6)

2021-07-09 Ratchanan Srirattanamet

        * plugins/LightDM: put greeter DBus objects in a subpath (e7a245c14)

2021-07-07 Ratchanan Srirattanamet

        * d/control: remove Break/Replace not applicable for the new pkg
          (487a7a68d)

2021-06-21 Ratchanan Srirattanamet

        * systemd-user: set SyslogIdentifier (6dae64656)

2021-06-17 Ratchanan Srirattanamet

        * Use the renamed liblomiri-connectivity-qt1 (7a742fa05)
        * Rename some indicator-network-specific indicator type (393e3e133)
        * Load indicators from /usr/share/unity/indicators for compatibility
          (90b14a294)

2021-06-15 Ratchanan Srirattanamet

        * d/*: add session-migration scripts for things that we rename
          (06732e02a)
        * plugins/Wizard: move the wizard-has-run file to ~/.config/lomiri
          (08a7a6116)

2021-06-12 Ratchanan Srirattanamet

        * data/systemd-user: use -pre target names (f429a7229)

2021-06-02 Ratchanan Srirattanamet

        * plugins/Powerd: rename interface back to com.canonical.Unity
          (de5aefdbf)

2021-06-01 Ratchanan Srirattanamet

        * lomiri-systemd-wrapper: change env var for specifying 1-time binary
          (5f158f2eb)

2021-05-31 Ratchanan Srirattanamet

        * GlobalShortcut: do explicit ignore() on the event (55002cdda)

2021-05-25 Ratchanan Srirattanamet

        * Rename system-compositor interfaces to the new name (d0d1ce22b)

2021-05-06 Ratchanan Srirattanamet

        * dbuslomirisessionservice: change the way we lookup our session
          (de98a74fc)

2021-05-04 Ratchanan Srirattanamet

        * systemd-user: also set WAYLAND_DISPLAY (8e51539bd)

2021-05-03 Ratchanan Srirattanamet

        * Add systemd user units for Lomiri (b28f767a4)

2021-04-30 Ratchanan Srirattanamet

        * src: notify systemd that we're ready (1b6164636)

2021-05-22 Ratchanan Srirattanamet

        * tests/mocks/indicators: check for renamed battery icon (7f264255e)

2021-05-18 Ratchanan Srirattanamet

        * WorkspaceManager: make sure the singleton has CppOwnership
          (30d2e1f24)
        * tst_Shell: wait for visuallyMaximized's animation to finish
          (e370c84e2)

2021-05-14 Ratchanan Srirattanamet

        * QmlTest: remove obsolete LD_PRELOAD (af2965d61)

2021-07-20 Rodney

        * Merge pull request #400 from ubports-weblate/weblate-ubports-lomiri
          (7422ed2e3)

2021-07-18 Weblate

        * Translated using Weblate (Italian) - 100.0% (185 of 185 strings)
          (da8d72056)

2021-06-14 Rodney

        * Merge pull request #396 from ubports-weblate/weblate-ubports-lomiri
          (a256c927c)

2021-06-13 Weblate

        * Translated using Weblate (Chinese (Simplified)) - 100.0% (185 of
          185 strings) (8fca0182c)

2021-06-03 Dalton Durst

        * Optimize Wallpaper loading to reduce shell lag (840777f92)

2021-06-02 Dalton Durst

        * Optimize wallpapers for load times and memory use (a81421ac1)
        * Fix Greeter Wallpaper being positioned differently (c3211f766)

2021-06-02 Rodney

        * Merge pull request #392 from ubports-weblate/weblate-ubports-lomiri
          (15dc6d6fe)

2021-06-01 Weblate

        * Translated using Weblate (Polish) - 100.0% (185 of 185 strings)
          (5fbf87c12)

2021-06-02 Rodney

        * Merge pull request #393 from ubports/xenial_-_fix-shell-mode
          (7d1a7e401)

2021-06-01 Rodney

        * Merge pull request #391 from
          ubports/xenial_-_drawer-input-field-changes (e71457d35)
        * Merge pull request #386 from ubports-weblate/weblate-ubports-lomiri
          (bc4a0a682)

2021-06-01 Weblate

        * Translated using Weblate (Portuguese) - 100.0% (185 of 185 strings)
          (d68d4597c)

2021-06-01 Dalton Durst

        * Fix opening the Drawer and apps when Lomiri runs as a shell
          (55d72d7a8)

2021-06-01 Ratchanan Srirattanamet

        * PhysicalKeysMapper: handle first power button long press correctly
          (bdbbb2011)

2021-05-31 Dalton Durst

        * Fix edge cases in Drawer searching (fcc3d498e)
        * Prevent Drawer focus from flapping during transitions (5f8478207)
        * Fix issues dismissing Drawer on large screens (c6628ec12)
        * Save lots of memory (#388) (5d5c433e2)

2021-05-20 Marius Gripsgard

        * debian: B-D Use renamed content hub package (ebba05a5f)

2021-05-12 Ratchanan Srirattanamet

        * Wizard: rename pkla file name to com.lomiri.wizard (6ef7a8773)

2021-05-11 Ratchanan Srirattanamet

        * Rename greeter DBus services to com.lomiri.LomiriGreeter
          (3129de7ab)
        * Rename our own DBus services to com.lomiri.Shell (4cb0602ce)
        * Rename our own AccountsService schema to com.lomiri.shell
          (9b2f35f00)

2021-04-14 Marius Gripsgard

        * gsettings: Merge old unity8 and unity7 into a new schema
          (6cda68e55)

2021-05-05 Ratchanan Srirattanamet

        * Revert incorrect default wallpaper rename (4559106bb)

2021-04-29 Ratchanan Srirattanamet

        * Migrate to QtMir.Application (959ae3696)

2021-04-27 Ratchanan Srirattanamet

        * d/control: temporary disable lomiri-system-settings (39987cb0e)
        * ActiveCallHint: temporary disable Lomiri.Telephony dependency
          (655e427ce)
        * LomiriApplication: print load error through qDebug() (d08ee8101)

2021-04-23 Ratchanan Srirattanamet

        * Rename AccountsService schema back to com.ubuntu (47dc81cb0)
        * Rename gsettings schema back to com.ubuntu (6fc3a423d)
        * Rename LomiriMenuAction back to UnityMenuAction (ec1a0bf55)

2021-04-22 Ratchanan Srirattanamet

        * d/control: remove breaks/replaces not applicable to the new pkg
          name (311339635)
        * d/control: remove dependencies to thumbnailer virtual package
          (f2859ba1e)

2021-04-23 Ratchanan Srirattanamet

        * d/control: adds missing QML dependencies (0bfe7fc6f)

2021-04-22 Ratchanan Srirattanamet

        * d/control: modernize some QML module pkg names (e24caac74)

2021-04-21 Ratchanan Srirattanamet

        * d/control: adapt to qtmir packaging change (5c321b012)
        * d/control: add missing B-D (dda80549a)

2021-05-20 Marius Gripsgard

        * qml: Fix type error if panelState is undefined (cb8f7b8ae)
        * tests: Set overflow timeout to 1ms (11d60a24e)
        * tests: Add regex to handle *-symbolic icons (1c1783ae7)

2021-04-17 Marius Gripsgard

        * WM: Make sure to clear all workspaces on destruction to avoid race
          condition (c4360e155)
        * shell: Use renamed ModemConnectivity (bed321adf)

2021-04-14 Marius Gripsgard

        * debian: start new release (581c40c08)
        * URLDispatcher: Use lomiri urldispatcher (484dba3f4)
        * CMake: Search for Lomiri system settings instead of old system
          settings (cd823bc66)
        * tests: check_copyright ignore common build dirs (bcf61c110)
        * debian: Move jenkinsfile to debian folder (0b64bec94)
        * debian: Remove bileto hook (5a7e89d04)
        * debian: Add missing dep on settings menu (112820ed7)
        * debian: Use lomiri renamed components (74e6b1ece)
        * debian: Fix bad rename of fonts (dda665703)
        * tests: Copyright test should ignore .git folder (049843304)
        * qml: Add missing copyright (01b7fd25c)
        * plugins: Rename Lomiri.Connectivity to Lomiri.ModemConnectivity
          (c401e3f59)
        * tests: Rename lomiri.test to lomiri.selftest to avoid conflict with
          LUT (93cf67fa7)
        * QMenuModel still uses unity namespace, so rename back to that
          (2a464a07e)
        * Merge old Ubuntu and Unity folders into Lomiri (35e9be4e3)

2021-05-14 Joan CiberSheep

        * Top panel from positive to activity (#324) (9d5411fd4)

2021-05-13 Rodney

        * Merge pull request #369 from ubports-weblate/weblate-ubports-lomiri
          (5b6dffbb2)

2021-05-09 Weblate

        * Translated using Weblate (Japanese) - 46.4% (86 of 185 strings)
          (09be1d53f)

2021-04-16 Kugi Eusebio

        * Corrected terminal app ID (01f0347e5)

2021-05-13 Kugi Eusebio

        * Changed design of side stage handle (#374) (e1ebb5c62)

2021-04-12 Marius Gripsgard

        * Initial dirty rename unity -> lomiri (30c24572c)
        * Initial dirty rename unity8 -> lomiri (0711b090b)
        * Initial dirty rename ubuntu -> lomiri (8a8ac3de7)

2021-04-08 Marius Gripsgard

        * tests: re-enable fixed test (e07a351c9)
        * Merge remote-tracking branch 'origin/xenial' into xenial_-_edge
          (33ceebd9f)

2021-03-21 Florian Leeber

        * Merge pull request #368 from ubports-weblate/weblate-ubports-lomiri
          (9ec9925db)

2021-03-18 Weblate

        * Translated using Weblate (French) - 100.0% (185 of 185 strings)
          (297ef95ef)

2021-02-18 Rodney

        * Merge pull request #367 from kugiigi/xenial_-_edgesens (71d3c150f)

2021-02-04 Kugi Eusebio

        * Changed type of edge-barrier-sensitivity (c39d8fe8b)

2021-01-29 Rodney

        * Merge pull request #366 from ubports/xenial_-_speed-up-tests
          (e1621b6b6)

2021-01-29 Dalton Durst

        * Update translation sources (1ebf4f873)

2020-12-27 Kugi Eusebio

        * Changed Unity 8  to Lomiri in shortcuts overlay (7772c3411)

2021-01-17 Dalton Durst

        * Use light indicators in ShellWithPin and Tutorial (b4b2a5ddb)
        * Add light indicators to tst_Shell (805b90461)
        * Add 'light' property to IndicatorsModel for tests (eba99afd4)

2021-01-29 Rodney

        * Merge pull request #363 from ubports/xenial_-_fix-lights
          (49c89db2b)
        * Merge pull request #365 from ubports/xenial_-_replace-test-loaders
          (d4566397d)

2021-01-28 Dalton Durst

        * Remove SurfaceManager creation in ::instance() (dbb33c85c)
        * Update tst_Tutorial to remove Loaders (977d1d77c)

2021-01-17 Dalton Durst

        * Update tst_Shell to remove Loaders (b3fb0fcea)
        * GlobalShortcut: Handle window being set at creation (df1185e2f)

2021-01-28 Dalton Durst

        * Fix pulsing notification LED on unread message (2011f63af)

2021-01-27 Rodney Dawes

        * Don't use peeking animation when drawer is open (6119aafdc)

2021-01-26 Willem-Jan de Hoog

        * fix for notification led (#359) (76f577d89)

2021-01-26 Marius Gripsgard

        * tests: Fix tests after bringing in qt 5.12 fixes (82c223b12)
        * tests: qmltests: shell: ExpectFail on broken compeare instead
          (e87603d07)
        * tests: qmltests: greeter: enable working test (0ddcd2978)

2021-01-19 Marius Gripsgard

        * Merge remote-tracking branch 'origin/xenial' into
          xenial_-_edge_-_qt-5-12 (aab8ce699)

2021-01-20 Dalton Durst

        * Use empty qstring instead of nullptr (ac69b1626)

2021-01-18 Dalton Durst

        * Standardize on '&varName' instead of 'TypeName&' (5bed8a125)
        * Remove Q_PROPERTY declarations (5feb0be03)
        * Make AsyncQuery members as static as possible (0e6c52cfe)
        * Init AsyncQuery asynchronously (41c6cd174)
        * Test for warnings when AsyncQuery fails to init (b096586d9)
        * Connect saveState as a signal instead of invoking (f20cd94f8)
        * Add a one-second timeout to prevent deadlocks (cac838443)
        * Move AsyncQuery entirely into cpp file (af15c2ac2)

2021-01-16 Dalton Durst

        * Rewrite WindowStateStorage for improved async power (add6528f9)

2021-01-17 Marius Gripsgard

        * Merge pull request #355 from ubports/xenial_-_qt-5-12 (f821fd2ee)
        * Merge remote-tracking branch 'origin/xenial_-_qt-5-12' into
          xenial_-_edge_-_qt-5-12 (d8e3e786d)
        * Merge remote-tracking branch 'origin/xenial' into
          xenial_-_edge_-_qt-5-12 (c5241da60)

2021-01-15 Rodney Dawes

        * Revert orientationChangesEnabled comparison in tst_OrientedShell
          (33d9fd1b9)

2021-01-14 Dalton Durst

        * Fix LauncherPanel tests with Qt 5.12 (627bd76e7)

2021-01-14 Rodney Dawes

        * Apply the SurfaceManager related fixes for tst_OrientedShell as
          well (bd0786a0f)

2021-01-13 Dalton Durst

        * tst_ShellWithPin: Remove useless wait() (81062a321)
        * tst_ShellWithPin: Replace loader with temporary object (c81a2f48a)

2020-11-02 Rodney Dawes

        * Make splash follow platform guide described behavior (27dc6a0bb)
        * Remove lingering scopes reference in shortcut overlay (0a85228a9)

2020-10-28 Rodney Dawes

        * Skip on arm64 again for now, to ignore the SIGBUS in CI (700ac09de)
        * Skip tests failing due to other skipped tests (4950b8f6c)
        * Improve test running. (bc88941d7)
        * Skip some tests failing on all archs with Qt 5.12 (5802fb181)

2020-10-26 Rodney Dawes

        * Actually fix the showable warnings (4be52fe06)
        * Fix QML alignment and type errors (0e427b008)
        * Add missing mock data for Wizard plugin (72d2d9893)
        * Fix animation property types (8b3b35d20)
        * Remove unused mock setting and add missing oskSwitchVisible
          setting. (ee1fffa0a)

2020-10-24 Rodney Dawes

        * Build-Depends on ubports-wallpapers to quiet some warnings in tests
          (3f5836472)

2020-10-23 Rodney Dawes

        * Adjust spacing math so columns don't get stripped off on some
          devices (cf60c3d62)

2020-09-22 Rodney Dawes

        * Use Item instead of invalid internal Object type (c5802b537)

2020-09-02 Rodney Dawes

        * Load splash image at original size, and preserve aspect to fit
          (6d2164131)

2020-09-01 Rodney Dawes

        * Fix the missing column issue. (f4c27c362)

2020-08-26 Rodney Dawes

        * Clean up and updatet deprecated qml module dependencies (3c1830f92)

2020-08-06 Rodney Dawes

        * Succeed even with test failures for now. (bf86773eb)
        * Remove useless try/catch here. (b2bee920b)
        * Fix test to pass (7e068e129)
        * Fix mock surface manager creation. (61ed5fcf4)
        * Fix tests to pass (851cbbab0)
        * Fix anchors (9e62ce861)
        * Fix type error (ee2a11f6f)
        * Fix anchors (47c608d6c)
        * Fix type errors (16ab292e7)
        * Reduce extraneous binding of variable. (4537fc960)
        * Remove unused ResponsiveGridView (ac396ae2b)

2020-07-28 Rodney Dawes

        * Fix more type errors (0a9395ee2)
        * Fix window state storage tests (6931e293c)
        * Fix Type errors (01fcb7a1d)
        * Fix anchors warnings in Layout usage. (704f0b220)
        * Use QString here to eliminate JS conversion errors. (041f34d54)

2020-07-24 Rodney Dawes

        * Fix verify vs tryCompare usage. (4e9f67b51)

2021-01-04 Rodney

        * Merge pull request #354 from ubports/update-jenkinsfile (3741ec20d)

2021-01-04 Florian Leeber

        * Update Jenkinsfile to template version (b84f35a07)

2020-12-16 ubports-weblate

        * Translations update from Weblate (#348) (66dd9555c)

2020-11-30 Dalton Durst

        * Merge pull request #347 from ubports-weblate/weblate-unity8-unity8
          (873c24dc2)

2020-11-30 Weblate

        * Translations update from Weblate for Unity8/Unity8. (60a76813f)

2020-11-05 Joan CiberSheep

        * Make Buttons in Notification bubble follor HIG (#336) (c1cdff170)

2020-11-05 Dalton Durst

        * tst_NarrowView: Use Qt's DoubleClick, not tapping (#339)
          (8ec377743)
        * MenuBar test: Wait for overflow menubar to render (#338)
          (a4f840aec)

2020-10-14 Dalton Durst

        * Skip test_drag_indicator_item_down_shows_menu (d87fbf77a)

2020-10-08 ubports-weblate

        * Translations update from Weblate (#323) (ae18d14a4)

2020-10-08 DEADBLACKCLOVER

        * Update README.md (#322) (f249ded3d)

2020-09-25 Kevin Keijzer

        * Add screenshot button to power menu (#329) (01fed9a06)

2020-08-26 Marius Gripsgard

        * [tests] Temporarily skip 2 non critical tests (11d0d6338)
        * [qml/OrientedShell] screens is now static (9de50826e)
        * [tests/PhoneStage] Remove expected fail as surprise launch works
          now (dddb22555)
        * [qml/launcher] Show drawer if bfb is pressed even if no apps are
          open (632c6acb4)
        * Fix input tests and remove unused varables (5e9a35f6a)
        * Fix tests after bad merge (956eecf2f)

2020-08-24 Marius Gripsgard

        * Merge remote-tracking branch 'origin/xenial' into
          xenial_-_edge_-_multiscreen (00e1ec026)

2020-07-28 Marius Gripsgard

        * Merge pull request #319 from ubports/xenial_-_centerednoappshint
          (e2c28d65c)

2020-07-26 Florian Leeber

        * Merge pull request #321 from ubports-weblate/weblate-unity8-unity8
          (98881cb29)

2020-07-26 Weblate

        * Translated by Adolfo Jayme Barrientos <fitojb@ubuntu.com> using
          Weblate (Catalan) - 100.0% (185 of 185 strings)
          (a8cac7db9)

2020-01-11 Joan CiberSheep

        * Enable inverted portrait for Arale (69ac8c540)

2020-07-10 Alfred Neumayer

        * Shell & Stage: Use margin to place the 'No running apps' hint
          beside the launcher (8bc07afaf)

2020-06-15 Dalton Durst

        * Force the suru icon theme on all Lomiri tests (d07cfbed2)

2020-06-16 Florian Leeber

        * Merge pull request #312 from ubports-weblate/weblate-unity8-unity8
          (574420853)

2020-06-09 Jiri Grönroos

        * Translated using Weblate (Finnish) (6d15639ee)

2020-06-08 luka177

        * Translated using Weblate (Ukrainian) (62eeb6e5d)

2020-05-20 Pierre

        * Translated using Weblate (Dutch) (96ba85386)

2020-05-18 Pavel Borecki

        * Translated using Weblate (Czech) (efbcaa7b3)

2020-05-14 Pavel Borecki

        * Translated using Weblate (Czech) (52d93e40d)

2020-05-08 dano6

        * Translated using Weblate (Slovak) (07a0c1c00)

2020-05-06 penyotike

        * Translated using Weblate (Japanese) (639e42203)
        * Translated using Weblate (Japanese) (f9f994a35)

2020-05-06 kaito419

        * Translated using Weblate (Japanese) (c4c3b9da3)
        * Translated using Weblate (Japanese) (bb34e0766)

2020-05-06 penyotike

        * Translated using Weblate (Japanese) (9ef239700)

2020-05-04 Osama Chibani

        * Translated using Weblate (Arabic) (9513a4864)

2020-05-28 Marius Gripsgard

        * Merge pull request #311 from z3ntu/xenial_-_bionic-merge
          (34f8f8881)

2018-10-01 Luca Weiss

        * Don't fail silently when qdbusxml2cpp is missing (188b58bc9)
        * Use QmlPlugins from cmake-extras (d163016a7)

2018-09-19 Ivan Semkin

        * Fix build with Qt 5.11_beta3 (dropping qt5_use_modules) (1b4e5afe1)

2020-04-27 Dalton Durst

        * Merge pull request #308 from ubports-weblate/weblate-unity8-unity8
          (7496c8a68)

2020-04-24 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (faf186ce8)

2020-04-18 Dalton Durst

        * Focus the shellView after creating secondaryWindow (706370904)

2020-04-17 Ratchanan Srirattanamet

        * Fix hiding drawer using Super key (7013f90cf)

2020-04-20 Florian Leeber

        * Merge pull request #306 from ubports-weblate/weblate-unity8-unity8
          (105fb57d7)

2020-04-15 Daniel Frańczak

        * Translated using Weblate (Polish) (2cc89a4d3)

2020-04-16 Josué

        * Translated using Weblate (Spanish) (637f72d3d)

2020-04-16 Federico Turbino

        * Translated using Weblate (Italian) (51f56a58f)

2020-04-16 Milan Korecký

        * Translated using Weblate (Czech) (59a68ec18)

2020-04-15 Mike

        * Translated using Weblate (Italian) (a5c759241)
        * Translated using Weblate (Italian) (6268446d2)

2020-04-15 Florian Leeber

        * Merge pull request #304 from ubports-weblate/weblate-unity8-unity8
          (8b5e0e52b)

2020-04-15 Adrià

        * Translated using Weblate (Sardinian) (bd826ef04)

2020-04-15 Anne Onyme

        * Translated using Weblate (French) (f70ece724)

2020-04-15 Ivo Xavier

        * Translated using Weblate (Portuguese) (b31d8f75f)

2020-04-15 Joan CiberSheep

        * Translated using Weblate (Catalan) (6b1d3852c)

2020-04-15 Weblate

        * Update translation files (8280a803c)

2020-04-15 Florian Leeber

        * Merge pull request #303 from ubports-weblate/weblate-unity8-unity8
          (7a01a9196)
        * Translated using Weblate (German) (20ffe4890)

2020-04-15 Weblate

        * Update translation files (df9af9252)
        * Merge branch 'origin/xenial' into Weblate. (8e517080f)

2020-04-15 Florian Leeber

        * Merge pull request #299 from ubports/xenial_-_unity8translations
          (ba42b46b8)

2020-04-15 Weblate

        * repair merge (9c94a1f18)
        * Update translation files (5e41212fe)

2020-04-15 Florian Leeber

        * Merge pull request #300 from ubports/xenial_-_repair-localization
          (d52dc2c9e)

2020-04-15 Weblate

        * Test the po repair (917fce8e6)

2020-04-15 Dalton Durst

        * Remove bazaar/deployment files (f1e465ad2)
        * Update translation sources (0ee3b0b99)

2020-04-13 Marius Gripsgard

        * Merge pull request #295 from ubports/xenial_-_demo-drawer
          (a45f16d27)

2020-04-10 Ratchanan Srirattanamet

        * Add pull-to-refresh to app drawer (2a12bafe6)

2020-03-31 Willem-Jan de Hoog

        * Indicate charging state only if device supports multi color led
          (#287) (db503ee44)

2020-03-09 Dalton Durst

        * Show the Drawer tutorial for upgrading users (ad9f0bd68)

2020-03-30 Ratchanan Srirattanamet

        * [DBusGreeterList] fix EntryIsLocked property (184b9d638)

2020-02-18 Dalton Durst

        * Fix Launcher dismissing keyboard (8ae7d92e2)

2020-03-23 Dalton Durst

        * Make partial panel width exclusive to 60 gu (9d0c2b989)

2020-03-10 Dalton Durst

        * Fix eliding of title (338a7a403)

2020-03-04 Ratchanan Srirattanamet

        * Fix Panel tests freezing occasionally (d952c52f8)
        * Compensate for PanelItemRow's origin changing (b7f044eae)

2020-03-03 Dalton Durst

        * Add button to show or hide app menus to PanelTests (58d9a0381)

2020-02-25 Dalton Durst

        * Allow indicators to take up more space (ae0a2472f)

2020-03-24 Ratchanan Srirattanamet

        * [TGA] Ignore touch events when in the rejected state (c36c2dc45)

2020-03-09 Dalton Durst

        * Fix utils tests (7d149cf15)

2020-03-04 Rodney

        * Remove console.trace() and debug function (#288) (78c5a3a73)

2020-02-25 Ratchanan Srirattanamet

        * Display trust prompts when the app has no surface too (0fbbe183e)

2020-02-18 Ratchanan Srirattanamet

        * Prevent IndicatorItem removal while expanding (b0fa7228e)

2020-02-23 Dalton Durst

        * Only allow tutorials to run serially (#284) (b8eb7f9d9)

2020-02-20 Dalton Durst

        * Make Tutorial start faster; block functionality (#279) (1d2d928db)

2020-02-18 Dalton Durst

        * When Launcher is locked, OSK can have full width (#277) (1b356b04a)

2020-02-16 Dalton Durst

        * Lock Launcher on screen when no apps are running (#274) (b62a87cd6)

2020-02-12 Dalton Durst

        * Don't be clever about wallpapers (919293d96)

2020-01-25 Ratchanan Srirattanamet

        * [tests/mocks] don't focus newly created surface (ba2d37f84)

2020-01-23 Ratchanan Srirattanamet

        * [TLWM] always activate the newly-prepended window (d58308c7e)

2020-01-30 Ratchanan Srirattanamet

        * Shell: fix starting locked app (126feffcb)

2020-01-11 Joan CiberSheep

        * Fix theme in ShellDialog (12ba38885)

2019-12-20 Marius Gripsgard

        * [Stage] Make sure we send screenOffsets to mir (b489e46d4)

2019-12-16 Ratchanan Srirattanamet

        * [Stage] handle "Application" level focus request (be956d129)
          Fixes:
          https://github.com/ubports/ubuntu-touch/issues/1242

2020-01-11 Marius Gripsgard

        * Merge pull request #262 from peat-psuwit/xenial_-_fix-1337
          (41fc20877)

2020-01-09 Ratchanan Srirattanamet

        * Stage: don't signal mainAppChanged unnecessarily (dc3a20dda)

2019-12-19 Marius Gripsgard

        * Add global InputMethodManager to handle inputMethod across screens
          (1b30ec805)

2020-01-08 Marius Gripsgard

        * Merge pull request #260 from
          ubports/xenial_-_themes-really-broke-the-tests-huh
          (a6aac8d67)

2020-01-08 Dalton Durst

        * Compare theme colors against the correct theme (f4d32b8c5)

2020-01-09 Ratchanan Srirattanamet

        * Showable: do nothing if requested action's animation is running
          (1a9b7e13b)

2020-01-02 Marius Gripsgard

        * Merge pull request #257 from ubports/xenial_-_tlwm-no-wraparound
          (fd0f7e8e0)

2019-12-30 Dalton Durst

        * Remove logic to wrap around from maxWindowId to 1 (12e32a56d)

2019-12-29 Dalton Durst

        * Use the max value of an int for max window ID (efd3bd14c)

2019-12-28 Dalton Durst

        * Keep refactoring tst_Shell, reduce race conditions (54de86272)

2019-12-27 Dalton Durst

        * Add copyright headers I missed (c41130ac4)
        * Basically skip animations if Showable not shown (6d933554a)

2019-12-24 Dalton Durst

        * Remove panel visibility check from launcher (d42c11074)

2019-12-23 Dalton Durst

        * Reduce warnings caused by fake indicators (88ea43ab1)

2019-12-24 Dalton Durst

        * Refactor and fix intermittent tests (ded5363cf)
        * Improve showing launcher automatically (a720096ec)
        * Fix name of QMLTopLevelWindowModel tests (91c7a0783)
        * Make it less likely to issue duplicate Window IDs (f85133bdf)
        * Make touchFlick flick instead of snap (7fb19799f)

2019-12-19 Ratchanan Srirattanamet

        * [TLWM] fix activating top most window (c2ffdb9ec)
        * [Stage] also set pendingActivation when going to run focus
          animation (694e8a4a1)
          Fixes:
          https://github.com/ubports/ubuntu-touch/issues/1323

2019-12-17 Ratchanan Srirattanamet

        * [Launcher] fix apps launched from panel appears in background
          sometimes (e0b46af72)
          Fixes:
          https://github.com/ubports/ubuntu-touch/issues/1210

2019-12-14 Marius Gripsgard

        * Merge pull request #239 from ubports/xenial_-_removeFocusFromApp
          (8762b7235)
        * Merge pull request #240 from ubports/xenial_-_unityTestSpeedup
          (31d9e497c)

2019-12-13 Dalton Durst

        * Remove edgeBarrierControls where they are useless (5dc559312)
        * TIme out findChild faster when we expect null (b0f054c18)
        * Search dialogs for the modeSwitchWarningDialog (7f2de6db4)

2019-12-13 Ratchanan Srirattanamet

        * Update Jenkinsfile as of ubports/build-tools@0af3831 (b154e592d)
        * Stop indicators when Unity 8 stops (c73f2768d)

2019-12-11 Dalton Durst

        * Refactor interactive into allowInteractivity (922e8e81a)
        * TopLevelWindowModel: Don't refocus closed Window (70283200e)

2019-12-11 Marius Gripsgard

        * Merge pull request #174 from ubports/xenial_-_edge_-_appwatcher
          (5e3b45cae)

2019-08-14 Marius Gripsgard

        * Add watchers for xdg desktop file changes (0a526739e)

2019-12-11 Willem-Jan de Hoog

        * Add battery state led indicators. (#226) (d900105c7)

2019-12-02 Marius Gripsgard

        * [TLWM] Change rootFocus to a property (edcd7106f)

2019-12-01 Marius Gripsgard

        * [ShellApplication] Use (new) screenRemoved event from upstream qt
          (2a9d04401)

2019-11-02 GizmoChicken

        * Create README.md (2af5f2c29)

2019-10-23 Lionel Duboeuf

        * Allow searchField clear button to be always active (fixes #211)
          (0cf54e579)
        * Remove nested model (#212) (3e584ebff)

2019-10-22 Lionel Duboeuf

        * Load icon asynchonously (#209) (c7bac8e60)

2019-10-14 Dalton Durst

        * Hide keyboard when Launcher or Drawer are dragged (329a38593)
        * Don't allow the user to snipe indicator handles (2c2664a4c)

2019-10-14 Marius Gripsgard

        * Merge pull request #189 from ubports/xenial_-_edge_-_wayland
          (4fa0ad997)

2019-09-08 Marius Gripsgard

        * Specify QPA platform to mirserver if we use wayland as client QPA
          (b37747637)

2019-10-03 Marius Gripsgard

        * Merge pull request #203 from
          ubports/xenial_-_edge_-_panel-menu-reject-drags
          (1d07cc12a)

2019-10-02 Dalton Durst

        * Reject quick drags on the panel menu (0070dd4cc)

2019-10-02 Marius Gripsgard

        * [Shell] Make sure we unset WM objects before destroying (3e718375c)
        * [WM] Move surfaceManager to local memeber with same tread destroy
          signal (efc760ff4)
        * Merge pull request #202 from
          ubports/xenial_-_edge_-_inhibit-slide-animation
          (8b854624c)

2019-10-01 Dalton Durst

        * Make the appDelegate know when it's being focused (bb646a264)

2019-09-30 Marius Gripsgard

        * Make sure to display promt animation correctly on stopped promt
          (fa0af3312)
        * [tests] Skip two compeare functions (FIXME) (77038f159)
        * [VirtualTouchPad] Move need for windowManager out to main root
          (00e5c7b3e)
        * [Stage] Use correct close function and Make sure to trigger propery
          (a47895ee9)
        * [tests] Add downwards swipe function as this will be needed for
          workspaces (4c873ecdf)
        * [tests] Set var that got removed but should be set on live surface
          (fbba3e538)
        * [tests] Make sure to close spread on cleanup (c549645dd)
        * [tests] Make sure to set surface to null if surface is not live
          (bf5076cae)
        * Disable workspace switcher and FakeSurface if workspace is disabled
          (f3ada84af)
        * Make sure to clear m_previousWindow when the window is deleted
          (d1b0fbf63)

2019-09-23 Marius Gripsgard

        * Merge remote-tracking branch 'origin/xenial_-_edge' into
          xenial_-_edge_-_multiscreen (60db746bc)

2019-09-19 Marius Gripsgard

        * Cleanup ashes left from dash and scopes (4e758cb3e)
        * Remove unused link/include to gio (64cc07a00)

2019-09-23 Marius Gripsgard

        * Check if search word contains, not just startsWith (929a9fb1a)

2019-09-23 Jan Sprinz

        * Manage apps on edge (ish) (#181) (3f2de385e)

2019-09-21 Marius Gripsgard

        * Merge pull request #195 from ubports/xenial_-_edge_-_fixreboot3
          (652a3c248)

2019-09-20 Marius Gripsgard

        * Fix closeAllWindows trigger and capture for anonymous function
          (5fd3fb82e)

2019-09-15 Marius Gripsgard

        * Fix panel test by making verifying synchronous (8a0b6f5a6)
        * Make sure right tutorial gets skipped if spread has been shown
          (f99e28fa2)

2019-09-18 Jan Sprinz

        * Work around greeter anchoring mess (#190) (35dc0ed7f)

2019-09-18 Dalton Durst

        * Cache the blur results and tone down the radius (929e41efa)

2019-09-16 Marius Gripsgard

        * Merge pull request #177 from ubports/xenial_-_edge_-_refocusfixes
          (ab735599c)

2019-09-15 Marius Gripsgard

        * Fix multiscreen tests (71d53fc26)
        * Fix panel test by making verifying synchronous (a4b27073c)
        * Make sure right tutorial gets skipped if spread has been shown
          (e72942934)

2019-09-14 Marius Gripsgard

        * Make workspaces disabled by default (gsetting to enable)
          (dabba02b6)

2019-07-24 Marius Gripsgard

        * Let TopLevelWindowModel deside what app to refocus, if any
          (c08b89c2e)

2019-09-05 Jan Sprinz

        * Pass null instead of undefined if model is not ready (0b987cbac)
        * Make sure we evaluate a boolean to satisfy Qt typing (e44d79ce3)

2019-09-13 Marius Gripsgard

        * Merge remote-tracking branch 'origin/xenial_-_edge' into
          xenial_-_edge_-_multiscreen (c4c05ceb8)

2019-06-29 Marius Gripsgard

        * Let the windowmanager handle closing of all apps (35e53ef7a)

2019-08-28 Marius Gripsgard

        * Welcome page should not have back button (2bfacda93)

2019-09-05 Jan Sprinz

        * Do not try notifyAppFocusRequested the greeter. That's impossible.
          Instead only try to realize the truth: There is no
          greeter.Then you'll see that it's not the greeter that
          notifyAppFocusRequesteds, it is only yourself. (44f033948)
        * Merge pull request #186 from
          ubports/xenial_-_edge_-_indicatortextbindingloop
          (50d1dd6ab)
        * Fix indicator text binding loop (75645e193)

2019-08-23 Rodney

        * Merge pull request #179 from
          ubports/xenial_-_edge_-_noLauncherDisabling (93f04f844)

2019-08-22 Dalton Durst

        * Revert "Add a new setting to enable/disable the launcher"
          (7ad679805)

2019-08-16 Marius Gripsgard

        * Merge pull request #176 from ubports/xenial_-_edge_-_dontautofocus
          (de0d157fd)

2019-08-15 Marius Gripsgard

        * [WindowManager] Focus surface on startup only if focus is requested
          (4169ccd30)
          Fixes:
          https://github.com/ubports/ubuntu-touch/issues/1088

2019-08-03 Marius Gripsgard

        * [Stage] Make sure we only use saved states when appropriate
          (b76b31e68)

2019-08-03 Dalton Durst

        * Fix the lurching right-edge transition (1829fbfe7)

2019-07-18 Rodney

        * Merge pull request #168 from ubports/xenial_-_edge_-_greeter-cover
          (4d89751c3)

2019-07-18 Dalton Durst

        * Ensure the narrow greeter always covers the shell (b73953dda)

2019-07-13 Rodney

        * Merge pull request #166 from ubports/xenial_-_edge_-_ensureLock
          (7e937b90a)
        * Merge pull request #167 from
          ubports/xenial_-_edge_-_vroom-vroom-tests (22e398ac5)

2019-07-11 Dalton Durst

        * Remove search for dashCommunicator (5308f9c6b)
        * Don't close Drawer when apps close (7575e0006)
        * Refactor handling of mainApp changes (b4a501207)

2019-07-06 Marius Gripsgard

        * Test trying to find unknown child (797b062c0)
        * Fixup panel tests after bad merge (7f5330931)
        * Add missing copyright to new files (b42823e49)
        * Fixup TabletStage tests after merge with multi monitor changes
          (5b9edb173)

2019-07-03 Marius Gripsgard

        * Merge remote-tracking branch 'screens-workspaces-switcher' into
          xenial_-_edge_-_multiscreen (e961d7c72)

2019-06-30 Marius Gripsgard

        * Add forceClose Impl for MirSurface Mock (61e58b784)
        * Remove some deleted files (2931b2fb9)

2019-06-29 Marius Gripsgard

        * Merge pull request #158 from ubports/xenial_-_edge_-_fixpanelpos
          (778b27348)
        * Merge pull request #156 from ubports/xenial_-_edge_-_fixfocus
          (a37d028e4)
        * [panel] Let qt handle calculation of contentX to avoid race
          condition (4e980e19d)

2019-06-27 Marius Gripsgard

        * Make sure we don't focus/activate alredy focused nullWindow
          (3686d8ce8)
        * Make sure no apps have focus if stage is not active/focused
          (ee2155513)
          Fixes:
          https://github.com/ubports/unity8/issues/130
          Fixes:
          https://github.com/ubports/ubuntu-touch/issues/1123

2019-06-19 Dalton Durst

        * Fix display of the default wallpaper in the Drawer (305605ced)

2019-06-12 Kugi Eusebio

        * App drawer's grid view top margin (#142) (12cb79084)

2019-05-28 Dalton Durst

        * ubuntu-system-settings is not needed for tests (822749b1f)
        * Fix up Drawer based on code review (6b1cf97ab)

2019-05-27 Dalton Durst

        * Launcher tests: Ensure the quickList is ready (45718b819)
        * Lockscreen test: Clean up test_resize, tryVerify (7ff365e62)
        * SwipeToAct test: Ensure slider is ready to slide (89b02bc39)
        * Squash race conditions everywhere (2d12d4935)
        * Launcher tests: Convert any async to try* (a9ffaee1b)
        * Better check for the Drawer's readiness (f5b4abd1d)

2019-05-25 Dalton Durst

        * Don't run tests in parallel :/ (08b0e83d9)
        * Fix up the TabletStage tests (3c2f02066)

2019-05-24 Dalton Durst

        * Fix handling of fullscreen on ARM (9cb310036)
        * Accept asynchronicity in more MenuBar tests (d9f9c66f6)

2019-05-23 Dalton Durst

        * Fix racing in MenuPopup tests (38bbc54fd)
        * Loosely compare state value with the Mir enum (af83d0aef)

2019-05-14 Dalton Durst

        * Fix still-flakey Shell tests (840ffe7c3)
        * More Shell test fixing (3654844e0)
        * Fix up shell tests (7755dd428)
        * Fix up the Launcher tests (5d4d0aabf)

2019-05-13 Dalton Durst

        * Update/Fix Drawer tests (3d5a91f99)
        * Refactor the Drawer for easier testing (c1712df8f)
        * Fix the tests on the Panel (bbea6bd85)

2019-05-10 Dalton Durst

        * Wait for the click to get registered by actionSpy (362c740f6)
        * Correct tryCompare syntax (3998b988f)
        * Wizard: Update tests, remove app updates (9a7d5c0b2)

2019-05-09 Dalton Durst

        * Reduce MenuItem warnings (28c9aa3be)
        * Fix MenuBar TestCase failures (8cb81fa01)

2019-05-07 Dalton Durst

        * Skip the rightShortDrag tutorial test (912629f2f)
        * Always hide the right tutorial when the Spread shows (9e744a9a7)
        * Make right edge tutorial only take 3 apps to open (89dae30ec)

2019-05-03 Dalton Durst

        * Skip testIconLookupLogic, it requires local config (ef230bbac)

2019-04-15 Rodney Dawes

        * Need Ubuntu.Layouts for qml tests too. (b426a32f8)
        * Remove unused Carousel component. (5018704c5)
        * Need system-settings for wizard tests. (5d5cc7fde)
        * Need the Ubuntu.Test module too. (cd93e50d1)

2019-04-13 Rodney Dawes

        * Run tests in parallel and sync outputs. (9950c4fb2)

2019-04-11 Dalton Durst

        * Remove test to check if Dash remains running (a64f1216f)
        * Use position rather than ID to determine touch point (c291fdf43)
        * Do not install scopefakes (5ba038c92)
        * Fix copyright tests (cda847ac8)
        * Appropriately auto-test (93c159a5c)
        * Use the xcb QPA when running xvfbtests (40df51a1b)

2018-09-15 Marius Gripsgard

        * Merge pull request #68 from vanyasem/bionic (19c4f2fe8)

2019-05-31 Rodney

        * Merge pull request #129 from ChristianPauly/patch-1 (7fd6cacb0)

2019-05-20 Rodney

        * Merge pull request #143 from ubports/xenial_-_edge_-_fixlauncher
          (9290b6862)

2019-05-20 Rodney Dawes

        * Don't set handleVisible as it's removed. (ab090e136)

2019-05-19 Rodney

        * Merge pull request #140 from
          ubports/xenial_-_edge_-_always-show-handle (b844ba578)

2019-05-17 Dalton Durst

        * Always show the Drawer's handle (dc8a26801)

2019-04-08 Dalton Durst

        * Replace webbrowser-app with morph-browser (3e02e0c8d)

2019-04-26 Rodney

        * Merge pull request #135 from
          ubports/xenial_-_edge_-_hide-drawer-dots (5f7ccccc8)

2019-04-26 Dalton Durst

        * Use visibility, not width, to hide the handle (7135871ad)

2019-04-19 Christian

        * Remove whitespace in Line 77 (090f409dd)

2019-04-19 Marius Gripsgard

        * Merge pull request #120 from ubports/xenial_-_edge_-_sorting
          (e53d96a12)

2019-04-19 Alfred Neumayer

        * Stage: 'No running apps' hint on top of Spread (1ee6c5261)

2019-04-19 Christian

        * Blurred user background in app drawer (3b7962cd5)

2019-04-15 Dalton Durst

        * Add a handle to the full-screen Drawer (a4366c2cc)

2019-04-12 Dalton Durst

        * Do not show a "back" icon in the bfb when the drawer is open
          (3ba1a71f4)
        * Revert "Make the drawer full-screen on phones (#95)" (c53f8c955)

2019-04-09 Dalton Durst

        * Add semicolons (2ff004278)
        * Use Icon rather than Image (b828912ed)

2019-04-08 Dalton Durst

        * Update translations (6ffbd695d)
        * Help keyboard focus work a little better (8e1c12111)
        * Remove unused MoreAppsHeader (5b5c36a04)
        * Close the drawer but not the launcher when the bfb is tapped twice
          (81a0d20fe)

2019-04-02 Dalton Durst

        * Remove the swipe to close the Drawer :( (1259b902f)

2019-04-01 Dalton Durst

        * Remove the ListViews from the Drawer (69b5391aa)
        * Add a no-group section and fix styling (acc1ca9ff)

2019-04-07 Jan Sprinz

        * Merge pull request #124 from fredldotme/xenial_-_edge (940649931)

2019-04-07 Alfred Neumayer

        * Shell: Show launcher after unlock or if all apps are closed
          (0b7586f46)

2019-04-05 Rodney

        * Merge pull request #123 from ubports/xenial_-_edge_-_rm-here
          (9ac1500f1)

2019-04-04 Jan Sprinz

        * Merge pull request #122 from ubports/xenial_-_edge_-_360noscope
          (412681131)

2019-04-04 Marius Gripsgard

        * Remove here (5ec8526cc)

2018-10-06 Rodney Dawes

        * Purge dash and scopes dependency. (64cd6a3f3)

2019-03-26 Dalton Durst

        * Bug swap (3e105e0d9)

2019-03-29 Alessandro Vinciguerra

        * Automatically advance setup wizard on WiFi connection (#92)
          (74e0f7462)

2019-03-26 Dalton Durst

        * Revert "Never propagate composed events" (f00cf3d5e)

2019-03-26 Rodney

        * Merge pull request #114 from ubports/xenial_-_edge_-_noscroll
          (804b83ae6)

2019-03-25 Dalton Durst

        * Never propagate composed events (0659a9ebb)

2019-03-23 Rodney

        * Merge pull request #112 from
          ubports/xenial_-_edge_-_drawer-search-cuts (9eb391f42)

2019-03-22 Dalton Durst

        * Set text to "" rather than using clear to keep working with uitk
          1.3 (ac49a7796)

2019-03-19 Dalton Durst

        * Clear the search when the Drawer is closed (1395d6d66)

2019-03-19 Rodney

        * Merge pull request #109 from ubports/xenial_-_edge_-_drawer-focus
          (c684e4ce3)

2019-03-19 Dalton Durst

        * Do not give the search field focus immediately (41510f189)

2019-03-18 Dalton Durst

        * Forward-port Wizard fixes from older Unity (#105) (7f172ec23)

2019-02-24 Marius Gripsgard

        * Set openstore as appstore-uri (2c9d263f4)

2018-06-09 mateosalta

        * Add open store to launcher, Fix ubports/ubuntu-touch#418 (#43)
          (c92104574)

2018-03-09 Marius Gripsgard

        * [Stage/Spread] Detect mouse or touch events in newer qt versions
          (#33) (4664efe13)

2018-01-05 Marius Gripsgard

        * Check if libubuntu_application_api.so exist, if not don't use it
          (f5b66001c)

2019-02-21 Dalton Durst

        * Remove the blur effect from the Drawer :(  (#98) (176fd34d3)
        * Make the drawer full-screen on phones (#95) (7eaa56972)

2019-02-19 Marius Gripsgard

        * Add android-headers to deps (800cc84f2)

2018-10-05 Dalton Durst

        * Replace dependency on ubuntu-wallpapers with ubports-wallpapers
          (e2f3f3f0c)

2018-11-16 Marius Gripsgard

        * FIXME: disable wizard test (504836405)
        * Disable new ual signals for now, since we dont have them yet
          (86a08eff0)

2018-04-10 Marius Gripsgard

        * Appdrawer improvements (ef92aa597)
        * Bump unity-shell-launcher version (8ae190760)

2018-05-13 Marius Gripsgard

        * Add unity schema from unity7 (45b4b1253)

2018-08-30 Marius Gripsgard

        * Bump unity8 version with new dash to 8.20 (2d2b8bb62)

2018-04-10 Marius Gripsgard

        * QQmlIntanceModel: use QQmlIncubator::IncubationMode instead of bool
          to specify incubation mode (7fe32df70)

2018-08-30 Marius Gripsgard

        * Dont require qml-module-ubuntu-web since oxide is not all arch
          includes oxide (4e52649a7)

2018-02-17 ismaelbonato

        * Files and Folders are showed on git status (#11) (55fc104bf)

2017-12-28 Marius Gripsgard

        * bump version (929d44b82)
        * Remove test from install file list (a0335d547)
        * Disable tests (4f1100c09)
        * Use app-launch2 (1590ce113)
        * Merge remote-tracking branch 'u8t/master' into xenial_-_mir26
          (525969a26)
        * Update Jenkinsfile (840cd4ce0)

2017-10-26 Marius Gripsgard

        * [TMP] Support qt 5.9 (95d8efbee)

2017-10-22 Marius Gripsgard

        * Revert "Enable debug builds" (e9bebbc17)
        * Workaround for text not rendering correctly (5e2ed1e0d)
        * Workaround: Disable oom score from unity8-dash (2270fabcb)

2017-10-21 Marius Gripsgard

        * Enable debug builds (64ba1194d)
        * Add workaround for missing ubuntu platform api in halium
          (4d6b1af25)

2017-10-13 Marius Gripsgard

        * Rename all stash since jenkins override the old one (bbfe02322)
        * Add required envs for jenkinsglue (985e3b1bf)
        * force builds of "all" on armhf (4672f0e92)
        * Added Jenkinsfile (5c215baf4)
        * Target xenial (285b9e152)

2017-10-07 Marius Gripsgard

        * Use the build-binary from build-tools (01b26c244)

2017-08-02 Marius Gripsgard

        * Disable imports tests (for now) (fdd239fa5)

2017-07-31 Marius Gripsgard

        * Bring back accidentally removed import (3f4c95fcc)
        * [Dash] Let scopes select there preferred background color
          (81bfe9886)
        * Fix spacing (f136e647e)
        * [Dash] Add gsetting to disable/enable background (0537f5cfc)
        * [Dash] Set scopelist text colors to scopeStyple.foreground
          (fe5a6c391)

2017-07-31 nfsprodriver

        * Added custom scope background support (6588e3442)

2017-07-31 Marius Gripsgard

        * Imported to UBports (7821dc875)

2017-04-07 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (4ae4ff90e)

2017-04-06 Timo Jyrinki

        * Releasing 8.15+17.04.20170404.7-0ubuntu2 (c91d0f693)

2017-04-06 Michael Zanetti

        * point the default store uri to gnome software center (2a4382e34)

2017-04-06 Bileto Bot

        * Resync trunk. (902c27982)

2017-04-06 Nick Dedekind

        * removed debug (de450aa2b)

2017-04-05 Michael Zanetti

        * rework workspace switcher for up/down navigation for screens
          (e05868512)
        * merge (22d678ab6)
        * test fixes (4cbd70fe9)
        * point the default store uri to gnome software center (c7176d2f3)

2017-04-05 Nick Dedekind

        * removed lastClickedWorkspace (842cadc3d)
        * Active Scree visuals in Spread (fb0297b25)
        * merged pre-req (b6ab28fcd)
        * isSameAs (06f42e7db)

2017-04-05 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (1f8f32ca4)

2017-04-04 Bileto Bot

        * Releasing 8.15+17.04.20170404.7-0ubuntu1 (1d2cfb9bf)

2017-04-04 Michael Zanetti

        * don't autostart the dash app, but show its .desktop file instead
          (40486924b)
        * make sure the stage has focus when going to spread (LP: #1672053,
          #1672673, #1676995) (581f0d9a4)

2017-04-04 Lukáš Tinkl

        * Sanitize the logic for pointer vs. touch menus, fixes hiding the
          window title in staged mode, when hovering the panel with
          mouse and no menus available. (81e8b9311)

2017-04-04 Albert Astals Cid

        * Tweak app drawer a bit (756d06255)

2017-04-04 Lukáš Tinkl

        * Show and implement close buttons for child windows (LP: #1668053)
          (e0227feba)
        * Do not occlude windows with an ongoing unmaximize transition (LP:
          #1666363) (9fbcc99c7)

2017-04-04 Josh Arenson

        * Handle a user in the greeter having never selected a session better
          (ca2a20e96)
        * Make some small changes to the greeter's session list (43fc49dde)

2017-04-04 Michael Zanetti

        * fix searchfield selection in drawer (LP: #1677259) (001b318a8)
        * Don't hide the launcher on super press if it's locked visible (LP:
          #1675373) (14a6cd462)

2017-04-05 Michael Zanetti

        * merge ~mzanetti/unity8/fix-alt-tab as prereq (455dd39cf)
        * fix test (da10fdfe5)
        * set lp:~lukas-kde/unity8/fix-window-title-vs-menu as prereq
          (efdd41ff7)

2017-04-04 Michael Zanetti

        * fix remaining tests (7fab136d4)

2017-04-04 Nick Dedekind

        * merged pre-req (e9f4c43f5)

2017-04-04 Michael Zanetti

        * drop unity8-dash.conf from debian install files (2f267c12e)
        * fix testshell (292cb9797)
        * drop upstart file completely (dfc033c60)
        * enable the close button (2727ae740)
        * treat the dash more like a regular app (365ca1e04)

2017-04-04 Lukáš Tinkl

        * ugh, the spread can apparently mess up the decoration control
          buttons :/ (f992477e6)

2017-04-04 Michael Zanetti

        * don't autostart the dash but show its .dekstop instead (e368815b0)

2017-04-04 Nick Dedekind

        * mock screen active (2adba1625)

2017-04-04 Michael Zanetti

        * merge albert's test and add some more focus fixes (98e912cf5)

2017-04-04 Albert Astals Cid

        * also show the fulllabel if focused (73e07dd9c)

2017-04-04 Michael Zanetti

        * merge trunk (db3edc91d)

2017-04-04 Albert Astals Cid

        * Limit fullLabel width and height (6ed95f2eb)

2017-04-04 Michael Zanetti

        * import albert's test (8ed55ee4e)

2017-04-04 Lukáš Tinkl

        * fix test as requested (0be6d6181)

2017-04-03 Nick Dedekind

        * merged prereq (a81362c14)
        * display config storage (ea4913440)
        * merged prereq (9b92f1835)
        * ScreenConfig (27430d5a6)
        * display id (e2b39555c)

2017-04-03 Albert Astals Cid

        * Make longer so that tryDrawer has one elided item (d76634a63)

2017-04-03 Lukáš Tinkl

        * get rid of the extra boolean (7b0b760fb)
        * fix test_saveRestoreMaximized() (96e9a9b19)

2017-04-03 Albert Astals Cid

        * Tweak app drawer a bit (0d45cd357)

2017-04-03 Nick Dedekind

        * merged pre-req (b5135e79d)
        * fixed sync end (0b8de4409)
        * merged with pre-req (3212fb963)
        * Fixed wm policy init (d7a28376c)

2017-04-03 Lukáš Tinkl

        * don't let the unhandled clicks reach the (obscured) window control
          buttons in the decoration (c7d7633ef)

2017-04-03 Nick Dedekind

        * merged pre-req (945dd8ea9)
        * Dont allow proxy to be used as current workspace (805f30cc8)

2017-04-03 Lukáš Tinkl

        * merge trunk (c26643bf6)

2017-03-31 Michael Zanetti

        * don't really activate a workspace just yet when clicking on it
          (545b58b5b)

2017-03-31 Nick Dedekind

        * Added Mouse and KB controls (2fc9b0aa2)
        * merged with trunk (ae24227c1)
        * merged with trunk (8ff8a217f)

2017-03-31 Lukáš Tinkl

        * merge trunk, resolve conflicts (2c1dcaaee)
        * merge trunk, resolve conflicts (3c6aabc87)

2017-03-31 Michael Zanetti

        * don't show minimized apps in the workspace previews (4944c2a88)
        * testShell should be working again (cc5a4eccb)

2017-03-30 Michael Zanetti

        * some more test fixes (84880a7c3)
        * merge prereq (86a9c75e9)
        * some more tabletstage test fixes (187b3f73a)

2017-03-30 Lukáš Tinkl

        * default is to show the close button (325c83ce4)
        * merge lp:~dandrader/unity8/satelliteWindow, resolve conflicts
          (4ea127821)

2017-03-30 Michael Zanetti

        * fix testDesktopStage (f661fa46d)

2017-03-30 Lukáš Tinkl

        * do not occlude windows with an ongoing unmaximize transition
          (e0e06e86f)

2017-03-30 Nick Dedekind

        * fixed GlobalShortcut test (43f07931a)
        * Mock fixes & test fixes (8cd3b338e)

2017-03-30 Michael Zanetti

        * fix testApplicationWindow (28d0c9b28)

2017-03-29 Josh Arenson

        * Validate 'key' better (185157312)

2017-03-29 Michael Zanetti

        * fix search string selection in drawer (7be7b3b23)

2017-03-29 Josh Arenson

        * Merge trunk (69f16422d)

2017-03-29 Michael Zanetti

        * merge prereq (5032e8fb2)

2017-03-29 Nick Dedekind

        * Added requestActivate to view (3fdf3b555)
        * more test fixes (9eb2692e2)

2017-03-29 Michael Zanetti

        * add a test (db85a6928)
        * make sure the stage has focus when going to spread (7998c8dd2)

2017-03-29 Nick Dedekind

        * merged parent (27a262bad)
        * more test fixes (03ae81f26)

2017-03-28 Bileto Bot

        * Releasing 8.15+17.04.20170328.3-0ubuntu1 (40d0568da)

2017-03-28 Lukáš Tinkl

        * Fix the shutdown dialog after recent refactoring in
          DBusUnitySessionService (LP: #1676426) (eb2de353b)

2017-03-28 Albert Astals Cid

        * Hook up aboutToShow for overflow menus (LP: #1676016) (1936d4bcf)
        * Initialize m_privateMode (e84490e4d)
        * Don't use appInfo after checking it if is null (491624380)

2017-03-28 Michael Zanetti

        * drop the grey background behind icons in the drawer (LP: #1675688)
          (f8114aa03)

2017-03-28 Albert Astals Cid

        * UnityApplicationMocks: Initialize m_state and m_requestedState
          (48bf6e6b3)

2017-03-28 Daniel d'Andrada

        * Tell qtmir/miral about the available desktop area (d52069a1a)
        * Satellite child windows (LP: #1673415) (4141b1112)
        * Give active focus to child surface qml items (LP: #1671072)
          (31e4f4b9e)

2017-03-28 Albert Astals Cid

        * Make sure we destroy the popups when the item goes away (ab451353d)

2017-03-28 Lukáš Tinkl

        * Only take normal and dialog surface types into account for launcher
          items (LP: #1669047) (66efbd094)

2017-03-28 Pete Woods

        * Fix Unity/Platform::isPC, and add tests (LP: #1670657) (b377bdcce)

2017-03-28 Albert Astals Cid

        * indicators client is a tool (582e30810)

2017-03-28 Florian Boucault

        * WindowStateStorage: use a private QThreadPool to ensure that
          WindowStateStorage::saveValue always has a thread
          available to execute the query in. (LP: #1675424)
          (6250ff16c)

2017-03-28 Albert Astals Cid

        * Remove unclickable gaps on the menubar (LP: #1672722) (b1b726e23)

2017-03-28 Lukáš Tinkl

        * Implement Ctrl+Alt+T to launch the terminal app (LP: #1673500)
          (21080b9af)
        * Remove usage of the deprecated (and non-functional)
          system-image-dbus service. (78ebe21b2)
        * Protect against loading invalid window geometry (LP: #1674262)
          (dbab3b1df)

2017-03-28 Albert Astals Cid

        * Fix unminimizing going to the wrong position the second time
          (1c5416153)
        * Tune quicklist item selection (836df6a0e)
        * mock: Remove empty property and move invokable (b93fd56b4)

2017-03-28 Nick Dedekind

        * Stage fixes for panelState (b5e6fbfca)
        * Fixed PhoneStage & ShellWithPin tests (87d6679dd)
        * panelState fixes (e88688e1c)
        * Panel bidnings for app menus (5d5daa3f7)
        * Fixed shortcuts parented to non QuickItems (e1ba4b7f4)

2017-03-28 Michael Zanetti

        * merge (91e99ecc4)
        * merge prereq (7283c7975)
        * decrease timer timeout for hiding the workspaceswitcher (5174a1441)
        * fix panel tests (1897f101d)
        * add Windowmanager mock dir to LD_LIBRARY_PATH (b8a5dcc6f)
        * install libmockwindowmanagmentpolicy, needed for installed tests
          (abe56ae6f)

2017-03-28 Nick Dedekind

        * removed Unity.Debug import (be6cc6585)

2017-03-28 Michael Zanetti

        * merge new prereq (6623b1e8e)

2017-03-27 Nick Dedekind

        * fixed surfacelist in test (4236deda5)
        * merged with parent (fd604bee1)
        * fixed surfaceManager in tstShell (5d2d85ce5)
        * removed InputWindow (c56d828fb)

2017-03-27 Michael Zanetti

        * don't hide the launcher on super press if it's locked visible
          (297aa849e)

2017-03-27 Nick Dedekind

        * removed debug log (ee0e9fd10)

2017-03-27 Lukáš Tinkl

        * explain the candidates order with a comment (738283a52)
        * try with a list of candidate app names (19760ba28)
        * fix the EndSessionDialog (cec028d95)

2017-03-27 Nick Dedekind

        * merged with pre-req (c40394327)
        * fixed proxy syncing (d55f7836b)

2017-03-27 Michael Zanetti

        * fix testTabletStage (3667e72d2)
        * fix testPhoneStage (37d6ae4b5)
        * fix focus issue and activate the surface once dropped on a
          workspace (c9164f650)

2017-03-27 Albert Astals Cid

        * Hook up aboutToShow for overflow menus (f153e4a68)

2017-03-24 Lukáš Tinkl

        * no window controls or menu while in spread (bbf518a00)

2017-03-24 Daniel d'Andrada

        * Tell qtmir/miral about the available desktop area (b4dc54fda)
        * merge ../satelliteWindow/ (5e5d7b5d1)

2017-03-24 Nick Dedekind

        * merged parent (acb5d8b3d)
        * merged parent (bfeaf9da3)

2017-03-24 Lukáš Tinkl

        * merge trunk (d3b9f0bef)

2017-03-24 Michael Zanetti

        * drop background behind icons in drawer (6f8fb1c12)

2017-03-24 Lukáš Tinkl

        * merge trunk (86a7eb0f2)
        * merge trunk (092b5c049)
        * merge trunk (7d92117cf)
        * merge trunk, resolve conflicts (b9111c2de)

2017-03-24 Nick Dedekind

        * mreged trunk (916a0ea73)

2017-03-24 Albert Astals Cid

        * UnityApplicationMocks: Initialize m_state and m_requestedState
          (7f9406084)
        * Initialize m_privateMode (7c20b96de)
        * Don't use appInfo after checking it was null (12136910a)
        * Merge (fa661829f)
        * Merge (f0b2f8c12)

2017-03-24 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (46bca5fbb)

2017-03-23 Nick Dedekind

        * merged prereq (7b68b9725)
        * Destroy Workspaces (90d9bd953)

2017-03-23 Michael Zanetti

        * workspace switcher now working (02d6bc0c2)

2017-03-23 Nick Dedekind

        * fixed workspace crash (80fc88d0d)

2017-03-23 Lukáš Tinkl

        * fix review comments; try a snap pkg first (d6b38ceb3)

2017-03-23 Florian Boucault

        * WindowStateStorage: use a private QThreadPool to ensure that
          WindowStateStorage::saveValue always has a thread
          available to execute the query in. (3658635c8)

2017-03-23 Nick Dedekind

        * merged prereq (211fde5e1)
        * Added Workspace config (f670b0e50)
        * merged parent (93fa06fee)
        * fixed recursion (4711c5540)

2017-03-23 Michael Zanetti

        * merge parent (d55286b6a)
        * merge (7b1ff455e)
        * don't reach out of context (013e5b147)
        * make testDesktopStage work again (58e65b82e)
        * fix the panelState nocking in tst_DesktopStage (23173084a)

2017-03-22 Josh Arenson

        * Add backend test (bd1928fd1)

2017-03-22 Lukáš Tinkl

        * drop maxFailedLogins and showLastChance() from Greeter (ac6f7e23e)

2017-03-22 Daniel d'Andrada

        * Satellite child windows (682d93785)

2017-03-22 Josh Arenson

        * Move the fix to the model level (4d6f8622b)

2017-03-22 Lukáš Tinkl

        * revert unwanted cmake changes (944783e78)
        * drop SystemImage from QML (28d73d70f)
        * drop dead system-image-dbus C++ code (33c2717aa)

2017-03-22 Michael Zanetti

        * make it build with older Qt (d1c01630b)

2017-03-22 Nick Dedekind

        * fixed mock stretch sizing (d1867f51a)
        * merged with prereq (ae545ea6f)
        * WindowManagerObjects bindings in UnityTestCase (27ac232ff)
        * merged with parent (ce2ac7d48)
        * focus window gets global shortcuts (15874ddc5)

2017-03-22 Michael Zanetti

        * add WorkspaceSwitcher (4f8a0907c)
        * merge prereq (8fdf9a46a)

2017-03-22 Nick Dedekind

        * merged with parent (71284ff6c)
        * removed debug (b7ad64fee)
        * Fixed issues with syncing (ac9388667)

2017-03-22 Albert Astals Cid

        * Remove empty property and move invokable (381ee3664)

2017-03-21 Daniel d'Andrada

        * Give active focus to child surface qml items (8401926fd)

2017-03-21 Michael Zanetti

        * apply nick's patch for fixing tiny window sizes (b8150afa5)
        * prevent closing a workspace if it's the last one (7e6806222)
        * some tweaks and cleanups (07f86b206)

2017-03-21 Lukáš Tinkl

        * obviously, we want to clear the list too (be676de16)
        * only take normal and dialog surface types into account for launcher
          items (0243190cd)

2017-03-21 Michael Zanetti

        * merge (7dd87662b)
        * merge (59e31a61f)
        * bring the splash screen back, drop the screenshot image (surfaces
          keep on to their buffer now anyways) (e4499be88)

2017-03-21 Lukáš Tinkl

        * merge lp:~mzanetti/unity8/surfacetitles-in-quicklist (11cc61efc)

2017-03-21 Bileto Bot

        * Releasing 8.15+17.04.20170321-0ubuntu1 (6eb8d6872)

2017-03-21 Albert Astals Cid

        * Fix real world submenus (e.g. kate) not getting their first item
          selected on open (daef79065)
        * Improve Launcher ←→ touch menu interaction (e1dd3c767)
        * Support Panel top level items to be disabled (799e37ce7)
        * Signal aboutToShow (LP: #1664578) (c196bf9e8)

2017-03-21 Michael Zanetti

        * unfocus the drawer's textfield when it is moved (LP: #1669839)
          (bdc952ba1)
        * fix the focus moving correctly between launcher and drawer (LP:
          #1669880) (7645501a7)
        * properly reset the drawer state when cancelling a horizontal drag
          (LP: #1669536) (fe7f3cf62)

2017-03-21 Lukáš Tinkl

        * Disable altDrag feature outside windowed mode (89f86107c)

2017-03-21 Daniel d'Andrada

        * TopLevelWindowModel: don't put hidden windows in the model
          (72172b5d5)
        * Don't let clients resize their surfaces while in staged
          (phone/tablet) mode (LP: #1670390) (fe9f10b37)

2017-03-21 Michael Zanetti

        * add surface titles to launcher's quicklist (LP: #1661668)
          (f6387c532)
        * hide "private" launcher quicklist entries when the greeter is
          locked (LP: #1667649) (d7adde7fe)

2017-03-21 Lukáš Tinkl

        * Fix unsnapping a maximized window from the panel (LP: #1671721)
          (fa02b87fe)

2017-03-21 Daniel d'Andrada

        * Really disable the window decoration when in staged mode
          (fd8148a1d)

2017-03-21 Michael Zanetti

        * Add support for closing apps from the spread with "Q" (LP:
          #1670327) (bcc34ecd2)

2017-03-21 Lukáš Tinkl

        * Add a cursor name fallback mapping "grabbing" -> "closedhand" for
          Breeze (ea9234ccc)
        * Fix the restored-to position with Miral due to the state changes
          being async (LP: #1669819) (74ca97955)
        * Reset always-show-osk gsetting on startup to default value (false
          atm) (f539fb06c)

2017-03-21 Pete Woods

        * Fix up indicators-client after refactoring (LP: #1672797)
          (84ad8d93f)

2017-03-21 Michael Terry

        * Don't lock the screen for guest users or users in the nopasswdlogin
          group. (LP: #1644237) (d39f93f15)
        * Support GNOME-style logout DBus API (making the Logout, Reboot, and
          Shutdown launcher commands work) (LP: #1673229)
          (c739de118)

2017-03-21 Lukáš Tinkl

        * stabilize test (efb4a50c3)

2017-03-21 Albert Astals Cid

        * One year older (77b2d9a2b)

2017-03-20 Josh Arenson

        * Add a test (32458de03)
        * Have the greeter fallback to default session if user has never
          selected one (2c8cfc968)

2017-03-20 Lukáš Tinkl

        * capitalize Terminal (0d571f761)

2017-03-20 Nick Dedekind

        * update normal geo directly on load (735fd4fef)
        * merged parent (785f8e468)
        * removed old headers (fbc9a8829)

2017-03-20 Albert Astals Cid

        * Fix unminimizing going to the wrong position the second time
          (494639e84)
        * Merge lp:~lukas-kde/unity8/fix-restore-positio (b60611e31)

2017-03-20 Pete Woods

        * Install the platformtest executable and refer to its path via the
          TARGET_FILE macro (7ca7e3993)

2017-03-20 Lukáš Tinkl

        * protect against loading invalid window geometry (771bc4b6e)

2017-03-20 Albert Astals Cid

        * Remove highlight when going over a non clickable item (a8445f73a)

2017-03-20 Pete Woods

        * Add qtdbustest-runner dependenct to tests (2198ed03d)

2017-03-19 Lukáš Tinkl

        * implement Ctrl+Alt+T to launch the terminal app (9e458f499)

2017-03-17 Josh Arenson

        * Set mock mode (28da875cf)
        * Add test (cf4e55a2b)

2017-03-17 Albert Astals Cid

        * Tune quicklist selection (604cd8849)

2017-03-17 Pete Woods

        * Fix the CMake for platform tests (f1f02794e)

2017-03-17 Nick Dedekind

        * merged prereq (12ff9b479)
        * fixed move workspace content order (421d2a7bc)

2017-03-17 Pete Woods

        * Die, tabs! (e0f94ec47)
        * Add missing qdbus test runner dependency (b506791d2)
        * Handle chassis cases that are not documented (9c21cc578)

2017-03-17 Albert Astals Cid

        * Fix tests? (a76e6d395)

2017-03-17 Michael Zanetti

        * fix workspace drag reordering again (6efc4c467)
        * implement our own popup (942c252e6)

2017-03-17 Lukáš Tinkl

        * disable altDrag feature outside windowed mode (e87b437ec)

2017-03-17 Michael Zanetti

        * fix the mock to not be funky with screen sizes at startup
          (117f2d882)

2017-03-17 Nick Dedekind

        * merged with prereq (ca7d40dcb)

2017-03-17 Michael Zanetti

        * fix screen sizes in mocks (83d36b311)

2017-03-17 Nick Dedekind

        * TLWM as workspace property (e174ec3f3)

2017-03-16 Michael Zanetti

        * improve listview animations and handling (0bcac194e)

2017-03-16 Albert Astals Cid

        * Merge lp:~aacid/unity8/disabledMenus (9a85331c1)

2017-03-16 Josh Arenson

        * Fix always starting the default session (32c9925aa)

2017-03-16 Daniel d'Andrada

        * TopLevelWindowModel: don't put hidden windows in the model
          (b020446e9)
        * merge ../allowClientResize (2a9c5207c)

2017-03-16 Michael Terry

        * Drop extra whitespace (4dddd2e2f)

2017-03-16 Daniel d'Andrada

        * Don't let clients resize their surfaces while in staged
          (phone/tablet) mode (4900a5fcf)
        * merge lp:~mzanetti/unity8/surfacetitles-in-quicklist (fc6e1e96d)

2017-03-16 Michael Zanetti

        * don't apply transitions if a delegate is created while we're in
          spread (6e2f04881)
        * make mocks build (b079ca9b8)
        * merge prereq (dcb2e88ed)
        * merge parent (42e4c1a86)
        * use correct graphic (46da4595b)

2017-03-16 Nick Dedekind

        * Added ErrorApplication to debian (64a046c95)

2017-03-16 Michael Zanetti

        * merge prereq (fe71e2171)
        * make pin/unpin private too (68b8a151e)
        * cancel dnd operation properly (67f725b67)
        * add missing graphics file (be6c6a3c7)
        * merge prereq (f2222659c)
        * fix issues from review (9118c5f79)

2017-03-16 Albert Astals Cid

        * panelTitle changed parents (f2c72ac11)

2017-03-15 Josh Arenson

        * Less wonky (dc92b11cd)
        * Fix wide view test (85e98ef04)
        * Cleanup initial highlight (e0401e043)

2017-03-15 Lukáš Tinkl

        * fix test, remove one that doesn't make sense w/o a maximized window
          (1a510f77a)

2017-03-15 Michael Terry

        * Support org.gnome.SessionManager interface (71328b08f)

2017-03-15 Lukáš Tinkl

        * merge ~lukas-kde/unity8/unsnap-from-panel (479291575)
        * fixup window title and controls in panel (fe9d37e98)

2017-03-15 Pete Woods

        * Fix isPC property of Unity/Platform plugin (411188c63)
        * Clean out extra fluff as per review comment (7369b2a18)

2017-03-15 Albert Astals Cid

        * Adapt tests (ac83299a0)
        * Move the Panel "title" from PanelItemRow to Panel (d977cf6fa)

2017-03-15 Josh Arenson

        * Merge trunk (175e752d9)

2017-03-15 Nick Dedekind

        * merged with parent (3e9bf4072)
        * merged with trunk (fb3317811)

2017-03-15 Michael Zanetti

        * merge prereq (6180c1c8d)
        * add a custom proxy model for the quicklist (c5236e2c9)

2017-03-15 Albert Astals Cid

        * Add tests (e52e22641)
        * Merge (0bf8e026e)
        * Add tests (46d903270)

2017-03-15 Michael Zanetti

        * merge prereq (f4827a6e7)
        * add text to drop targets (ccd07fa05)

2017-03-15 Albert Astals Cid

        * currentMenuIndexChanged -> currentMenuIndex (ef36c8ce1)

2017-03-15 Nick Dedekind

        * better focus condensing (cf4f2ea59)

2017-03-15 Michael Zanetti

        * merge prereq (f4d602672)
        * add feature to drop to the left/right of a workspace (abaacf058)

2017-03-15 Albert Astals Cid

        * Remove unclickable gaps on the menubar (20f213e94)

2017-03-14 Michael Terry

        * Don't need null checks for g_free (e95f44cc1)
        * Make preload a little smarter and only return user names for the
          nopasswdlogin group (741db9934)
        * Drop unneeded import (cae9e0142)
        * Don't lock screen for guest or nopasswordlogin user (d3551524c)

2017-03-14 Nick Dedekind

        * focus (bcbc40d74)

2017-03-14 Pete Woods

        * Fix up indicators-client after refactoring (47a2527de)

2017-03-14 Michael Zanetti

        * highlight active workspace (888c73c11)

2017-03-14 Lukáš Tinkl

        * stabilize test (63107cb43)

2017-03-14 Albert Astals Cid

        * Add test (bdeb5cf68)

2017-03-14 Lukáš Tinkl

        * add a test for maximized window + menu in panel (722cba016)

2017-03-14 Michael Zanetti

        * fix drag and drop of applications (b50f6a984)
        * finalize drag and drop for apps to another workspace (61ee47989)
        * merge prereq (6008b1d07)

2017-03-14 Nick Dedekind

        * Move window to Workspace (548b0c6be)

2017-03-14 Michael Zanetti

        * merge prereq (6ed4d9a71)
        * merge trunk (59b399810)
        * shorten creation of QPair (7898ab7c7)
        * use QStringLiteral for string literals (b6f652bed)
        * merge prereq (022c107a9)
        * fix test (d04c1140a)

2017-03-14 Albert Astals Cid

        * Make sure we destroy the popups when the item goes away (d067964fb)

2017-03-14 Michael Zanetti

        * drop debug print (165db8808)

2017-03-14 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (593d5000f)

2017-03-14 Lukáš Tinkl

        * merge trunk (2b1b82859)

2017-03-13 Lukáš Tinkl

        * merge trunk, fix conflicts (4e917ff11)
        * make both the menu and window unsnapping work in panel \o/
          (d1e6e8e1c)

2017-03-13 Michael Zanetti

        * merge prereq (d323b7b95)
        * merge trunk (ff6e4b509)

2017-03-13 Albert Astals Cid

        * Merge (ccb3d6b4c)
        * Merge (0769d43cc)
        * Merge (393278e5b)
        * Merge (554b9feac)
        * Merge (8f7dd93e6)

2017-03-13 Michael Zanetti

        * add a comment (3ee0244f2)
        * remember focus state (8300861b0)
        * minor tweaks (6c275e4ea)
        * merge prereq (d73aca020)

2017-03-13 Lukáš Tinkl

        * remove delay here as well (3d09aed05)
        * fixup typo, remove delay (8fa952080)

2017-03-10 Lukáš Tinkl

        * add a test for the panel menu bar vs. active call hint (2860b2a6d)

2017-03-10 Nick Dedekind

        * proxy syncs with source (7367193d4)

2017-03-10 Lukáš Tinkl

        * extend the appropriate test for both mouse and touch cases
          (7173d31f9)

2017-03-10 Nick Dedekind

        * WMScreens attached property & screen fixes (bbd0b9bd6)

2017-03-10 Lukáš Tinkl

        * fix unsnapping a maximized window from the panel (b3745d6b8)
        * merge lp:~lukas-kde/unity8/fix-window-buttons-touch (983cd3795)

2017-03-10 Michael Zanetti

        * merge new prereq (016093c2a)
        * add outputTypeName to Screen (b4c4b672f)

2017-03-09 Michael Zanetti

        * fix workspace preview scaling (b9739cbe3)
        * fix imports (fa498d0e2)
        * add close button on hover (9b5b6c107)
        * some more fixes (77b7257e1)

2017-03-09 Albert Astals Cid

        * waitForRenderint to stabilize test (46bafcfde)

2017-03-09 Michael Zanetti

        * unfocus the drawer's textfield when it starts moving (bac0763e1)

2017-03-09 Albert Astals Cid

        * Test for launcher/appdrawer hiding the touch menus (36d971479)

2017-03-09 Michael Zanetti

        * some improvements (67df0910d)

2017-03-09 Albert Astals Cid

        * Test for touch menu position (aff9826ae)
        * Review tweaks (a0a3d5c77)

2017-03-09 Michael Zanetti

        * merge prereq (ab4ffb88c)
        * add support for closing apps in spread with "Q" (7770e2671)

2017-03-08 Michael Zanetti

        * fix focus issue in launcher and drawer (cc805e700)

2017-03-08 Albert Astals Cid

        * tweaks: (6f91fa023)

2017-03-08 Nick Dedekind

        * Added testShellApplication (d4d6901dd)
        * Screen.currentWorkspace (1721c43c3)

2017-03-08 Lukáš Tinkl

        * do the reset in ShellApplication, so that it persists across
          multiple screens/views (bb30f5284)

2017-03-08 Albert Astals Cid

        * Improve Launcher ←→ touch menu interaction (bdc4f8074)

2017-03-08 Lukáš Tinkl

        * always reset always-show-osk gsetting on startup to default value
          (false atm) (47227cee3)
        * merge lp:~lukas-kde/unity8/osk-indicator-switch (bdcd7eba1)

2017-03-08 Michael Zanetti

        * merge prereq (75d41d4bb)

2017-03-08 Nick Dedekind

        * fixed crash on remove ws (20b95b04f)

2017-03-08 Lukáš Tinkl

        * drop dead code (ff061675c)

2017-03-08 Michael Zanetti

        * use a toplevelwindowmodel per workspace (325ade42b)
        * merge prereq (53904db5f)

2017-03-08 Nick Dedekind

        * added mirtest deps (79f3c074f)

2017-03-08 Michael Zanetti

        * bump u-a-l version requirement (78a198411)
        * merge prereq (1e54aa306)

2017-03-08 Bileto Bot

        * Releasing 8.15+17.04.20170308-0ubuntu1 (61b737fc2)

2017-03-08 Nick Dedekind

        * Split up Shell::test_spreadDisabled to ensure initial state for
          each test. (01152e381)

2017-03-08 Michael Zanetti

        * change the default setting for the launcher autohiding (LP:
          #1670655) (67973def5)

2017-03-08 Albert Astals Cid

        * Add tool to browse menus of a running app (6df7b8856)

2017-03-08 Lukáš Tinkl

        * Fix being unable to use window control buttons or menus with touch
          (LP: #1667604, #1668387) (6948e5fe8)

2017-03-08 Albert Astals Cid

        * Move menus Component {} out of the repeater (5c86f205c)
        * Add warning if registerService fails (17d116bf4)
        * Initialize m_msecsSinceReference (ba64c454b)
        * Remove unused member variable (3ae12a451)
        * Fix small warning when sensitive is undefined (907c0dbea)

2017-03-08 Lukáš Tinkl

        * Cancel the drag as soon as we're entering the spread (LP: #1668642)
          (89290b06b)

2017-03-08 Josh Arenson

        * Initialize sessionMode to single when mock is reset (LP: #1667463)
          (bb4ca3587)

2017-03-08 Michael Zanetti

        * use a svg instead of a png for the Launcher's BFB (LP: #1668057)
          (1cb18085b)
        * close the drawer when something is launched from the launcher (LP:
          #1660367) (fd624b6d4)
        * Cancel the home key activation if something else is pressed along
          with Meta (13173a800)

2017-03-08 Daniel d'Andrada

        * Drag child windows with Alt+LeftMouseButton (LP: #1664947)
          (60493b46c)

2017-03-08 Lukáš Tinkl

        * Shell chrome fixes (64ed07f9c)
        * Disable the tutorial when there's no touchscreen (LP: #1661557)
          (73a64d580)
        * Let the OSK be driven by a switch in indicator-keyboard (LP:
          #1521518) (fd943695a)

2017-03-08 Albert Astals Cid

        * Make sure cursor is back to normal when closing the window
          (a43da51ec)
        * Show a barebones error message if loading the QML doesn't work
          (74d637c10)

2017-03-08 Michael Terry

        * Simplify our startup handling of Mir environment variables and set
          the right socket path in snappy. (1a5324d2b)

2017-03-08 Albert Astals Cid

        * Enable the license check (eab39e113)

2017-03-08 Lukáš Tinkl

        * Make the menu string "Back" translatable (46f04aed9)

2017-03-08 Albert Astals Cid

        * Let's follow the keyboard order (8f1cf859f)

2017-03-08 Gerry Boland

        * TopLevelWindowModel: connect to the OSK surface to know when it
          goes away so we can clean up after it. (ef2e52fc0)

2017-03-08 Michael Terry

        * Set QT_IM_MODULE in the greeter so that the OSK can come up. (LP:
          #1670383) (1e195997f)

2017-03-08 Nick Dedekind

        * Split up soreadDisabled tests (6cbdd9ead)

2017-03-08 Albert Astals Cid

        * Support Panel top level items to be disabled (a7fc9531c)

2017-03-08 Lukáš Tinkl

        * add a fallback cursor name grabbing -> closedhand, for Breeze
          (0c17e4b48)
        * address review comments (54c22460e)

2017-03-07 Michael Zanetti

        * change default setting for launcher autohiding (8a197ce47)

2017-03-07 Michael Terry

        * Set QT_IM_MODULE to allow OSK to appear (855c2ed4f)

2017-03-07 Gerry Boland

        * TLWM: connect to the OSK surface to know when it goes away so we
          can clean up after it. (5d81cd757)

2017-03-07 Albert Astals Cid

        * Require new version because of new api (cd7f8353d)
        * Update the mock (c0b462432)

2017-03-07 Nick Dedekind

        * Fixed duplicate apps (4e8f28f97)

2017-03-07 Albert Astals Cid

        * readonly (0f40b3dc6)
        * Simpler (497d37ab5)
        * isCurrent only for menus menus and not for indicator menus
          (0b4905165)
        * aboutToShow for parent menubar items (d25c17523)
        * Add aboutToShow for the touch menus (444646a3c)

2017-03-07 Michael Zanetti

        * merge prereq (364028b12)

2017-03-07 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (16aeee918)

2017-03-06 Nick Dedekind

        * cpp ownership (f82035267)
        * Fixed WorkspaceManager.activeWorkspace=WorkspaceProxy (3a2b92138)

2017-03-06 Michael Zanetti

        * update to latest backend code (3a0ec6120)

2017-03-06 Daniel d'Andrada

        * Simplify expression (09f4c487c)

2017-03-06 Albert Astals Cid

        * Signal aboutToShow (392886d86)

2017-03-06 Daniel d'Andrada

        * Really disable the window decoration when in staged mode
          (bb09f8699)

2017-03-06 Lukáš Tinkl

        * update (c) (5f608b5f6)
        * show close button by default, implement closing child windows
          (cedb7ad89)

2017-03-06 Michael Zanetti

        * fix visual glitch when hiding the drawer with launcher locked
          visible, add a test (19bfe133f)
        * bump version (a37accfdc)

2017-03-04 Nick Dedekind

        * fixes for workspaces (2b1865398)

2017-03-03 Nick Dedekind

        * Fixed mocking WMPolicy (27b74cddb)

2017-03-03 Albert Astals Cid

        * Give you a hint that you did something wrong (fa27b1b1a)

2017-03-03 Michael Zanetti

        * properly reset the drawer state when cancelling a horizontal drag
          (a842e89a4)

2017-03-03 Lukáš Tinkl

        * revert even more (f4ef2e39c)

2017-03-03 Nick Dedekind

        * added workspace check (b3c03fa55)

2017-03-03 Lukáš Tinkl

        * revert now unneeded test change (ef1b67509)

2017-03-03 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (78e61aecc)

2017-03-03 Lukáš Tinkl

        * merge lp:~aacid/unity8/create_less_components (cf2fee684)

2017-03-02 Nick Dedekind

        * dynamic remove surface (a705d309b)

2017-03-02 Michael Zanetti

        * merge prereq (1d9e43b63)

2017-03-02 Lukáš Tinkl

        * fixup failing test (00b0fd99a)

2017-03-02 Nick Dedekind

        * allow qml access to move (0373f3c01)

2017-03-02 Lukáš Tinkl

        * add a test for dbl click to maximize and then dbl click panel to
          restore a window (1da4db0e4)

2017-03-02 Nick Dedekind

        * mock fixes (47aff7b22)
        * check for surfaces (7d9e47dc2)

2017-03-02 Lukáš Tinkl

        * fix dbl click to restore window (3039bb4eb)

2017-03-02 Nick Dedekind

        * Fixed crash on exit (2a2e38c41)

2017-03-02 Lukáš Tinkl

        * don't prevent taps to open the menu (e48d876e3)

2017-03-02 Michael Zanetti

        * add surface titles to launcher's quicklist (ae9bc90dc)

2017-03-02 Lukáš Tinkl

        * try to stabilize Shell::test_spreadDisabled() (d336bf80d)

2017-03-02 Albert Astals Cid

        * only submenus select first, not first level menus (e8793ef77)

2017-03-02 Michael Zanetti

        * merge prereq (781c37de0)

2017-03-02 Albert Astals Cid

        * year range c claim (3327de0b9)

2017-03-02 Nick Dedekind

        * more SurfaceManager singleton (43cba0c76)

2017-03-02 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (b4e288794)

2017-03-01 Nick Dedekind

        * fixed crash on delete (327be6d8e)
        * Better window management mocks (d70f5f531)
        * SurfaceManager singleton (8b8a6fa1a)
        * mock (e3f4e0a84)

2017-03-01 Lukáš Tinkl

        * take a different more reliable approach at detecting whether the
          window is moving (b316dd19b)

2017-03-01 Albert Astals Cid

        * Add warning if registerService fails (49437dc7a)
        * Initialize m_msecsSinceReference (cd62aa779)
        * Remove unused member variable (314b2a6a6)
        * Test++ (d34d50563)
        * this is a bit clearer (22f339b55)

2017-03-01 Lukáš Tinkl

        * stabilize test (b667a4833)

2017-03-01 Albert Astals Cid

        * We want to select the first enabled, not necessarily 0 (b0910f7f0)

2017-03-01 Nick Dedekind

        * mem management (60b3653f6)

2017-03-01 Albert Astals Cid

        * Merge menutool branch (6fcf493e2)

2017-03-01 Lukáš Tinkl

        * add a test (783b781f2)
        * fix double click -> maximize (b9e783b0c)

2017-03-01 Nick Dedekind

        * Workspaces revisited (a0ca0a0d1)

2017-03-01 Lukáš Tinkl

        * cancel the drag as soon as we're entering the spread (2db34082a)
        * reduce diff ++ (fb06e15f3)
        * reduce diff (c39c56992)
        * manually propagate the mosue events, get rid of the delayed timer,
          works \o/ (5cb158b17)

2017-03-01 Albert Astals Cid

        * Fix small warning when sensitive is undefined (26bc55a05)
        * Add a rotating rectangle, useful to see when the menus are being
          "slow" rebuilding themselves (d554efd68)

2017-03-01 Lukáš Tinkl

        * don't take the altDragHandler into account for window decoration
          movement (58fa7c15e)
        * make the menu and title label mutually exclusive; also prefer the
          menu over the title when menu is present and moving the
          window to prevent the flicker while the mouse/touch moves
          out of the decoration (893c8d135)
        * align interval, dismiss the inverse area asap (2fcd6eda9)

2017-02-28 Josh Arenson

        * Fix broken tests (bc7f9f88c)

2017-02-28 Lukáš Tinkl

        * stop flickering the titlebar when dragging (437ae8555)
        * revert test change after having fixed disableHeight (ca95c92ba)

2017-02-28 Nick Dedekind

        * packaging fix (747a319d9)

2017-02-28 Michael Zanetti

        * use a svg instead of a pixmal for the launcher's BFB (a3c973e55)

2017-02-28 Nick Dedekind

        * TopLevelWindowModel per workspace (f1035e3f5)

2017-02-27 Albert Astals Cid

        * indicators client is a tool (3a12afabb)
        * space-- (84309ec92)
        * Add tool to browse menus of a running app (6b2737914)

2017-02-27 Lukáš Tinkl

        * fix warning (07c7668e5)
        * always save the size/state, fixes closing app in staged mode and
          then restarting in windowed mode (1fe62a068)
        * fixup the other failing test (0fbf977ba)
        * fix the overflow button (24a7fe480)
        * add a test (31c139290)

2017-02-26 Lukáš Tinkl

        * don't show the menu popup at all when dragging window (e3f079bd6)

2017-02-25 Lukáš Tinkl

        * fix touch interactions with the window decorations (1ac223602)

2017-02-25 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (71b62b78d)

2017-02-24 Lukáš Tinkl

        * stabilize test (56271b39b)
        * fix the test assumption that mock camera-app will always be
          fullscreen (3dec25eb2)
        * revert the faulty changes to disableHeight (695ece2f3)
        * merge lp:~dandrader/unity8/fix-shell-chrome (7731f38bf)
        * merge trunk (9c65c63bd)

2017-02-24 Michael Zanetti

        * fix clicking label in tryLauncher (eb835af72)
        * bump versions (db881ddba)

2017-02-24 Daniel d'Andrada

        * Avoid creating yet another property in Stage.qml (416b89474)

2017-02-24 Michael Zanetti

        * allow hiding "private" quicklist entries when the greeter is locked
          (1b401c376)

2017-02-24 Lukáš Tinkl

        * revert initialSurfaceSize condition (aff070dbc)

2017-02-24 Daniel d'Andrada

        * merge lp:~lukas-kde/unity8/fix-shell-chrome (861db81ea)

2017-02-24 Lukáš Tinkl

        * fix the staged shell chrome policy (ce04531eb)
        * simplify (4b9dc7506)
        * fix typo (0e142dee4)
        * cascade, then onWindowReady load and apply the state (08f58a4e5)

2017-02-24 Michael Zanetti

        * hide drawer when activating something from the launcher (3a240aef1)

2017-02-24 Nick Dedekind

        * removed tlwm from workspace (e4d98297c)
        * shellapp->unityapp (9a5c01f81)
        * more workspaces (925a0a9fe)

2017-02-24 Lukáš Tinkl

        * w/o timer (01bfeff0d)

2017-02-23 Bileto Bot

        * Resync trunk. (6f314ea06)

2017-02-23 Josh Arenson

        * Initialize sessionMode to single when mock is reset (6bef8064b)

2017-02-23 Michael Zanetti

        * properly create and destroy workspaces (44063d458)
        * make use of actual workspace model instead of dummy ListModels
          (6c68622cd)

2017-02-23 Josh Arenson

        * Fix height (171f85c23)
        * Fix spelling (2845a0666)

2017-02-23 Albert Astals Cid

        * Make these bindings as they were before (244905e7c)
        * less warnings about menuData being null (a5d67480e)

2017-02-23 Michael Zanetti

        * merge new prereq (17872afd7)

2017-02-23 Lukáš Tinkl

        * load/init the values in every case (ef236c568)

2017-02-23 Michael Zanetti

        * merge new prereq (01de8a1b4)

2017-02-23 Lukáš Tinkl

        * more test fixes (9b7aa95e7)

2017-02-23 Nick Dedekind

        * merged with parent (886352b66)
        * merged trunk (d53ef7fe8)

2017-02-22 Josh Arenson

        * Fix initial session highlight and cleanup (14534c004)

2017-02-22 Lukáš Tinkl

        * fix some tests now that camera-app is no longer fullscreen in
          windowed mode ;) (dd95e15e0)
        * shell chrome fixes (077284d65)

2017-02-22 Josh Arenson

        * Merge trunk (bde717cb3)

2017-02-22 Daniel d'Andrada

        * Drag child windows with Alt+LeftMouseButton (ab886532e)

2017-02-22 Albert Astals Cid

        * Fix real world submenus (e.g. kate) not getting their first item
          selected on open (ac33d0a29)

2017-02-22 Nick Dedekind

        * policy override (2710ca197)

2017-02-22 Albert Astals Cid

        * New code is faster and test needs to actually wait for the menubar
          to be in the initial state (253230c6c)
        * Move menus Component {} out of the repeater (dbdb5700a)

2017-02-22 Michael Zanetti

        * fix the test (f1d30195b)
        * reenable code (5599c18a1)

2017-02-22 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (879cd78f5)

2017-02-21 Michael Zanetti

        * add a test (4b2a4637a)
        * cancel the home key activation timer if something else is pressed
          along with Meta (6cb60257d)

2017-02-21 Lukáš Tinkl

        * merge lp:~lukas-kde/unity8/osk-indicator-switch (ecc2d912a)

2017-02-21 Albert Astals Cid

        * Add TODO for when we start using Qt 5.8 (7df27eeb4)

2017-02-21 Lukáš Tinkl

        * merge trunk (bcc32d2e2)
        * merge trunk (f694c4f28)

2017-02-21 Bileto Bot

        * Releasing 8.15+17.04.20170221-0ubuntu1 (9c05525c0)

2017-02-21 Ken VanDine

        * Handle ubuntu-app-launch API/ABI break (efe97d231)

2017-02-21 Lukáš Tinkl

        * translate "Back" on the menu page (ac5d0f06c)

2017-02-21 Albert Astals Cid

        * Make sure cursor is back to normal when closing the window
          (572221e10)

2017-02-20 Michael Zanetti

        * optimize it a little (563bcf4f5)

2017-02-20 Lukáš Tinkl

        * default to false for the OSK switch value (ed27e9e2a)

2017-02-20 Michael Zanetti

        * improve dragging and hover scrolling (f20331bab)
        * add support for dragging apps out of the spread (792e2c990)

2017-02-17 Lukáš Tinkl

        * the indicator-keyboard is present when there's a keyboard
          (60ac338cc)
        * add the OSK icon to the password prompt field (bb1bf728c)

2017-02-17 Nick Dedekind

        * removed screen mock (53626b89e)
        * added workspaces (14f1570da)

2017-02-17 Lukáš Tinkl

        * fix showing hiding the indicator icon and some failing tests
          (d7a2d01aa)

2017-02-17 Nick Dedekind

        * use qtmir-api (94c2a09da)

2017-02-16 Lukáš Tinkl

        * fix the indicator visibility check (bd7cff3d9)
        * fixup tests (bb37c7ebf)

2017-02-16 Bileto Bot

        * Releasing 8.15+17.04.20170216.1-0ubuntu1 (7af3e1d29)

2017-02-16 Albert Astals Cid

        * Remove variable that is always false (LP: #1585910) (37d85b728)
        * Serialize two make targets that want to cp to the same target file
          (78786af85)

2017-02-16 Michael Zanetti

        * stabilize OrientedShell test (LP: #1658994) (f78a46a33)

2017-02-16 Albert Astals Cid

        * Remove TODO now that we require Qt > 5.5 (ba12e1776)
        * Eat hover events when the launcher quicklist is open (8658c415e)

2017-02-16 Michael Zanetti

        * properly invalidate the whole model (370de230b)

2017-02-16 Daniel d'Andrada

        * Consolidate launcher API checks (298df435f)

2017-02-16 Michael Zanetti

        * prevent hiding the launcher when the mouse hover event is eaten by
          the EdgePushArea (LP: #1657045) (47b1884d6)
        * Update the tutorial to mention the app drawer instead of the dash
          on long left edge swipe (LP: #1658932) (538ae7e1a)
        * Show the wallpaper while the focused app is moving in staged mode
          (LP: #1648251) (1564e7196)
        * fix jumpy animation when closing an item from the spread
          (92c163360)
        * fix some glitches with spread positioning (6c6f59ae8)
        * fix minimizing/restoring transitions (LP: #1658936) (a37e43574)
        * move right edge push area up some levels so it can be used on top
          of the indicators (32b9b6eb5)

2017-02-16 Lukáš Tinkl

        * Fixes for activating minimized windows and restoring fullscreen
          ones (LP: #1656808, #1658937, #1658938) (81465971c)

2017-02-16 Albert Astals Cid

        * Make double click on the window decoration maximize (76d1e6804)

2017-02-16 Nick Dedekind

        * Updated menu colors (4347bb5f2)
        * Added overflow support to application menus. Hover timer for
          auto-scrolling menu popup overflow. (079549e1e)

2017-02-16 Albert Astals Cid

        * Make the MenuBar InverseMouseArea eat hover events when there's a
          popup open (LP: #1657763) (780d6c045)
        * Make the double click on a menu not be maximize the window below
          (LP: #1657079) (be357ca8a)
        * Auto open submenus on hover (LP: #1657085) (903afa9d4)
        * Make the menus and submenus do not go outside the screen when
          popping out (0edaf2c95)
        * Clicking on an open menu closes it + test (46dea6a2a)
        * Make menus items close the menu when clicking on them (LP:
          #1657082, #1657399) (a0a24fb75)

2017-02-16 Lukáš Tinkl

        * fix wording (edf639c26)
        * use "paused" instead of enabled/visible (c2ac152f5)

2017-02-15 Lukáš Tinkl

        * implement the OSK switch internals for u8 (951fa2c29)

2017-02-15 Albert Astals Cid

        * Set the color of the text too just in case (68b52639a)
        * Show a barebones error message if somehow loading the QML doesn't
          work (f2f43904b)

2017-02-15 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (66888de58)

2017-02-14 Michael Zanetti

        * fix imports (051de4259)

2017-02-13 Michael Zanetti

        * merge trunk (a456cefc6)
        * merge trunk (0278b4191)
        * add scrolling areas (ec5e81690)

2017-02-10 Ken VanDine

        * dropped debian/changelog entry (fe952197d)

2017-02-10 Nick Dedekind

        * merged with trunk (54c109e31)

2017-02-10 Michael Zanetti

        * merge prereq (f57eab2d3)
        * play with the size (5d0ab19d5)

2017-02-10 Nick Dedekind

        * api version bump (a6cff49e1)

2017-02-09 Michael Zanetti

        * add drag and drop wor workspaces between screens (1c773229a)

2017-02-08 Ken VanDine

        * Handle ubuntu-app-launch API change (1b5defffc)

2017-02-08 Michael Terry

        * Clean up Mir startup and environment variable logic (07712e4c0)

2017-02-08 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (9482eec5d)

2017-02-07 Nick Dedekind

        * merged with parent (67cf87cb5)
        * merged with parent (2e8e4f583)

2017-02-07 Lukáš Tinkl

        * merge trunk (01beee235)
        * merge trunk, resolve conflict (255928108)

2017-02-07 Albert Astals Cid

        * Merge (f4a4d7cd4)
        * Merge (ed9c5e221)
        * Merge (e8f890dff)
        * Merge (4ffc7527b)
        * Merge (e306b6611)
        * Merge (418a3bd9e)

2017-02-07 Bileto Bot

        * Resync trunk. (5d877e0eb)

2017-02-07 Nick Dedekind

        * merged with parent (cba7f96f1)

2017-02-07 Michael Zanetti

        * some more work on the workspace preview spread (bc9e93ff4)

2017-02-07 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (da55ec3d7)

2017-02-06 Josh Arenson

        * Merge trunk: (19a9ecd75)

2017-02-06 Albert Astals Cid

        * Let's follow the keyboard order (eb873ba00)

2017-02-06 Bileto Bot

        * Releasing 8.15+17.04.20170206-0ubuntu1 (376baf0c2)

2017-02-06 Daniel d'Andrada

        * Initial support for child windows (menus, dialogs, tooltips) (LP:
          #1543467, #1591384, #1656727) (96917ee23)

2017-02-04 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (afa296d02)

2017-02-03 Michael Zanetti

        * make it a listview, update to latest api (7f5356b6e)

2017-02-03 Nick Dedekind

        * updated mock (a70a37206)
        * activate screen (4816066af)

2017-02-03 Michael Zanetti

        * merge prereq (beafaa2ce)
        * make workspaces a listview (e73e035dd)

2017-02-03 Lukáš Tinkl

        * disable tutorial when there's no touch screen (bb7455336)

2017-02-02 Nick Dedekind

        * active screen (450ce3129)

2017-02-02 Albert Astals Cid

        * Enable the license check (5912f456b)

2017-02-01 Albert Astals Cid

        * Remove wantsDrag, it's always false (900645926)

2017-02-01 Daniel d'Andrada

        * Consolidate launcher API checks (9a6c92ec6)

2017-01-31 Nick Dedekind

        * review comments (8577e474b)
        * readd tests (9a87f3969)

2017-01-31 Bileto Bot

        * Releasing 8.15+17.04.20170131.1-0ubuntu1 (0fb8d867f)

2017-01-31 Rodney Dawes

        * Remove dependencies on clickscope. (33c422855)

2017-01-31 Albert Astals Cid

        * Put the test in a different place so merges better (997eaf2e8)

2017-01-31 Rodney Dawes

        * Removed comment. (2305fb3e3)

2017-01-31 Albert Astals Cid

        * Eat hover events when the launcher quicklist is open (2896d0985)
        * Merge ~nick-dedekind/unity8/menu.overflow (a4e44acab)
        * Serialize two make targets that want to cp to the same target file
          (a311aa485)

2017-01-31 Nick Dedekind

        * include panel height in max height calc (9b8021076)
        * moved shouldDisplay connection (1f4442966)
        * removed height change (74df52651)

2017-01-30 Nick Dedekind

        * merged lp:~aacid/unity8/eatHoverWhenMenuIsOpen (400e2db61)
        * reverted rebase (2ec7b986a)
        * merged with closeMenusOnClick (15bf2d05a)

2017-01-30 Albert Astals Cid

        * More test fixes. (e4400a2d6)

2017-01-30 Michael Zanetti

        * fix jumpy animation when closing an app from the spread (aba2f73fc)

2017-01-28 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (8a02dc252)

2017-01-27 Rodney Dawes

        * Fix the after reset test. (be0d72ee8)
        * Update scope load checks in init. (68b7a6c75)
        * Remove some tests that are no longer relevant. (ee14750c4)
        * Strip the remaining special casing of libertine scope as well.
          (b473e44a7)

2017-01-27 Nick Dedekind

        * merge with trunk (6848933bd)

2017-01-27 Albert Astals Cid

        * Make the MenuBar InverseMouseArea eat hover events when there's a
          popup open (903a55cb9)

2017-01-27 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (710454737)

2017-01-26 Lukáš Tinkl

        * add a test for alt-tabbing to a minimized window (807ad23fb)
        * raise the surface when focusing it; fixes alt-tabbing to a
          minimized window (11800dcba)

2017-01-26 Michael Zanetti

        * fix a glitch with spread positioning (3f45bce2c)
        * simplify (5d86cc3c5)

2017-01-26 Lukáš Tinkl

        * add a test for normal -> maximizedRight -> fullscreen ->
          maximizedRight (e618974e0)

2017-01-26 Michael Zanetti

        * fix type & launch (40cd8c633)

2017-01-26 Albert Astals Cid

        * Merge (502020df8)
        * refinements (3dc50aff3)

2017-01-26 Michael Zanetti

        * merge trunk (fab6092a5)
        * stabilize OrientedShell tests (f2cc54b04)

2017-01-26 Lukáš Tinkl

        * merge trunk (b653d6c73)

2017-01-26 Daniel d'Andrada

        * Initial support for child windows (menus, dialogs, tooltips)
          (f2ff1f03f)

2017-01-26 Albert Astals Cid

        * Merge (7b1311145)
        * Make the double click on a menu not be maximize the window below
          (1d2c4c0b0)

2017-01-26 Nick Dedekind

        * merged with trunk (20e4c2b84)

2017-01-26 Albert Astals Cid

        * Merge (b6b936742)
        * Merge clickOpenMenuClosesIt (48c3c7858)

2017-01-26 Michael Zanetti

        * merge trunk (463588452)

2017-01-26 Albert Astals Cid

        * Merge (8a4a2c640)
        * Merge (76f652551)
        * Merge (7d03beb9e)
        * Merge (ceacebb78)

2017-01-26 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (c2efa54ac)

2017-01-25 Josh Arenson

        * Fix session getting clipped (e7bc2c609)
        * Make prop read-only (c0e71676c)

2017-01-25 Rodney Dawes

        * Fixes per review. (9966be2a6)

2017-01-25 Michael Zanetti

        * drop unneeded activate() call (2a7923b2d)
        * properly invalidate the whole model (8394f1e78)

2017-01-25 Albert Astals Cid

        * remerge (c2386becf)

2017-01-25 Lukáš Tinkl

        * add a note about the longterm TODO (44ac4cd84)
        * fix restoring fullscreen windows (d734438bb)

2017-01-25 Albert Astals Cid

        * Auto open submenus on hover (5a0e98aee)

2017-01-25 Nick Dedekind

        * reverted showOnClick change (97eb8f1d7)

2017-01-25 Michael Zanetti

        * fix minimizing/restoring transitions (f6eaa00b6)

2017-01-25 Nick Dedekind

        * fixe whitespace (54ee9c2e3)

2017-01-25 Albert Astals Cid

        * Do not use exact gu values for the compares (4aa1759aa)

2017-01-24 Josh Arenson

        * Merge trunk (350a0ed40)

2017-01-25 Lukáš Tinkl

        * minimized+focused window fixes (14c72a1d6)
        * fullscreen+spread fixes (da444488b)

2017-01-24 Nick Dedekind

        * fixes (43977c94e)

2017-01-24 Albert Astals Cid

        * Now with better files! (322539b30)
        * Make the menus and submenus not go outside the screen when popping
          out (2d8c8aaaf)

2017-01-24 Nick Dedekind

        * fixes (d88d49188)

2017-01-24 Lukáš Tinkl

        * merge silo 2272 (e8b0d117b)

2017-01-24 Michael Zanetti

        * update tutorial text to mention the app drawer instead of the dash
          (a3361086e)

2017-01-24 Nick Dedekind

        * color fixes (594701e7d)
        * reverted color fixes (6df31851d)
        * Added menu overflow (0c2d897a5)

2017-01-24 Bileto Bot

        * Releasing 8.15+17.04.20170124-0ubuntu1 (bd29f3df0)

2017-01-24 Daniel d'Andrada

        * Remove unnecessary warning message (453a39b33)

2017-01-24 Nick Dedekind

        * Skip Panel::test_drag_indicator_item_down_shows_menu (ef3532ad4)

2017-01-24 Michael Zanetti

        * allow 4 finger simulation with mousetouchadaptor (c6a3c7303)

2017-01-24 Lukáš Tinkl

        * Use a four finger gesture to open the drawer, much like in u7
          (f71c48a76)

2017-01-24 Michael Terry

        * Fix grouping of autopkg output and allow optionally passing
          arguments to installed test scripts. (e5ef877a5)

2017-01-24 Albert Astals Cid

        * There's no spreadDelegate_ anymore (54e2550be)

2017-01-24 Lukáš Tinkl

        * Add a test for the real implementation of WindowStateStorage
          (c695a7ea8)

2017-01-24 Albert Astals Cid

        * a window -> the current window (d3e2ebfea)

2017-01-24 Michael Zanetti

        * Adjust home key to still focus the dash instead of messing with the
          drawer (44c810cf2)
        * Improvements for the appdrawer (13a79d1d5)

2017-01-24 Lukáš Tinkl

        * Start searching directly as you type, w/o having to first
          focus/click the search field. (e14a31e5d)

2017-01-24 Michael Zanetti

        * hint the launcher to indicate a successful size change to the user
          (LP: #1646457) (64d94a3ec)

2017-01-24 Nick Dedekind

        * Fixed menu layout width calculations. (LP: #1657050) (df8c9d548)

2017-01-24 Daniel d'Andrada

        * Simplify DecoratedWindow (d76e34aaf)

2017-01-24 Nick Dedekind

        * Added Alt+F10 shortcut to open app menus. (LP: #1656896)
          (707ea26b7)

2017-01-24 Albert Astals Cid

        * Add keyboard navigation for Indicators (c198715dd)
        * Update current session after changing the user (f11b59ca0)

2017-01-24 Michael Terry

        * Use a model for PAM prompts, supporting more possible interactions.
          (6d9907ef7)
        * Add support for LightDM hints for manual logins and hiding normal
          users. (f94aa28a2)
        * Add support for guest sessions in unity8-greeter. (f8690684f)

2017-01-24 Josh Arenson

        * Add a test for the session chooser icon in the greeter's sessions
          list (446b941ac)

2017-01-24 Michael Terry

        * Simplify the lightdm mock to make future greeter improvements
          easier to test. (75ef7acee)

2017-01-24 Albert Astals Cid

        * Restore focus to where it was when our ShellDialogs get unloaded
          (7b99df23b)

2017-01-24 Lukáš Tinkl

        * Shell dialog improvements (kbd focus, mouse eater) (3f99e4c1c)

2017-01-24 Albert Astals Cid

        * Limit tab-focus travelling on dialogs with a fence (ac6799e83)

2017-01-24 Lukáš Tinkl

        * Fix keymap not being applied on the shell itself (LP: #1626435)
          (906fa33c5)

2017-01-23 Michael Terry

        * Add some safeguards to the WideView test, to avoid the test
          starting before the UI is ready; hopefully fixes a flaky
          test (06efe1d9d)

2017-01-23 Rodney Dawes

        * Remove dependencies on clickscope. (1341e040e)

2017-01-23 Nick Dedekind

        * enabled only when item enabled (0c0933998)

2017-01-23 Michael Terry

        * Make sure to reset binding unconditionally during test init; in
          some cases when running a test in isolation, things
          wouldn't be set up correctly (b89a529e0)

2017-01-23 Michael Zanetti

        * try to catch a crash in case we're getting bad indexes (1a6216062)
        * add icon, adjust visuals (0144005f7)

2017-01-23 Michael Terry

        * Fix first session icon on startup (cec6f99ab)

2017-01-23 Michael Zanetti

        * add a test (c67bb6aae)

2017-01-23 Albert Astals Cid

        * i'm tyopeing moar than usual (2a8b079c0)

2017-01-23 Michael Zanetti

        * activate the other screen on timeout (8f3585058)
        * merge prereq (3160af0b1)

2017-01-23 Nick Dedekind

        * fixed whitespace again (048774575)

2017-01-23 Albert Astals Cid

        * comment++ (e1659ca13)

2017-01-23 Nick Dedekind

        * fixups (13a7e0883)
        * Added screens::activate (c6a9a00a6)

2017-01-23 Michael Zanetti

        * merge prereq (23f461e7c)
        * drop empty line (1062cbb23)
        * add hover item to screens (2f4159abe)

2017-01-23 Nick Dedekind

        * removed bad merge (df345d251)

2017-01-23 Michael Zanetti

        * adjust home key to still focus the dash instead of messing with the
          drawer (a00da0060)

2017-01-23 Nick Dedekind

        * default logging off (1a62286f3)
        * Added overflow button (643142f51)

2017-01-23 Albert Astals Cid

        * Dfiferent way of making double click work on window decoration
          (f063c7acf)

2017-01-23 Michael Zanetti

        * merge prereq (c93aefa6d)

2017-01-23 Nick Dedekind

        * Auto scroll. Maximum height to bottom of screen (d67b8be65)

2017-01-20 Albert Astals Cid

        * Clicking on an open menu closes it + test (85c112044)
        * Make menus items close the menu on clicking on them (d33986111)

2017-01-20 Nick Dedekind

        * color fixes (c1fc94e46)

2017-01-19 Michael Terry

        * Fix up session test a bit, which also lets it pass (979cee66f)

2017-01-19 Daniel d'Andrada

        * Remove unnecessary warning message (604c754d4)

2017-01-19 Michael Terry

        * Fix some tests that broke with new manual login pre-req (669c2afb0)

2017-01-19 Albert Astals Cid

        * Remove TODO now that we require Qt > 5.5 (c0dcace41)
        * Make double click on the window decoration still maximize
          (e6dcb3492)

2017-01-19 Michael Terry

        * Merge greeter-manual-login (9a8a24ce1)
        * Merge greeter-guest (27fa2c954)
        * Merge josh's ported-session-test (d31f30149)
        * Make sure that greeter prompt buttons are in focus chain too
          (65bfae31a)
        * Merge greeter-manual-login (c9a7716ac)

2017-01-19 Albert Astals Cid

        * Merge lp:~dandrader/unity8/simplifyWindowDecoration (cc0e636ca)

2017-01-19 Michael Terry

        * Switch to new Q_ENUM macro (8e933c930)

2017-01-19 Nick Dedekind

        * removed debug code (4c6331c7b)

2017-01-19 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (529061e95)

2017-01-18 Michael Terry

        * On second thought, push that cancel up a layer to handle real
          liblightdm shutdown too (ea7d230ed)
        * When shutting down, cancel any open PAM interaction (1bab52155)

2017-01-18 Lukáš Tinkl

        * stabilize+++ (49922ad8d)

2017-01-18 Michael Terry

        * Don't show guest or manual login in lockscreen mode (f78a3a4a9)

2017-01-18 Daniel d'Andrada

        * Simplify DecoratedWindow (e73b43aa0)

2017-01-18 Nick Dedekind

        * put back boundary pushing (d6d644236)
        * fixed multishell cursor (177d10411)

2017-01-18 Michael Zanetti

        * fix bug 1657045 (4c18a4139)

2017-01-18 Michael Terry

        * Fix tests (bce128649)

2017-01-18 Lukáš Tinkl

        * try to stabilize the test a bit (f3eb40dfe)

2017-01-18 Nick Dedekind

        * added tests for sizing (75ef09c0d)
        * fixed up some min/max issues (7fd10f281)
        * Menu layout fixes (6c699ede5)

2017-01-18 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (eb6d87457)

2017-01-17 Josh Arenson

        * Merge mterry's prereq (2a3c8ec78)

2017-01-17 Michael Terry

        * Fix more tests (acc904ace)
        * Merge greeter-guest (c02eb6467)
        * fix some tests (ea99c0115)
        * Merge greeter-guest (e3f492e1e)
        * Merge simple-lightdm-mock (02225a7a8)
        * Merge trunk (7124cda8e)

2017-01-17 Michael Zanetti

        * allow 4 finger simulation with mousetouchadaptor (5927a72f2)

2017-01-17 Michael Terry

        * Merge trunk (96b43452e)

2017-01-17 Lukáš Tinkl

        * don't react on drag (41f1e203c)

2017-01-17 Nick Dedekind

        * console log (5c2f25c68)
        * Added missing install files (d054f82d6)

2017-01-17 Lukáš Tinkl

        * open the appdrawer on 4-finger tap, not just press (2fbf33807)

2017-01-17 Nick Dedekind

        * Added Alt+F10 to open menu and test (b748ceb82)

2017-01-16 Lukáš Tinkl

        * strip the bloody whitespace (683cd5e93)

2017-01-16 Michael Zanetti

        * merge prereq (3610fcc04)
        * improve previews (d6d0af355)

2017-01-16 Lukáš Tinkl

        * use a temp dir (7b27e2ab9)

2017-01-16 Nick Dedekind

        * fixed whitespace (7db65ce9e)

2017-01-16 Michael Zanetti

        * merge prereq (67912854d)
        * split it up (84a5759a6)

2017-01-16 Nick Dedekind

        * merged with trunk (c83033a8c)
        * skip drag test (3ec313f99)

2017-01-16 Michael Zanetti

        * first take on adding screens to the spread (a884ed986)

2017-01-16 Lukáš Tinkl

        * merge trunk, resolve conflict (26f9d1257)

2017-01-16 Michael Zanetti

        * merge prereq (e3a065185)

2017-01-16 Albert Astals Cid

        * Move test around (75798bc30)

2017-01-16 Lukáš Tinkl

        * merge trunk (803b594b7)
        * merge trunk, resolve conflict (d274816fa)

2017-01-16 Albert Astals Cid

        * Merge (71832106f)

2017-01-16 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (6c5022c4e)

2017-01-15 Bileto Bot

        * Resync trunk. (c9fd1c3b1)

2017-01-15 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (8e37809fc)

2017-01-14 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (d44a3a6a7)

2017-01-13 Josh Arenson

        * Remove unused signal (260068d0b)
        * Rearchitect test (c3d68e5b8)

2017-01-13 Michael Terry

        * Merge greeter-guest (e043e4cd9)
        * Properly fade in new prompts; don't show double prompts when using
          mocks (7d7cfae82)

2017-01-13 Nick Dedekind

        * Added more screen roles (6be92885a)
        * added missing decl (fc161c298)

2017-01-13 Michael Terry

        * Run meta-meta tests serially (ed6d29d31)
        * Provide initializers for native types (ae5a58a43)

2017-01-13 Nick Dedekind

        * SurfaceManager from ShellApplication.qml (1a5e0d4d8)
        * add qmldir to CMakeLists (59c04a7ee)
        * disable input filtering (ac058707e)

2017-01-12 Michael Terry

        * First pass at a prompts model (74a104f10)
        * Cache auth user so we don't send change emission more than onc.
          fixes CI test (ebd7b5bba)

2017-01-12 Nick Dedekind

        * Added input controller window (5e6c182e2)
        * multiple shell instances (a706fb004)

2017-01-12 Michael Terry

        * Let tests pass again (e5a20912d)

2017-01-12 Nick Dedekind

        * per shell panel state (795acac11)
        * first multiwindow greeter (389a48b5d)
        * multiwindow cursor (5cf02ba40)

2017-01-12 Michael Zanetti

        * show wallpaper while focused app is transitioning in staged mode
          (5f94a4787)

2017-01-12 Nick Dedekind

        * uinput singleton (b2c4c3abd)
        * multi screen desktop mock (8ec082fa9)

2017-01-11 Michael Terry

        * Fix whitespace (123d06143)

2017-01-11 Josh Arenson

        * Remove unused object (58dc74f83)
        * Don't reset the whole model (5a2b91d7c)

2017-01-11 Michael Terry

        * refactor UsersModel a bit to allow further future custom rows
          easier (though I don't know of any planned ones); add some
          tests (48cf7e646)
        * Merge greeter-guest (ea4893efe)
        * Have mock notice when we suddenly gain or lose a guest account,
          fixing a test (57e7dc8f9)
        * Right, you don't need to guard delete (09dac0dfe)
        * Add a touch more testing (9901e754d)
        * Move extra items inside MangleModel, which is now a simple identity
          proxy, to avoid confusing the sort proxy model and thus
          avoid crashes (f01ede6f9)

2017-01-10 Michael Terry

        * Allow passing arguments and collapse stdout and stderr so they show
          up like we expect (8277c02b2)

2017-01-10 Lukáš Tinkl

        * merge prereq (44f482dde)

2017-01-10 Albert Astals Cid

        * a window -> the current window (3076eaca1)

2017-01-10 Bileto Bot

        * Releasing 8.15+17.04.20170110.4-0ubuntu1 (0a462d5ce)

2017-01-10 Michał Sawicz

        * Nuke leftover Platform in IndicatorsManager (3050bd56e)

2017-01-10 Lukáš Tinkl

        * Add Unity.Platform mock for our tests (LP: #1655336) (ba5c54f92)

2017-01-10 Daniel van Vugt

        * Deprecate usage of Mir's input resampling, instead opting for:
          Shell: Raw native input events   Apps: Qt's built-in touch
          compression input resampling algorithm,          and other
          toolkits are expected to provide their own. (0944c517d)

2017-01-10 Josh Arenson

        * Allow the scopes list to automatically scroll when a scope is being
          dragged past the bounds of the screen. (LP: #1575319)
          (825433321)

2017-01-10 Lukáš Tinkl

        * Fixup paths for window state storage in snappy environment
          (d4c9eabd9)

2017-01-10 Albert Astals Cid

        * Require Qt 5.6 & misc fixes (47b643a06)
        * tst_WindowResizeArea: Use default values for mouseFlick speed and
          iterations (LP: #1651580) (19b53d4e3)
        * Give focus to one of the buttons of the dialog (3881c9772)

2017-01-10 Lukáš Tinkl

        * Fix touch window controls being unreachable when the overlay is
          being displayed (LP: #1648167) (521240dc7)

2017-01-10 Rodney Dawes

        * Remove the payments widget and dependency on libpay as no longer
          needed. (876c4a776)

2017-01-10 Michael Zanetti

        * some launcher workarounds for the snapping (493e11111)
        * Add a D-Bus interface to control some debug facilities on the fly
          (2f3e8af15)
        * PreviewRatingInput: Use displayText instead of text to
          enable/disable the Send button (LP: #1595910) (0a7a1deaa)

2017-01-10 Michał Sawicz

        * Application menus (90770d521)

2017-01-10 Nick Dedekind

        * Added registry for application menus (cb0eedf10)

2017-01-10 Michael Terry

        * Run the qmluitests.sh autopkg test against the installed package.
          (f7f18b05e)

2017-01-10 Michał Sawicz

        * Nuke leftover Platform in IndicatorsManager (2b74b5a33)

2017-01-10 Lukáš Tinkl

        * add Unity.Platform mock (1cd3d6d25)

2017-01-10 Nick Dedekind

        * added render wait (b3162da2e)
        * moved test wait to front (458df7e4c)

2017-01-10 Michael Zanetti

        * update tests (b2444c27e)

2017-01-10 Albert Astals Cid

        * Don't let LoginList go beyond bounds in index (825ee377e)

2017-01-10 Timo Jyrinki

        * No change rebuild (a6d26bcc4)

2017-01-10 Michał Sawicz

        * Fix typo in PanelItemRow.qml (cc621c104)

2017-01-09 Michael Terry

        * Move change emission (217d68cd6)
        * Add some fixes (b4c3f4b8c)
        * Use nicer manual prompt (1069358fe)
        * Support the lightdm manual-login hint (3182a1deb)
        * Add a couple more data roles for guest (d12d603bd)

2017-01-09 Lukáš Tinkl

        * merge prereq (24c9f5fd8)

2017-01-09 Albert Astals Cid

        * Make it work the second time (f47d0f30a)

2017-01-09 Nick Dedekind

        * Fixed mouse navigation tests (b4f16f57b)

2017-01-09 Lukáš Tinkl

        * ensure the drawer is hidden after launching something (0eeb3f598)

2017-01-09 Michael Zanetti

        * whiiiiitespace! (a845c9bf4)
        * disable most used again as u-a-l is not ready yet (1376f2ffc)

2017-01-09 Nick Dedekind

        * Added panel title visiblity tests (a90cbc0f7)

2017-01-09 Lukáš Tinkl

        * merge prereq (1f8ab9cc6)

2017-01-09 Michael Zanetti

        * drop debug prints (5a43f5a06)
        * merge with prereq (d4a8cb921)
        * drop commented line (16fa310fa)

2017-01-09 Lukáš Tinkl

        * test both Tab and Down keys (1a53504ee)

2017-01-09 Michael Zanetti

        * whitespace -- (f18103291)
        * fix testShellWithPin (7a34365b0)
        * fix tests (40b536870)
        * replace custom focus ring with SDK one (d11044c0b)

2017-01-06 Josh Arenson

        * Fix test (74b5e63ff)
        * Merge mterry's prereq (58a71b0d7)

2017-01-06 Michael Terry

        * Fix tests (3255f0dea)

2017-01-06 Nick Dedekind

        * Fixed panel title not displaying (94ee99911)

2017-01-06 Michael Terry

        * Merge from simple-lightdm-mock (cdf24a38c)

2017-01-06 Nick Dedekind

        * fixed testShell (ecfff3a4d)

2017-01-06 Daniel van Vugt

        * Deprecate usage of Mir's input resampling, instead opting for:
          Shell: Raw native input events   Apps:  Qt's built-in
          touch compression input resampling algorithm,          and
          other toolkits are expected to provide their own.
          (e3bace471)

2017-01-05 Michael Terry

        * Fix a test in CI (ce575545e)

2017-01-05 Lukáš Tinkl

        * add a test (67018672f)
        * use a 4-finger gesture to open the drawer, much like in u7
          (486f4099c)
        * merge lp:~mzanetti/unity8/appdrawer-improvements (c69314ee4)

2017-01-05 Albert Astals Cid

        * Merge (af6073ab8)

2017-01-05 Michael Terry

        * Merge from trunk (f13fb712a)

2017-01-05 Lukáš Tinkl

        * use current, don't deref twice (db2571d66)
        * return a bool so that we can accept the event from QML (05d9ed4f8)

2017-01-05 Nick Dedekind

        * wat for item animation to complete (8c639f1a7)

2017-01-05 Lukáš Tinkl

        * allow up/down keys to manipulate focus in the fenced focus chain
          (43912ea0a)

2017-01-05 Albert Astals Cid

        * There's no spreadDelegate_ anymore (86bba405e)
        * Component -> Item (423a50dd5)
        * Restore focus to where it was when our ShellDialogs get unloaded
          (a87fdb371)

2017-01-05 Nick Dedekind

        * fixed restarting scroll (fa6c40aae)

2017-01-04 Lukáš Tinkl

        * fix hasActiveDialog (712a61317)
        * stabilize+++ (ae733b1f8)

2017-01-04 Nick Dedekind

        * Require some lateral movement before engaging scrolling (5a7a6f562)
        * potential race fix (789b9967a)

2017-01-04 Lukáš Tinkl

        * design: always focus the first/affirmative action (79c5d5972)

2017-01-04 Michael Zanetti

        * merge trunk (696c8cb18)

2017-01-04 Albert Astals Cid

        * Merge (fdc7c3494)

2017-01-04 Lukáš Tinkl

        * stabilize++ (58e30dc47)
        * export HOME instead (91cc9f258)

2017-01-04 Nick Dedekind

        * Fixed focus issues (94dd7a551)
        * fixed clipping (0640a93ff)

2017-01-04 Lukáš Tinkl

        * let's see if our CI likes this better (ab2f84961)

2017-01-04 Albert Astals Cid

        * Make the indicators left/right work just after opening indicators
          too (e9b688ac1)

2017-01-04 Lukáš Tinkl

        * don't enable the dialog's mouse area unconditionally (f2a8f40ff)
        * move the mouse eater inside the dialog (eba2a6040)
        * merge lp:~aacid/unity8/tab_focus_fence_dialogs (85f1bc984)

2017-01-03 Nick Dedekind

        * Fixed stage test (a2352780b)

2017-01-03 Josh Arenson

        * Merge trunk (9f0b57781)

2017-01-03 Lukáš Tinkl

        * set the testing flag from the test itself (debd6988c)
        * add the actual test ;) (dcff7e63b)
        * add a test for the real implementation of WindowStateStorage
          (a9b09855d)

2017-01-03 Nick Dedekind

        * Added missing test data file (315dc3c28)

2017-01-03 Michael Zanetti

        * merge installed-qmltests as prereq to avoid merge conflicts
          (3db2cc76c)

2017-01-03 Albert Astals Cid

        * Restore Esc to close dialog + test (cec096a7a)

2017-01-03 Lukáš Tinkl

        * merge lp:~lukas-kde/unity8/snappy-windowstatestorage-cleanups
          (82ff2e166)

2017-01-03 Albert Astals Cid

        * Beware of the evil double space! (503032beb)
        * Merge (238f24b92)
        * Merge (abeac4e96)

2017-01-03 Nick Dedekind

        * merged with pre-req (bef8ee3bd)
        * merged with pre-req (de4e6ef76)
        * merged with trunk (fa68d4d2a)
        * more test fixes (1ca89ff2e)
        * fix tests (f5cbddf94)

2017-01-03 Albert Astals Cid

        * oh no an empty line! (d02709f57)
        * {} (c526e0242)
        * New year (725e604f6)

2017-01-03 Nick Dedekind

        * merged with pre-req (b9d91915a)
        * merged with prereq (eb5f94f91)

2017-01-03 Michael Zanetti

        * merge trunk (86451b484)

2017-01-02 Lukáš Tinkl

        * merge trunk (52c41f1b5)
        * merge trunk (f2a18b117)
        * merge trunk, resolve conflicts (961e9df5c)

2017-01-02 Albert Astals Cid

        * Fix the rwrite to use iterators properly (a1269607d)

2016-12-29 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (c73be7a43)

2016-12-27 Lukáš Tinkl

        * fix QString::arg() usage (a34fd9fce)
        * merge trunk (82d82f405)
        * merge trunk (32d8eada2)

2016-12-23 Albert Astals Cid

        * Easier way of deleting all but the last item (4a029dc3f)
        * Q_FLAGS -> Q_FLAG (99f24d8fa)
        * warning-- (8ee0d3f10)
        * Merge (5757819b6)
        * Require Qt 5.6 + misc fixes (7c5186be4)

2016-12-23 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (7606c628c)

2016-12-22 Bileto Bot

        * Resync trunk. (4e282b086)

2016-12-22 Nick Dedekind

        * touch/pointer usage tweaks (9641560d0)
        * Immediate recognition of popup on Alt mnemonic (94ea5dc3a)

2016-12-22 Albert Astals Cid

        * Test the focus fence in the shutdown dialog (8560ba40a)
        * Test left/right/esc keyboard navigation in indicators (af3e0b887)

2016-12-21 Josh Arenson

        * Merge prereq (3237d3240)
        * Uncomment all the tests... (88ddfeeea)
        * Reimplement test (6019cf988)
        * back out some changes (746ea24c7)
        * Remove unused property (8413c2449)

2016-12-21 Albert Astals Cid

        * Use default values for mouseFlick speed and iterations (1d488548b)
        * Add mouse navigation for Indicators (641ba730f)
        * Let the model deal with some window management decisions (LP:
          #1346633) (1b6b921dc)

2016-12-21 Michael Zanetti

        * merge trunk (dbcd25f37)

2016-12-21 Albert Astals Cid

        * Limit tab-focus travelling on dialogs with a fence (ad3474c8f)

2016-12-21 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (94b66a38c)

2016-12-20 Michael Terry

        * fix some more instnces of .mock (8d7cdf4e9)
        * Merge 2160 (edc1008e0)
        * Merge 2160 (98af9fb7a)
        * Merge trunk (d681a3ede)
        * Use LightDMController plugin from Albert (c5ae041a2)

2016-12-20 Michael Zanetti

        * fix tests (8d1a4aa88)
        * merge trunk (7d681a3a8)

2016-12-20 Albert Astals Cid

        * Give focus to one of the buttons of the dialog (3222ff6ed)

2016-12-19 Michael Terry

        * Set icon search directory (9282f8d80)
        * Add support for lightdm guest users (2d4064cdb)

2016-12-19 Josh Arenson

        * Add test (34333399b)
        * Update the mocks (57d7fc919)
        * Fix coloring of sessions list (1e1803a04)

2016-12-19 Nick Dedekind

        * added pointer menu activation in staged mode (620290b86)

2016-12-19 Albert Astals Cid

        * Update current session after changing the user (b5651a819)
        * Remove unused property (2ded5bd92)

2016-12-18 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (01f53e086)

2016-12-17 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (a24df9b2b)

2016-12-16 Michael Terry

        * Refactor our lightdm mock (ddb5511b4)

2016-12-16 Lukáš Tinkl

        * restore the same old path behavior (~/.cache/unity8) (e80cbb732)
        * fix build (0329a081f)

2016-12-16 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (e98308e25)

2016-12-15 Lukáš Tinkl

        * merge trunk (ce9ee1692)

2016-12-15 Bileto Bot

        * Releasing 8.15+17.04.20161215-0ubuntu1 (e5b414ae1)

2016-12-15 Daniel d'Andrada

        * Let the model deal with some window management decisions
          (37eff65cc)

2016-12-15 Nick Dedekind

        * const getter (746d1fd08)
        * removed ApplicationMenus qmltypes (dac84f923)

2016-12-15 Michael Terry

        * Merge trunk (206b61779)

2016-12-15 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (0d4b03235)

2016-12-14 Josh Arenson

        * Merge trunk (013b36df5)

2016-12-14 Michael Zanetti

        * fix it up (6d65217dd)
        * fix bad merge (969b98551)
        * merge trunk (4a4b6155a)

2016-12-14 Lukáš Tinkl

        * fix broken merge (53129d3c8)

2016-12-14 Nick Dedekind

        * merge with parent (8922f30b1)
        * merged with lp:~unity-team/unity8/installed-qmltests (eeb76c8ad)

2016-12-14 Michael Zanetti

        * merge trunk (7f844e9be)
        * merge trunk (f4471f602)

2016-12-14 Lukáš Tinkl

        * merge trunk (2e241d344)

2016-12-14 Nick Dedekind

        * merged with trunk (3800f689a)
        * merged with lp:~unity-team/unity8/installed-qmltests (9b6323cb9)

2016-12-14 Michael Terry

        * Merge from trunk (4afcfe215)

2016-12-14 Lukáš Tinkl

        * merge trunk (294ab4e6a)
        * merge trunk (591e27bcb)

2016-12-14 Nick Dedekind

        * added active check (935cc5b62)
        * fixed qmenumodel version req (8fe918ee2)

2016-12-14 Lukáš Tinkl

        * merge trunk (0537cebff)

2016-12-13 Lukáš Tinkl

        * add an alternative lock screen shortcut (f3e7bd012)
        * fix windowstatestorage in snappy (07882c03e)
        * stabilize++ (68493d534)

2016-12-13 Michael Zanetti

        * fix tab navigation (2b897d753)
        * merge ~lukas-kde/unity8/appdrawer-direct-search as prereq
          (0fc720d4b)
        * initial take on keyboard navigation support (687f06844)

2016-12-13 Nick Dedekind

        * fixed WindoDecoration test (7806964da)
        * Fixed menu mnemonics (330fb9665)

2016-12-12 Daniel d'Andrada

        * Let the model deal with some window management decisions
          (60ec05e8f)

2016-12-12 Nick Dedekind

        * fixed drag test (81ac619f9)

2016-12-12 Lukáš Tinkl

        * make the test more meaningful (4693eb784)

2016-12-12 Nick Dedekind

        * reverted failing test change (58446b2af)
        * merged with trunk (409541320)

2016-12-10 Michael Zanetti

        * move the app store uri to a gsetting (cfcde2173)
        * use correct return value type (cb15c2579)
        * silence build warning (75f675cc7)
        * allow cancelling of the drawer reveal gesture (8b8f804b2)

2016-12-09 Nick Dedekind

        * merged with trunk (4a1bd5a1e)

2016-12-08 Michael Terry

        * Fix up new tests (958dce329)

2016-12-08 Lukáš Tinkl

        * fix focus issues (bae5b7e31)
        * stabilize the test (334e341fa)
        * fix window control buttons not reachable with the 3-finger overlay
          (f7d59dd54)
        * merge appdrawer (1abb90e8a)
        * ... and some more (c45dee0f3)
        * remove cruft from a faulty merge (8a49798ef)
        * move the test where it belongs (c6ce62519)

2016-12-07 Lukáš Tinkl

        * just replace the text (ec7185186)
        * add a test (63c582f8e)
        * check for text (a506dbda5)
        * implement the missing mock methods, oops (7429d6c8c)
        * direct search (9524e20bc)
        * merge lp:~mzanetti/unity8/appdrawer (2f70dfc0b)

2016-12-07 Bileto Bot

        * Releasing 8.15+17.04.20161207.1-0ubuntu1 (497f79946)

2016-12-07 Pete Woods

        * MenuItemFactory: Add subtitle support to SwitchItem widget
          (2143b4e85)

2016-12-07 Albert Astals Cid

        * Do not hide panel when launching an application if the mouse is on
          the panel (800ba870b)

2016-12-07 Michael Zanetti

        * Update virtual touchpad visuals and add a tutorial. (LP: #1585220)
          (f3233732b)

2016-12-07 Daniel d'Andrada

        * Take save/restore functions out of WindowResizeArea (b5167ff52)

2016-12-07 Josh Arenson

        * Enable the greeter to remember which session the user last logged
          into (effea56b7)

2016-12-07 Albert Astals Cid

        * Fix compile warnings in mocks (9515b3353)

2016-12-07 Daniel d'Andrada

        * Fix "make tryApplicationWindow" (ae18a52a1)

2016-12-07 Albert Astals Cid

        * Bring back fix for 1517830 (835d50711)

2016-12-07 Michael Zanetti

        * improve close button visiblity when hovering with the mouse
          (d9ebe23e8)
        * tune right edge push (e828c8b2c)
        * Add the ApplicationDrawer (fb0d4b404)

2016-12-07 Albert Astals Cid

        * Use timeStep as delay time (2e631ceed)
        * Add support for compiler sanitizers via ECM (8cbeffddd)
        * Add the Wsuggest-override flag to gcc (db500d38c)

2016-12-07 Lukáš Tinkl

        * Fix the Super key not invoking the dash scope home (LP: #1607427)
          (c5594642b)

2016-12-07 Albert Astals Cid

        * Merge lp:~aacid/unity8/add_override_warning (08541cc8f)

2016-12-07 Michael Zanetti

        * fix it up (b4029f136)

2016-12-07 Daniel d'Andrada

        * update appman mock in launcher test (8bb95a9fb)
        * findApplicationWithSurface is const now (8db27980c)

2016-12-07 Michael Zanetti

        * use QSignalMapper instead of sender() (9fcd9bc94)

2016-12-06 Michael Terry

        * Initial merge from trunk; some tests don't run again yet
          (d69c08bf9)

2016-12-06 Michael Zanetti

        * next (2ca06eb09)
        * next try (acc5a9478)
        * moar debug prints (c3c8584bd)

2016-12-06 Daniel d'Andrada

        * Improve management of empty windows (c60cac640)
        * Fix Window debug messages (067bf4db1)

2016-12-06 Lukáš Tinkl

        * bump deps (bff44a34a)
        * merge trunk (b06cff3e5)

2016-12-06 Michael Zanetti

        * merge prereq (0a8daf6d3)
        * merge appdrawer as prereq (f0a6e21d8)

2016-12-05 Rodney Dawes

        * Remove the payments widget and dependency on libpay as no longer
          needed. (0671ee81e)

2016-12-05 Michael Zanetti

        * apply the render mode more async (2bf3c1829)

2016-12-05 Daniel d'Andrada

        * Stabilize tst_ShellWithPin (96aada447)
        * merge lp:~lukas-kde/unity8/miral (68da8ee0a)

2016-12-05 Lukáš Tinkl

        * fix restoring windows back to their normal x/y from semi-maximized
          (3da58cf71)

2016-12-05 Michael Zanetti

        * fix tests (5d892212d)

2016-12-05 Daniel d'Andrada

        * Fix tst_Tutorial (aaf581a89)
        * Share more code between tests (0f6fe8704)
        * Fix test (9f7b1ad03)
        * share code between tests (b92dd9144)

2016-12-05 Michael Zanetti

        * use inputmethodcomposing instead (5ed1771b7)

2016-12-05 Daniel d'Andrada

        * merge lp:~lukas-kde/unity8/miral (f1f0776c7)
        * Fix tst_ShellWithPin (be7a792a8)

2016-12-05 Lukáš Tinkl

        * fix test (117399398)

2016-12-05 Michael Zanetti

        * mock the virtual touchpad settings so tests run more predictable
          (cca04a3ee)
        * hint the launcher in order to signal a successful size change
          (64feb38ab)

2016-12-03 Lukáš Tinkl

        * further fixes to semi-maxed states, mainly horiz/vert (dc16f4222)
        * simplify minimize/restore/restoreFrom maximized (1faa85617)

2016-12-02 Daniel d'Andrada

        * Some fixes fot tst_Tutorial (07cfd6203)
        * Fix some tst_OrientedShell tests (4765af496)
        * Update WindowStateStorage mock (08cbe5e33)
        * Fix tst_ActiveCallHint.qml (513449e5b)
        * Fix tst_Panel (9f1dbb6e0)
        * Fix test_dragPanelToRestoreMaximizedWindow in tst_Shell.qml
          (b74d6f6ca)
        * Update tst_SurfaceContainer.qml (8b79bc281)

2016-12-01 Josh Arenson

        * Merge trunk (5af2cb910)
        * Fix warnings and cleanup (08a519cfe)

2016-12-01 Daniel d'Andrada

        * Fix state loading (7f90c3309)

2016-12-01 Michael Zanetti

        * fix mocking of apparguments (f553ec40d)
        * fix button in tryDisabledScreenNotice (7b68661c8)
        * merge trunk (df0b1996a)
        * merge trunk (ea251a458)
        * merge trunk (617053f48)
        * fix the spreadEnabled property (9eda82ef7)

2016-12-01 Daniel d'Andrada

        * Fix bad merge (6068ba9e4)
        * Merge trunk (0c3b219b8)

2016-12-01 Michael Zanetti

        * drop print (d8995eedc)
        * merge trunk (762a07f05)

2016-12-01 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (317fbd41b)

2016-11-30 Daniel d'Andrada

        * Let the model deal with some window management decisions
          (f1dcc66d1)
        * merge lp:~dandrader/unity8/fixMakeTryApplicationWindow (7a58df39f)

2016-11-30 Michael Zanetti

        * allow cancelling the revealing of the drawer by changing direction
          of the swipe (45cb1ad09)
        * merge trunk (813a5746b)

2016-11-30 Pete Woods

        * Reduce formatting noise (683d23b65)
        * Fix Saviq's review comments (0ed58d4c7)
        * Add subtitle support to SwitchItem (7b81a77ba)

2016-11-30 Michael Zanetti

        * bump versions after merging (fbcea9b26)
        * merge in 2202 as prereq (f49d7d0e3)

2016-11-29 Michael Zanetti

        * update some tests (3493707df)
        * make it exactly the same as before (angle) (c8c767921)

2016-11-29 Lukáš Tinkl

        * make the FakeElapsedTimer more realistic; adapt the test
          (7d3977100)

2016-11-29 Michael Zanetti

        * add dependency to Qt.labs.settings (ae8f56f21)
        * add app drawer shortcut to overlay (a161e620d)

2016-11-29 Bileto Bot

        * Releasing 8.15+17.04.20161129-0ubuntu1 (9f75d6d1a)

2016-11-29 Albert Astals Cid

        * Give default value to gu-px size (fb7c74308)
        * Also install the Screens mock (b325d7ed4)
        * Fix autopilot DashHelperTestCase.test_search (38f6c07c8)
        * Autopilot: Add more applications to the list for wider screens
          (17b549619)
        * Fix autopilot test_lock_screen tests (f8df4cac8)
        * Adapt to dummy notification being gone (47eebe20a)

2016-11-29 Andrea Azzarone

        * Implement launcher tooltips. (381271b9d)

2016-11-29 Lukáš Tinkl

        * Enable brightness (laptop backlight) handling on desktop/laptop PCs
          (LP: #1595947) (243b443c4)

2016-11-29 Olivier Tilloy

        * Remove dependency on transitional package. (LP: #1583079)
          (f801fe666)

2016-11-29 Michael Zanetti

        * disable spread interaction while locked (LP: #1641578) (57d1d88dc)

2016-11-29 Brian Douglass

        * Added a setting to enable/disable the indicator dropdown menu.
          (15e940b89)

2016-11-29 Daniel d'Andrada

        * There's no need for WindowDecoration to access the appDelegate
          (30ca5f351)

2016-11-29 Andrea Azzarone

        * Do not show a divider between each quicklist entry but just between
          each section, similar to how unity7 does. (LP: #1637478)
          (4833f303a)
        * Set Mir.cursorName to "grabbing" on first mouse press on a window
          decoration. Don't wait for press+motion. (LP: #1618078)
          (748ab6c3a)

2016-11-29 Albert Astals Cid

        * Fix PreviewProgress implicitHeight (ec3af511e)

2016-11-29 Andrea Cimitan

        * Look up for expandable template dash category flag (57e5448f5)
        * added dropshadow from panel indicators to dash page header extra
          panel, so there is right shadow when the extra panel is
          narrow (b4413c6f9)
        * Make the remaining UbuntuShape flat (a339ad5d3)
        * Make MascotLoader in CardCreator flat (0572262a3)
        * Fix white text (LP: #1644468) (1436d61bf)

2016-11-29 Michał Sawicz

        * Add missing unity8:Depends on qml-module-qtqml-statemachine
          (b852b1e86)

2016-11-28 Josh Arenson

        * Make greeter get user's session from LightDM (5ab057206)

2016-11-28 Lukáš Tinkl

        * don't return garbage when the timer isn't running, or never been
          started (a1679d2ed)

2016-11-28 Josh Arenson

        * Fix warning (87edbad70)

2016-11-28 Nick Dedekind

        * app menu tests (bc6847bca)

2016-11-28 Michael Zanetti

        * fix imports (43ac82a7a)
        * fix an issue with locked out launcher, added test (c0adebb8b)
        * make property readonly (229c88e4c)

2016-11-30 Michael Zanetti

        * tune right edge push as per design request (28416b1db)

2016-11-28 Nick Dedekind

        * merged with trunk (cd56007e2)
        * nagivation (5814a6b18)

2016-11-28 Michael Zanetti

        * some fixes, tests (d2db6b038)

2016-11-28 Albert Astals Cid

        * Fix compile warnings in tests (d242233c3)

2016-11-28 Michael Zanetti

        * fix the launching of the searched item by pressing enter
          (6824477fc)

2016-11-28 Albert Astals Cid

        * whitespacing (c9158b231)
        * Merge (f10506282)

2016-11-25 Daniel d'Andrada

        * Fix make tryApplicationWindow (bfd63227d)

2016-11-25 Michael Zanetti

        * fix transition (c7fb11219)
        * properly eat all events (8ca9269b7)

2016-11-25 Albert Astals Cid

        * Bring back fix for 1517830 (eeca46564)

2016-11-25 Michael Zanetti

        * merge trunk (3f3ec4bd3)
        * fix drawer being shown at startup (8fd37f86b)
        * typo-- (555409600)
        * some launcher workarounds for the snapping (7bd9e2fbc)

2016-11-24 Daniel d'Andrada

        * Update test (3ced519a6)

2016-11-24 Michael Zanetti

        * fix issues from review (71cf8c5b4)

2016-11-24 Andrea Azzarone

        * Fix broken test. (fb2180c51)

2016-11-24 Michael Zanetti

        * disable the launcher on the greeter (89f4fc0b4)
        * fix some tests (e6c1ccdd6)
        * don't use EdgeBarrierControls in DesktopStage, as there is no
          EdgeBarrier in there any more (8d637f8da)

2016-11-24 Andrea Azzarone

        * Merge with trunk. (100f57393)

2016-11-23 Daniel d'Andrada

        * Remove blank line (3c5c71c6e)
        * remove leftover (e6d3d129a)
        * Move the normalFoo properties around (cbad34d16)

2016-11-23 Michael Zanetti

        * move right edge push area up some levels so it can be used on top
          of the indicators (56c3b8257)
        * merge lp:~mzanetti/unity8/tune-right-edge-push as prereq
          (9571c848d)

2016-11-23 Daniel d'Andrada

        * Add copyright header (20c877173)

2016-11-23 Michael Zanetti

        * fix improve close button visiblity when hovering with the mouse
          (7ffdfb4be)

2016-11-23 Daniel d'Andrada

        * Move code into a separate object to reduce clutter in Stage.qml
          (2ad40618c)
        * Take save/restore functions out of WindowResizeArea (1d037c568)

2016-11-23 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (9212688a6)

2016-11-22 Michael Zanetti

        * fix bad merge (4a6366f92)
        * merge ~bhdouglass/unity8/disable-indicator-menu as prereq
          (ce20ed9e1)

2016-11-22 Lukáš Tinkl

        * merge trunk (c8c86494c)
        * merge trunk (89b598caa)

2016-11-22 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (c8c25437e)

2016-11-21 Albert Astals Cid

        * Need this for the tests to pass locally after new chnage
          (5612925b4)

2016-11-21 Michael Zanetti

        * fix focus issue after launching something from drawer (55c26c244)

2016-11-21 Albert Astals Cid

        * Use timeStep as delay time (3ad24fa89)

2016-11-18 Michael Zanetti

        * fix issue with the shortcutoverlay getting stuck when opening the
          drawer (68559d261)
        * some more OSK layer issue fixes (f3616b949)

2016-11-17 Josh Arenson

        * Fix dash tests (96f8b91c1)
        * Fix content tests (a1ef65a19)
        * Simplify autoscroller (356c4bbad)

2016-11-17 Michael Zanetti

        * adjust edge push valies. still to be verified by design (574a295b3)

2016-11-17 Lukáš Tinkl

        * merge trunk (66c8c9909)
        * merge trunk (0395a4f99)

2016-11-17 Michael Zanetti

        * add copyright header (b88028d00)
        * add include for QStringList for vivid compatibility (c8f5429a1)
        * fix mock (1976a976a)

2016-11-17 Andrea Cimitan

        * look up for template[expandable] in dash category (700423205)

2016-11-16 Michael Zanetti

        * add support for searching apps by keywords (5a150f6ad)
        * fix issues in ualwrapper (e842fecd6)

2016-11-16 Josh Arenson

        * merge trunk (623005488)

2016-11-16 Michael Zanetti

        * fix tutoriallongleft (457974225)
        * some focus improvements (99914cb53)

2016-11-16 Albert Astals Cid

        * Fix PreviewProgress implicitHeight (24cbca3be)

2016-11-16 Bileto Bot

        * Releasing 8.15+17.04.20161116.1-0ubuntu1 (a4cada2ef)

2016-11-16 Albert Astals Cid

        * [Hopefully] Fix infinite loop in some of the GSV tests (440f1c673)

2016-11-16 Marco Trevisan (Treviño)

        * testLauncher: use tryCompare to check launcher contentY (648036032)

2016-11-16 Bileto Bot

        * MenuItemFactory: use Menus.RadioMenu and Menus.ButtonMenu
          (28d1c5ce9)
        * MenuItemFactory: bind calendar backend properties to calendarMenu
          item   Adds support for showing the calendar at the
          requested date, marking days   with events properly and
          toggling the visibility of the week number.;  Bump version
          as USC breaks with unity8 << 8.14 (0917e088e)

2016-11-16 Michael Zanetti

        * Stabilize OrientedShell tests (10a9a7a02)

2016-11-16 Andrea Cimitan

        * Remove old assets for navigation shadow (4f13caae0)

2016-11-16 Albert Astals Cid

        * [Hopefully] Fix infinite loop in some of the GSV tests (2ce785709)

2016-11-16 Brian Douglass

        * Merged with trunk (89d8cad83)

2016-11-15 Josh Arenson

        * Fix whitespace (934fce5ca)

2016-11-15 Olivier Tilloy

        * Remove dependency on transitional package. (42e17d841)

2016-11-15 Josh Arenson

        * Complete weird test (dfa22e1ea)

2016-11-15 Andrea Cimitan

        * add dropshadow around pageheader extra panel (971feafe6)

2016-11-15 Michael Zanetti

        * fix edge pushing (9305ba7d1)
        * catch more exceptions (2fa3cced9)

2016-11-15 Andrea Cimitan

        * Flat LazyImage (7aa26222d)
        * ScopeListCategoryItem flat (e0c84d04a)

2016-11-15 Michael Zanetti

        * merge trunk (68d199fd0)
        * revert changes in changelog (8b81d4c2d)
        * test updates (75777221f)

2016-11-14 Andrea Cimitan

        * Use fg color (98f37d6a6)
        * Use fg color (be5259394)
        * Adapt to scope colors (a3695b5cb)

2016-11-14 Michael Zanetti

        * also drop the leftEdge dragging in the stage (57306f8e8)
        * clean up the long left edge swipe code to show the dash (1816c2e9d)

2016-11-14 Andrea Cimitan

        * CardCreator mascot is Flat now (d88010661)

2016-11-14 Michael Zanetti

        * remember the last used section (0f6f1bfbd)

2016-11-14 Andrea Cimitan

        * Fix pull to refresh (bd61ad57b)

2016-11-14 Michael Zanetti

        * also exclude Super+W (cd0bf0614)
        * drop TODO (9d6aef412)
        * disable spread interaction while locked (717d499a0)

2016-11-14 Marco Trevisan (Treviño)

        * tests: try to be more robust on some flacky tests (40f5bdc10)

2016-11-13 Marco Trevisan (Treviño)

        * Merging with lp:~mzanetti/unity8/stabilize-orientedshell
          (9db62a497)

2016-11-12 Marco Trevisan (Treviño)

        * tests: try to be more robust on some flacky tests (d34180104)
        * Merging with trunk (2d54145f6)

2016-11-12 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (389365505)

2016-11-11 Michael Zanetti

        * hide the Most used category for now (390b5bce6)

2016-11-11 Marco Trevisan (Treviño)

        * fakeindicatorsmodeldata: hide week numbers in calendar by default
          (e79c7362f)
        * MenuItemFactory: prevent infinite loops on model activation causing
          calendar day changes (22568dd0a)
        * MenuItemFactory: properly compare dates not days (9ccea1d57)

2016-11-10 Michael Zanetti

        * bump versioning (984a3dd09)
        * fix input with predictive keyboard (ab5086750)
        * fix top margins for blur (b95cb03eb)
        * drop DBG from seaction header too (3c93f77ef)
        * cleanup (79acbfcec)
        * drop dbg section (3a8850c8c)
        * more tests (94ab11511)

2016-11-10 Daniel d'Andrada

        * Make it an alias (32f5d3c39)
        * There's no need for WindowDecoration to access the appDelegate
          (375fe27bd)

2016-11-10 Michael Zanetti

        * add a testcase for the drawer, implement reveal by edge push
          (ac953e927)

2016-11-09 Bileto Bot

        * Releasing 8.14+17.04.20161109-0ubuntu1 (32f8b34e7)

2016-11-09 Lukáš Tinkl

        * Fix the pixelated notification icon by setting sourceSize (LP:
          #1637712) (75a01c01a)
        * Enable loading the main Qt catalog which in turn allows for using
          RTL languages (e2e58a98d)

2016-11-09 Tomás Tormo

        * Reload Infographics userdata when the day changes (LP: #1378814)
          (7ed77a158)

2016-11-09 Brian Douglass

        * Add a new setting to enable/disable the launcher (bb50476d4)

2016-11-09 Lukáš Tinkl

        * Stabilize test_doubleTapToMaximizeWindow() (357bdf554)

2016-11-09 Michael Zanetti

        * Delay alt tab for tiny bit in order to avoid flickering on quick
          alt-tabs (5618dbfb3)
        * More fixes to the unified stages code (LP: #1637205, #1637249,
          #1637258) (374c0e2c1)
        * Fixes in the spread after design review (4903e3d68)
        * Added blur and darkening to wallpaper while in spread (6813eb0bf)

2016-11-09 Michael Terry

        * More path lookup fixes for running inside of a snap. (LP: #1629009)
          (b343d7eef)

2016-11-09 Andrea Cimitan

        * More visual tweaks (fb94194b2)

2016-11-09 Albert Astals Cid

        * Fix first column of the preview table to be 25% (f00f52142)

2016-11-09 Andrea Cimitan

        * various tweaks to fonts inside previews (f91b0837a)

2016-11-09 Albert Astals Cid

        * Make the PreviewButtons be of the width of the button and not half
          the total width (75d3855f3)
        * Improve LVWPH <-> GenericScopeView interaction (76ddd624e)
        * Rework Dash Preview column margins (3d551b3ea)
        * Make the > in Dash Section Header be after text (36123c19b)

2016-11-09 Andrea Cimitan

        * Few styling changes for cards (3ab9ac2be)

2016-11-09 Albert Astals Cid

        * Make more CardTool properties readonly (8ee8002f3)

2016-11-09 Andrea Cimitan

        * Remove background under header pagination dots, update dots assets,
          remove dash paper background, update bottom edge asset
          (af5e04488)

2016-11-09 Michael Zanetti

        * merge prereq (a37b91abe)
        * merge prereq (fded33587)
        * merge prereq (242a3d77d)
        * improve performance on BlurLayer (d0c9ba059)

2016-11-09 Marco Trevisan (Treviño)

        * MenuItemFactory: avoid getting data from undefined
          menuData.actionState in calendar (ae49e0e1b)

2016-11-08 Josh Arenson

        * Add a test (bbdd069b0)

2016-11-08 Lukáš Tinkl

        * stabilize (aa21ac413)
        * merge lp:~mzanetti/unity8/spread-fixes (196356b6f)

2016-11-08 Michael Zanetti

        * set a new prereq (096ba7945)
        * fix typo (607050b32)
        * properly disable dragging to side stage in portrait (2c4fe0206)
        * fix side stage state after rotation (d079aad8e)
        * don't close spread when closing an app from side stage (6a4452d58)
        * merge with spread-blur (a4e2fff4d)

2016-11-08 Andrea Cimitan

        * fix flaky tests (f29d912ff)

2016-11-08 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (8e86b3c8f)

2016-11-07 Michael Zanetti

        * nicer code (c54debe44)
        * always close the spread on left edge swipe (8197a722b)
        * resetting the spread position should happen on tablet too
          (601c54cfd)
        * cleanup warning, add a comment on why (d35ed3ab4)
        * add a minimum width for the tile info to prevent it going to ...
          (87eed4652)
        * tiles should not be interactive any more when moving to spread
          (8da833095)
        * add some resistance to the drag when an app is not closeable
          (4db35052a)
        * allow rotating when there is no app focused (e20bd7b61)
        * add a fade in animation to the icons in the spread (ac109a86b)

2016-11-07 Lukáš Tinkl

        * merge trunk (e621d8d6f)
        * merge trunk (48d4d5758)
        * merge trunk (e4c574d21)
        *  merge trunk (831acf3e7)
        * merge trunk (0d92b08ec)

2016-11-07 Bileto Bot

        * Resync trunk. (70b74db63)

2016-11-07 Michael Zanetti

        * fix spread looking out of place when there's only one item
          (b2f2f1c72)

2016-11-04 Michael Zanetti

        * QStringLiteral (d64982fbe)
        * simplify ualwrapper (5cfb7a57e)
        * fix dragging to left/right (588cf2de3)
        * more tweaks/cleanup (4e43d62d5)
        * more fixes (55c9ca537)

2016-11-04 Albert Astals Cid

        * Move the dash section header 1 gu to the rigth (e5699ca63)

2016-11-04 Michael Zanetti

        * some more fixes (cc1fa6a27)

2016-11-03 Michael Zanetti

        * fix hiding of drawer when launcher is locked to visible make
          sorting locale aware (09ad1caa2)
        * fix top margins (6d1652d1d)
        * fix keyboard focus handling (2b4c1c54e)
        * fix edge drag reveal when launcher is already visible (abc03e941)

2016-11-03 Andrea Cimitan

        * Remove right margin from pageheader (c2113c37d)

2016-11-03 Michael Zanetti

        * add missing files (9f6934ddd)
        * more work (ca5c2994b)

2016-11-03 Andrea Cimitan

        * More visual fixes (3e89f59eb)

2016-11-03 Michael Zanetti

        * stabilize OrientedShell tests (572daea4b)

2016-11-02 Albert Astals Cid

        * Design wants more spacing (42716a41d)

2016-11-02 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (12c377ddb)

2016-11-01 Michael Zanetti

        * initial take on the app drawer (b790b9f5c)

2016-11-01 Lukáš Tinkl

        * fix the pixelated icon by setting sourceSize (8df145098)

2016-11-01 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (f56799042)

2016-10-31 Lukáš Tinkl

        * shell dialog improvements (d9a9d4c88)

2016-10-31 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (f64475a76)

2016-10-28 Brian Douglass

        * Merged trunk (46055c608)

2016-10-28 Lukáš Tinkl

        * merge trunk (1ad96031a)

2016-10-28 Nick Dedekind

        * removed duplicate id (1e370d714)
        * Fixed decoration issues in tests (ea4b6c6ad)

2016-10-28 Marco Trevisan (Treviño)

        * MouseTouchEmulationCheckbox: make checkbox label to be clickable
          (9b372b07a)
        * testLauncher: make checkbox label to be clickable (30b24fbb1)
        * testLauncher: use tryCompare to check launcher contentY (e1b8fa8d0)

2016-10-28 Andrea Azzarone

        * Merge with trunk and resolve conflicts. (d13a52a20)
        * Use the new unity-api launchers APIs. (9e563a3d5)
        * Revert string change. (9dfbc5486)

2016-10-28 Nick Dedekind

        * Fixed tests (2fe1152d2)
        * merged parent (db1d9d251)

2016-10-28 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (e7d7bbb1d)

2016-10-27 Nick Dedekind

        * merged with trunk (95419ae22)
        * Touch in windowed mode (9eb5ad21b)

2016-10-27 Lukáš Tinkl

        * merge trunk (328e4db61)
        * merge trunk (562be5df6)
        * merge trunk (99574a9a7)
        * merge trunk (eae958a2d)

2016-10-27 Andrea Azzarone

        * Merge with trunk. (007738865)

2016-10-27 Marco Trevisan (Treviño)

        * Merging with lp:~3v1n0/unity8/calendar-days (b696b80cc)
        * debian/changelog: add proper commit message too (c0ab86f4d)
        * Merging with lp:~3v1n0/unity8/calendar-day-selection (1a38e97b5)

2016-10-27 Andrea Azzarone

        * Add hasSeparator to a quickList entry. (171678e8f)

2016-10-27 Bileto Bot

        * Releasing 8.14+17.04.20161027-0ubuntu1 (c5eef495d)

2016-10-27 Marco Trevisan (Treviño)

        * MenuItemFactory: activate item on calendar selection change
          (323634e6e)
        * Merging with trunk (34c242ee6)
        * debian: bump version and increase the USC dependency (1880ebe57)
        * Merging with trunk (5be1285df)
        * debian: bump version and increase the USC dependency (f004e117d)
        * Merging with trunk (83cbd7005)

2016-10-27 Tomás Tormo

        * Remove unnecessary setDay function from the UserMetrics mock
          (834dfb5f8)

2016-10-27 Lukáš Tinkl

        * depend on the qttranslations5-l10n package (c77de0cdb)
        * load the Qt catalog to get the RTL value (07e3d7900)

2016-10-26 Marco Trevisan (Treviño)

        * MenuItemFactory: use a ButtonMenu and activate the item on button
          clicks (932f026bb)
        * MenuItemFactory: use Menus.RadioMenu to create radio elements
          (3dd8231e2)
        * fakeindicatorsmodeldata: show new features for the indicator
          calendar (f1045294e)
        * testMenuItemFactory: add tests for calendar item (2aa29c167)
        * MenuItemFactory: bind model calendar-day to menuItem currentDate
          (d089d6a3b)
        * MenuItemFactory: add eventDays and showWeekNumber support to
          calendarMenu (e2ced2d84)
        * Merging with parent lp:~3v1n0/unity8/calendar-day-selection
          (6236761b9)

2016-10-26 Michael Zanetti

        * merge prereq (f11ee934d)
        * fix tutorial tests (8db011ab2)
        * fix tutorial tests (165ddd564)

2016-10-31 Marco Trevisan (Treviño)

        * IndicatorsTree: use readonly text-area (bf68fe571)
        * fakeindicatorsmodeldata: add alarm example (f37914ee1)

2016-10-26 Michael Zanetti

        * delay alt-tab for a bit to avoid flickering on quick alt+tabs
          (45a7132c8)
        * add blur and darkening to wallpaper when in spread (3863244c9)

2016-10-25 Marco Trevisan (Treviño)

        * Merging with: lp:~3v1n0/unity8/calendar-days (ModelPrinter
          improvements) (3f18151cb)
        * debian/control: revert change on u-s-c version dependency
          (a01698c36)
        * MenuItemFactory: use simple activate call since it uses the proper
          action type now (e9672b090)

2016-10-25 Andrea Azzarone

        * Avoid type conversion. (5d757f9c5)
        * Mark hoveredItem and itemCenter as readonly (a460b340f)

2016-10-25 Albert Astals Cid

        * Give default value to gu-px size (8a74c4367)
        * Also install the Screens mock (1999d6f51)
        * Fix autopilot DashHelperTestCase.test_search (8ef103690)
        * Add more applications to the list for wider screens (fedd2f631)
        * Fix the autopilot greeter tests (d263f68b1)

2016-10-25 Tomás Tormo

        * Remove unnecessary imports (1a575227c)
        * Use a LiveTimer instead of the screen state to detect a new day, so
          the solution is valid also for the desktop version
          (8c6a0cfca)

2016-10-25 Albert Astals Cid

        * Add support for compiler sanitizers via ECM (744b78eae)

2016-10-25 Tomás Tormo

        * Sync to trunk (fc9f00785)

2016-10-25 Albert Astals Cid

        * Adapt to dummy notification being gone (c2e8ca926)

2016-10-24 Albert Astals Cid

        * Fix import warning (8c9102abd)
        * More pixel pusihng (2da4c0eb4)

2016-10-24 Bileto Bot

        * Releasing 8.14+17.04.20161024-0ubuntu1 (bc584a7ae)

2016-10-24 Albert Astals Cid

        * tst_PreviewZoomableImage: Wait for LazyImage transitions on init()
          (LP: #1630136) (511b7b43f)

2016-10-24 Lukáš Tinkl

        * Implement moving windows by Alt + left mouse button (0faecb01b)

2016-10-24 Marco Trevisan (Treviño)

        * MenuItemFactory: use more features from SlotsLayout based settings
          components (e7bed11b1)

2016-10-24 Albert Astals Cid

        * Make PreviewProgress be thicker again (1f0ce58f5)

2016-10-24 Lukáš Tinkl

        * Hide the cursor for fullscreen apps after 3 seconds of inactivity
          (081add870)

2016-10-24 Andrea Azzarone

        * Remove UbuntuShapeForItem and replace its use with the more
          standard Ubuntu.Components.UbuntuShape. (89ff34e55)

2016-10-24 Lukáš Tinkl

        * Restore the double tap decoration to maximize feature (LP:
          #1627281) (f8f8415d8)

2016-10-24 Michael Zanetti

        * Merge all Stages into one single codebase. Apply new spread
          visuals. (ba0226381)

2016-10-24 Michael Terry

        * Adjust root paths if we're running inside a snap. (LP: #1629009)
          (93b9091e1)
        * Grab launcher icon information from ubuntu-app-launch, not directly
          from desktop files. (680b7ae0a)

2016-10-21 Josh Arenson

        * Return the correct role for the user session name (10f5f1779)
        * Correct a null parent (a2b90d9b5)

2016-10-21 Nick Dedekind

        * fixed mouse eater (c5bdee81c)

2016-10-21 Albert Astals Cid

        * Make Cimi happy with the vertical alignment (fb8bfea22)

2016-10-21 Andrea Azzarone

        * Edit pin/unpin strings to conform with unity7 ones. (8bc0feb5d)

2016-10-21 Nick Dedekind

        * dismiss menus (e92b64f6d)
        * toggle fixing (54374200e)

2016-10-21 Albert Astals Cid

        * Give the first column some more breathing space (daa3a96f5)

2016-10-21 Andrea Azzarone

        * Don't register Mir as both singleton and uncreatable. (6f6e4999f)
        * Rename test to test_grabbingCursorOnDecorationPress. (99478a8f0)

2016-10-20 Andrea Azzarone

        * Resync with lp:~mzanetti/unity8/unified-stages (81711e479)

2016-10-20 Nick Dedekind

        * merged with unified (ea06e11e5)

2016-10-20 Andrea Azzarone

        * Add unit tests. (de6c9a467)

2016-10-20 Nick Dedekind

        * Fixed ActionContext scopes (b108ceaac)

2016-10-20 Andrea Azzarone

        * Resync with lp:~azzar1/unity8/remove-UbuntuShapeForItem (985326cce)
        * Resync with lp:~mzanetti/unity8/unified-stages. (0acba69f2)
        * Re-enable tooltips and tests. (adde39ed7)
        * Disable enableHovered to debug test failures. (3c5d3f9e4)
        * Disable the tests. (7255427d7)

2016-10-19 Andrea Azzarone

        * Revert change to revealByEdgePush (ac3f66d78)
        * Add deps to qml-module-qtqml-statemachine. (fbb34adf6)
        * waitForRendering(launcher) when using revealyByEdgePush (b06aef27b)
        * Use revealByPush. (40d10cc3d)

2016-10-19 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (29c2ac2d1)

2016-10-19 Andrea Azzarone

        * Refactor the way we deal with tooltip delay timer. (c2796ab3b)

2016-10-18 Albert Astals Cid

        * Try to make the vivid qt happy (2bd523803)

2016-10-18 Andrea Azzarone

        * Add a delay in mouseMove. (f3abaa96c)

2016-10-18 Nick Dedekind

        * Hide panel on spread (6df9d2da0)

2016-10-18 Andrea Azzarone

        * Remove useless code in Tooltip.qml (3de237f54)

2016-10-18 Marco Trevisan (Treviño)

        * ModelPrinter: use chars instead of strings to join (87b4fffb9)
        * ModelPrinter: use QStringList to easily merge list elements
          (a1e4feaa6)

2016-10-18 Michael Terry

        * Merge from trunk (a213859df)

2016-10-18 Andrea Azzarone

        * Move Tooltip in a different component. (cca10e3ef)

2016-10-18 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (4123abf85)

2016-10-17 Albert Astals Cid

        * use implicitHeight for this now since we force a minimumHeight the
          old test was failing (01e3fdd31)

2016-10-17 Andrea Azzarone

        * Remove mouseEventEater as we have hoverEnabled equals to true in
          dndArea. (a0464758a)

2016-10-17 Tomás Tormo

        * Reload Infographics userdata when the screen turns on in case the
          day changed (3d51efb5b)

2016-10-17 Albert Astals Cid

        * More merging (5a8284ebd)

2016-10-17 Andrea Cimitan

        * Fix PreviewTextSummary tests (c3861582a)
        * Fix PreviewHeader test (0879bd55b)

2016-10-17 Albert Astals Cid

        * remerge (978269d59)

2016-10-14 Marco Trevisan (Treviño)

        * ModelPrinter: properly print QVariantList's and tabify mapped
          elements (05394560d)
        * debian/control: increase dependency to qmenumodel 0.2.10
          (35a05c4ff)
        * MenuItemFactory: activateByVariantString on calendar selection
          change using proper type (039ffa294)

2016-10-14 Andrea Cimitan

        * More tweaks to Text Summary (cb7ed261c)

2016-10-14 Albert Astals Cid

        * make it just be some margin on the top of the contents, not a fix
          margin (ecba1de1a)

2016-10-14 Andrea Cimitan

        * Tweaked review widget (1bedd1d67)

2016-10-14 Albert Astals Cid

        * units.gu(2) on the left/right also for the 2 columns scenario
          (7cabf577a)
        * less min height (bbefb7dae)
        * No bottom margin (6fe4715f0)

2016-10-14 Andrea Cimitan

        * oops (f9055b715)

2016-10-14 Albert Astals Cid

        * Add a minimum height, design wants more breathing space in the
          table (5d8fe1edf)
        * top&bottom margin 2gu+clip (a3aadc323)

2016-10-14 Andrea Cimitan

        * Preview audio time label changed (e42cc2ca9)

2016-10-14 Albert Astals Cid

        * bring lp:~unity-team/unity8/previews_fonts-update (9b31f058e)

2016-10-14 Andrea Cimitan

        * add padding after title label (40f9381bd)
        * Some tweaks to font size, plus remove margin on PreviewHeader
          (a5e8f5399)

2016-10-14 Albert Astals Cid

        * Do not hide panel when launching an application if the mouse is on
          the panel (feeb59e21)

2016-10-14 Andrea Cimitan

        * try to fix test (e8b7e7ff5)

2016-10-13 Andrea Cimitan

        * Some additional visual tweaks to the pagination dots (d6db514ef)

2016-10-13 Albert Astals Cid

        * Make the > and text aligning a bit "better" (56d10cbe1)

2016-10-13 Michael Zanetti

        * merge trunk (3e906e85d)

2016-10-13 Albert Astals Cid

        * Change topMargin based on width (024a62e2a)

2016-10-13 Nick Dedekind

        * more test fixes (a46efde04)

2016-10-13 Albert Astals Cid

        * Use the old spacing (c9d75d106)
        * Increase spacing (ceedb12c5)

2016-10-13 Brian Douglass

        * Added better tests for indicator menu enable setting (121c4c89b)
        * Fixed copy-paste error (7363a9327)
        * Merged trunk (d05dbcaf4)
        * Fixed failing tests (aeabf2cf2)
        * Merged trunk (f336ce767)
        * Added better tests for enable/disable launcher (33d8e820c)

2016-10-12 Nick Dedekind

        * fixed tests (06214dd5e)
        * global shortcut release (6c3fa9679)

2016-10-12 Andrea Cimitan

        * Added padding on top preview (d5e0fb062)
        * Merged readonly properties to cardtool (c7c9a0589)

2016-10-11 Michael Zanetti

        * fix spread close input area (438d30691)

2016-10-11 Albert Astals Cid

        * workaround for bad row height on Qt 5.4 (on the phone) (ba65d4826)

2016-10-11 Michael Terry

        * And update mock plugin too, whoops (23959f582)

2016-10-11 Tomás Tormo

        * Sync po/oc.po file with trunk (db64e4f90)
        * Reset UserMetrics and Infographic state for each test. Check that
          user data is correctly updated when the day changes
          (0743ccc12)

2016-10-10 Lukáš Tinkl

        * alternative patch from Albert (4113c0dad)

2016-10-10 Tomás Tormo

        * Reload infographics object before each test (d76390ffc)

2016-10-08 Michael Zanetti

        * fix test flakiness (0db7ccba5)

2016-10-08 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (03243cb06)

2016-10-07 Michael Terry

        * Guh and fix property name (8ca16fe33)
        * Whoops, remove prefix (60f0f0dc7)
        * Add missing header (2150501da)
        * Another instance (7a5e8a31e)
        * Fix compilation (62ce63b5c)
        * More $SNAP fixes (cd839cf78)

2016-10-07 Nick Dedekind

        * fixed decorated window test (5692bb989)

2016-10-07 Marco Trevisan (Treviño)

        * Merging with trunk (347fc2ce8)

2016-10-07 Albert Astals Cid

        * Fix first column of the preview table to be 25% (12fb4356f)

2016-10-07 Nick Dedekind

        * fixed window decoration tests (da4045871)
        * more test fixes (f776d67d3)

2016-10-07 Lukáš Tinkl

        * add an explanation for the cursorShape trick (787a55221)

2016-10-07 Nick Dedekind

        * fixed menu navigation (f7a888f64)
        * Fixed visual issues (054e55e15)

2016-10-06 Lukáš Tinkl

        * move windows by ALT+LMB, take 3 ;) (94dcd61da)
        * merge unified-stages (61c1b2879)

2016-10-06 Andrea Cimitan

        * No signature line by default in dashPageHeader (a306a83cc)

2016-10-06 Andrea Azzarone

        * Merge with unified-stages branch. (6c6b6c6ff)
        * Resync with lp:~azzar1/unity8/remove-UbuntuShapeForItem (93b4ce693)

2016-10-06 Albert Astals Cid

        * Make the PreviewButtons be of the width of the button and not half
          the total width (b743e81f6)

2016-10-06 Michael Zanetti

        * fix OSK rect not always going away when it should (6e6c5ce7c)

2016-10-06 Andrea Azzarone

        * Resync with lp:~mzanetti/unity8/unified-stages (7f85ec7dc)

2016-10-06 Lukáš Tinkl

        * merge prereq, fix conflicts (ca1b837ac)

2016-10-06 Albert Astals Cid

        * item() function is still needed on other parts of GenericScopeView
          ^_^ (0ef5061fb)

2016-10-06 Michael Zanetti

        * fix ghost rect on corner maximize (76cad5aec)

2016-10-06 Albert Astals Cid

        * Improve LVWPH <-> GenericScopeView interaction (c8be7b65a)

2016-10-06 Lukáš Tinkl

        * merge prereq (2f190fe3c)
        * fix the fake rectangle ghost (b0ca64eb2)

2016-10-05 Nick Dedekind

        * fixed panel try (fc79fa9b0)

2016-10-05 Tomás Tormo

        * debian/control:   - Drop unity-scope-mediascanner2 to a Suggests
          rather than a Recommends,     to ease our transition to
          main.  It's already seeded directly in     Touch, so this
          will only affect the Desktop variant of unity8.
          (c3f0e15fa)

2016-10-05 Andrea Cimitan

        * remove test (e1821f089)

2016-10-05 Michael Zanetti

        * revert changes in changelog (05d03c609)
        * merge trunk (9e2e52a33)
        * hide close button when the tile is displaced (4547f04bf)
        * fix focusing in windowed mode (5054cbbc6)
        * revert the change that broke the camera app (053dbc5df)

2016-10-05 Nick Dedekind

        * more test fixes (90396d968)

2016-10-05 Andrea Azzarone

        * Merge with trunk and rebase. (082264464)
        * Remove trailing space. (6596bd989)
        * Rebase on unified-stages branch. (468ae0782)
        * Merge with lp:~mzanetti/unity8/unified-stages. (94cc8a329)

2016-10-05 Nick Dedekind

        * Fixed PanelMenuPage tests (4a079b9ec)

2016-10-05 Andrea Cimitan

        * Updates to card font style (aa52573ef)

2016-10-05 Albert Astals Cid

        * Put the combo preview at the end, tests want it there (0bcb45aca)

2016-10-04 Nick Dedekind

        * removed test code (f1a543e6b)
        * merged with unified stages (d93306eee)

2016-10-04 Albert Astals Cid

        * Default is false (not that it matters but anyway) (10cf46062)
        * Rework Preview column margins (163d36893)

2016-10-04 Michael Terry

        * debian/control:   - Drop unity-scope-mediascanner2 to a Suggests
          rather than a Recommends,     to ease our transition to
          main.  It's already seeded directly in     Touch, so this
          will only affect the Desktop variant of unity8.
          (1bb5972ec)

2016-10-04 Albert Astals Cid

        * Use new asset (261f6ce6a)

2016-10-04 Michael Terry

        * Guard check for cleanliness, though it shouldn't matter (d7f92d3d4)

2016-10-04 Nick Dedekind

        * merged with unified-stage (8a50eb432)
        * qmenumodel version req (52cdce9e7)
        * hide panels on disable (5326a86e6)
        * app & touch menu tweaks (3281137ef)

2016-10-04 Albert Astals Cid

        * Make the > in Dash Section Header be after text (a3bda98de)
        * Kill Components/ListItems (4d914cc85)

2016-10-03 Michael Terry

        * Review nits (631458128)
        * Fix static QString usage (d74a4653a)

2016-10-03 Andrea Cimitan

        * Small radius on cards (dfe21d652)
        * Flat cards (02204659c)

2016-10-03 Lukáš Tinkl

        * merge unified-stages (747bcf19f)

2016-10-03 Marco Trevisan (Treviño)

        * debian/control: Bumping dependency on ubuntu settings components
          (3b6ef13e5)

2016-10-03 Albert Astals Cid

        * Make PreviewProgress be thicker again (2f4757e1e)

2016-10-03 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (c8985243f)

2016-09-30 Nick Dedekind

        * added ApplicationMenus to install (38c91bcb1)
        * fixed tests (d8a808e34)
        * more test fixes (7fcc1fb57)
        * more test fixes (cb2fb901a)
        * fixed left edged panel (1482f990f)

2016-09-30 Andrea Cimitan

        * fix test (6aba12811)

2016-09-30 Nick Dedekind

        * more test fixes (86d4415b8)

2016-09-30 Andrea Cimitan

        * merged (6860805b4)

2016-09-30 Nick Dedekind

        * name changes (4d6bd0b14)

2016-09-30 Lukáš Tinkl

        * break the possible endless loop \o/ (c5e65a010)

2016-09-30 Nick Dedekind

        * added missing files (720fb76dc)

2016-09-30 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (296976a96)

2016-09-30 Lukáš Tinkl

        * readd the surface binding, add extra guards, still not good :/
          (82925fd0a)

2016-09-29 Michael Terry

        * Add some console debugging (75ed2792c)
        * Clean up file header (8cd67f993)
        * Be more explicit about setting root (7fe23f1e5)
        * Fix indenting a bit (7016f02aa)
        * Fix paths for snaps (a5b87bd74)

2016-09-29 Lukáš Tinkl

        * drop old binding (13d4c21bd)

2016-09-29 Michael Zanetti

        * see if this helps with CI (431096ee4)

2016-09-29 Andrea Azzarone

        * Use conditional bindings. (34be00a34)

2016-09-29 Andrea Cimitan

        * fixed test (f3c0ec54d)

2016-09-29 Lukáš Tinkl

        * drop the repeat, not needed as "running" is a binding (1ded46503)

2016-09-29 Andrea Cimitan

        * merged trunk (0107b9161)

2016-09-29 Andrea Azzarone

        * Merge with trunk. (0841cf752)
        * Refactor and simplify tooltip layout logic. (f193095d5)

2016-09-29 Lukáš Tinkl

        * add a test (5f95b407b)

2016-09-29 Andrea Azzarone

        * Merge with lp:~azzar1/unity8/remove-UbuntuShapeForItem (839ed84b6)

2016-09-29 Lukáš Tinkl

        * merge prereq (a91087e40)
        * merge trunk (19869faff)

2016-09-29 Nick Dedekind

        * better dbus interface documentation (3a3949179)
        * fixed typos (04bceb3fd)
        * menus (a40eeb73f)

2016-09-29 Michael Zanetti

        * fix test (4098517ce)

2016-09-29 Albert Astals Cid

        * whitespaaaaaaaaaaaace (da21abd19)

2016-09-29 Nick Dedekind

        * fixed qmltypes (d27586903)
        * merged with trunk (f2ce81720)

2016-09-29 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (5ab1ddfbf)

2016-09-28 Michael Terry

        * Update upstart job to use MIR_SERVER_HOST_SOCKET instead of
          MIR_SOCKET (29c0e3f81)
        * Fix sessionToStart logic (add3e601a)

2016-09-28 Lukáš Tinkl

        * merge trunk (bcb081cbd)

2016-09-28 Michael Terry

        * Merge from trunk (9c542bafe)
        * Merge trunk (bd2a24c8d)

2016-09-28 Andrea Azzarone

        * Use ShaderEffectSource to correctly render the overlay rectangle.
          (d9fc73a1a)

2016-09-28 Albert Astals Cid

        * Wait for LazyImage transitions on init (195f15b29)

2016-09-28 Michael Zanetti

        * some side stage related fixes (7b1409aa0)
        * fix app in side stage on 3-finger tap (81c13facf)
        * fix focusing after spread in windowed mode (13675a723)
        * drop some debug prints (7a89abce9)
        * some fixes (1422dda74)

2016-09-28 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (ec7c7ab1f)

2016-09-27 Lukáš Tinkl

        * restore the double tap decoration to maximize feature (e48ebfde6)

2016-09-27 Albert Astals Cid

        * Merge (ba8ad93af)

2016-09-27 Michael Zanetti

        * drop Alt+LMB mouse area, it's leftover from the prereq (aadcb3d49)
        * merge trunk (71de62ab1)

2016-09-27 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (a54065cda)

2016-09-26 Lukáš Tinkl

        * merge trunk (770f734d1)

2016-09-26 Michael Zanetti

        * move test_oskDisplacesWindow into testShell as there is a
          dependency on Shell now (cf248d13f)

2016-09-26 Bileto Bot

        * Resync trunk. (09f6b1ebf)

2016-09-26 Brian Douglass

        * Removed random code that broke the test (0934679d0)

2016-09-26 Andrea Azzarone

        * Add comment. (9c6640eea)
        * Merge with trunk. (94cc0b9f9)
        * Update tests. (c40b9cf0f)

2016-09-26 Michael Zanetti

        * fix virtual keyboard height (3a75b0030)

2016-09-26 Andrea Azzarone

        * Use a s StateMachine to handle tooltip logic. (0e4d9f5b0)

2016-09-26 Michael Zanetti

        * fix visible property order in transition to spread (fd93f1cca)

2016-09-26 Lukáš Tinkl

        * use Mir device keymap (439ffe944)

2016-09-26 Michael Zanetti

        * fix resizing at fast speeds (19be291e7)

2016-09-26 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (3bfa743bc)

2016-09-24 Brian Douglass

        * Added tests for disabling the indicator menu (fe420ed1f)

2016-09-23 Brian Douglass

        * Added tests for disabling the launcher (7076636f1)

2016-09-23 Michael Terry

        * Use more explicit version of AppID::find, since we have the
          registry sitting there (2b341090e)
        * Reduce some of the namespacing and stdString conversions
          (0399ec160)

2016-09-23 Michael Zanetti

        * drop duration definition... we use the default anyways (a41d2d53e)
        * don't use animationDuration in DecoratedWindow (365188a3b)
        * drop the debug animationDuration (bf2a440cd)
        * drop commented line (c0dec9319)

2016-09-23 Michael Terry

        * Add ual to build-depends (699db9251)

2016-09-23 Michael Zanetti

        * suppress warning (92d8c3127)

2016-09-23 Brian Douglass

        * Added a setting to disable the indicator menu (c6ae0cccb)

2016-09-23 Marco Trevisan (Treviño)

        * fakeindicatorsmodeldata: add fake message actions for TextMessage
          and SnapDecision (54ba7b833)

2016-09-22 Marco Trevisan (Treviño)

        * debian/control: bump the dependency on settings components
          (6b3e6e49d)
        * fakeindicatorsmodeldata: use local avatars for messages (c02a539b1)
        * MenuItemFactory: move more checks to utility functions (f2e7fdf49)

2016-09-22 Michael Terry

        * More fixer ups (3324cb003)
        * Small fixer ups (0d4782f0f)
        * Drop unused LAUNCHER_TESTING (257d37282)
        * Use UAL instead of manually parsing a desktop file for launcher
          (a69ada019)

2016-09-22 Marco Trevisan (Treviño)

        * MenuitemFactory: add utility functions to get proper components
          allow user to override (4084254ce)

2016-09-22 Michael Zanetti

        * drop another unused property (7bd18b68b)
        * add a FIXME on why the assertion is commented out (c8d52f811)
        * revert changes in changelog (5f4990a3d)
        * fix angle in right edge drag (5e2087592)

2016-09-22 Marco Trevisan (Treviño)

        * MenuItemFactory: remove the unused keymapMenu (848d7f647)
        * MenuItemFactory: protect from unset context (1de2290dd)
        * MenuItemFactory: make filtering of entries by action cleaner using
          a map (5abb376d0)

2016-09-22 Michael Terry

        * Make default single-user userModes just have default background, to
          keep old behavior and fix tests that expect that
          (0f0937a21)

2016-09-22 Michael Zanetti

        * drop SpreadDelegate test entry from CMakeLists.txt. There is no
          more SpreadDelegate. (7353dc379)
        * use inputMethodVisibleRect as suggested in review (5ca7d986d)

2016-09-22 Marco Trevisan (Treviño)

        * MenuItemFactory: use same rules for fake indicators (935914b69)

2016-09-22 Michael Zanetti

        * fallback to application.fullscreen if the surface disappears
          (4204e748e)

2016-09-22 Marco Trevisan (Treviño)

        * MenuItemFactory: use BaseLayoutMenu for creating the special
          messagesButtonMenu (f4455d2da)

2016-09-22 Michael Zanetti

        * merge prereq (e3b4b2889)
        * drop unneccessary function, move body to caller (a11a2c0d6)
        * fix typo in comment (603fa22a4)
        * fix typo (2d7ae4795)
        * drop the beingResized hack (bcac70b9f)
        * drop debug print (1e440dffb)
        * drop debug print (c082d7242)

2016-09-22 Marco Trevisan (Treviño)

        * MenuItemFactory: don't use a special standard menu for settings
          items, but a correct linkMenu (a3d0091fb)
        * MenuItemFactory: use a slots for adding the buttonSectionMenu
          (5f1806b08)
        * MenuItemFactory: no need set opacity on ProgressValue items as per
          upstream changes (395ed1d42)

2016-09-22 Bileto Bot

        * Releasing 8.14+16.10.20160922-0ubuntu1 (2d4b8565c)

2016-09-22 Marco Trevisan (Treviño)

        * IndicatorsClient: use PageHeader and ListItemLayout's (996d62804)
        * Indicators, mocks: add fake indicators menuitem to populate mocks
          with different menu types (71ff20c8d)

2016-09-22 Michael Terry

        * Make infographic bubbles white even on the default wallpaper.
          (8f7528073)
        * Update look of infographic a bit (c031e4b06)

2016-09-22 Lukáš Tinkl

        * Fix 2 failing color-related tests (c631565ef)
        * Respect Fitt's law wrt the window control buttons in panel (LP:
          #1611959) (cfbfce284)
        * On the PC platform (as opposed to running on $devices), use the
          "mute" action instead of silent mode (1951ac0f1)

2016-09-22 Albert Astals Cid

        * Improve findChild calls inside tryCompareFunction. (300443327)
        * Make test_Shell non ultra slow again (a35690027)

2016-09-22 Lukáš Tinkl

        * Implement edge maximizing (aka window snapping) (LP: #1602628)
          (af925dbad)

2016-09-22 Daniel d'Andrada

        * Implement cursor confinement (LP: #1590099) (6c5405739)
        * Set progress bar indeterminate when processing signal received.
          (LP: #1249349) (31f37e10a)

2016-09-22 Michael Terry

        * Use the default system wallpaper instead of our custom one.
          (81dc45046)
        * Switch from lockscreen PIN pad to a passcode entry box that uses
          the OSK. (1aafa5757)
        * Hide the greeter OSK if indicators are open and don't show the edge
          tutorial during an emergency call. (01d093f99)
        * Add an indicator to the greeter when a user is logged in (only
          shown if we have more than one user) (f04d0eda2)
        * Fix tryShell to actually show appropriate backgrounds for each mock
          user. (c8a37b675)
        * Support launching apps inside a unity8 session from the greeter and
          support emergency dialing inside the greeter. (8c1687a09)

2016-09-22 Josh Arenson

        * Add a frontend to the sessions model and enable a session chooser
          in the greeter. (3e9025fd7)

2016-09-22 Albert Astals Cid

        * Show "Pull to refresh" in white when overlaid in low luminance
          colors (LP: #1596849) (8a74a8e9c)
        * Make sure the spinner does not get too close to the title text (LP:
          #1597392) (b3b1cb74a)
        * Make tryGenericScopeView show the scope correctly (9648eec2d)
        * Adapt onShiftedContentXChanged to work when the content changes
          very abruptly (fb89b4a32)
        * Make PreviewActionsTest::test_comboButton more stable (e7977af78)
        * Dash::test_cardIconStyle change compare into tryCompareFunction
          (3b57f64b4)
        * Reduce calls to CardCreatorCache.getCardComponent while the
          component is being created (6e86ab839)
        * LVWPH: Fix items cut on top in the dash (or at least some instances
          of it) (08de6f9fb)
        * LVWPH: Fix case in which header was shown incorrectly (3e9141fef)
        * Remove artShapeSize from non cardtool cards (8057d5378)
        * Add bottom gradient to the Show Less floating button (ddd5ee8cd)
        * No need for the touchdown in the card for the cardtool (51b87cb1d)
        * Put the touchdown shape inside a loader (f1fb224ab)
        * LVWPH: update clipItem height when list height changes (LP:
          #1606935) (7eca926b3)

2016-09-22 Andrea Cimitan

        * add a couple of waiting tricks for a flaky dash test (ba3f27e79)
        * use mouseFlick instead touchFlick for manage_dash_move_current
          (9ef205aa4)
        * rework GenericScopeView PullToRefresh test (ebdb08f61)
        * Use PreviewSingleton for PreviewRatingInput and PreviewCommentInput
          (LP: #1595235) (478e4d1a8)
        * Add a PreviewSingleton module to store some data for previews (LP:
          #1595235) (385fda60c)
        * Elide the label text inside recent searches panel (LP: #1611796)
          (60bee7cf2)
        * override some Qt Components definitions so we can have sane default
          values for flick speeds (d0f3cb61f)

2016-09-22 Brian Douglass

        * Added settings option to enable/disable the launcher (e49012e83)

2016-09-21 Michael Zanetti

        * fix testDecoratedWindow (6b9253e33)

2016-09-21 Andrea Azzarone

        * Add the first qml test. (b568bb35b)

2016-09-21 Michael Zanetti

        * fix last orientedShell test (4180aa228)

2016-09-21 Marco Trevisan (Treviño)

        * fakeindicatorsmodeldata: add fake indicator keyboard elements
          (cd686065b)
        * MenuItemFactory: remove deprecated properties (f23ff318c)

2016-09-21 Michael Zanetti

        * fix testOrientedShell (928545f33)

2016-09-21 Marco Trevisan (Treviño)

        * MenuItemFactory: ensure that the text is always full opauqe, even
          if disabled (df4d19057)
        * fakeindicatorsmodeldata: add missing power and calendar items
          (a88def688)
        * testMenuItemFactory: remove unneeded label test in ModemInfo
          (a30d56659)
        * testMenuItemFactory: fix typo causing color test in appointmentMenu
          to fail (4d2028277)

2016-09-21 Michael Zanetti

        * fix testShellWithPin (32b483dfe)

2016-09-20 Lukáš Tinkl

        * fix ShellWithPin test failures (faed16c58)

2016-09-20 Michael Zanetti

        * fix camera app rotation, *finally* (5eb6a54c0)
        * more fixes to the side stage animation (b0fbd770f)
        * add copyright headers (a59daa54c)
        * drop some unused code (461f9ec24)
        * dropped AbstractStage (193096258)
        * fix some side stage related issues (ee3e29d34)

2016-09-19 Andrea Azzarone

        * Fix tooltip design and open it on mouse hover. (23f4dbd00)

2016-09-19 Michael Zanetti

        * don't hide side stage drag handle prematurely (e2630ec0d)
        * fix snapshot image being squeezed (c6cfea74f)
        * less duplicated code (cd464ecee)
        * fix focusing something while in spread (de02c6c4c)
        * fix tutorial (ae181fb90)
        * don't eat the focus when clicking on Start all apps (cd1606462)
        * some more fixes (b5620044e)
        * some triel to fix orientedshell (84006ee7d)

2016-09-16 Lukáš Tinkl

        * fixup wheel boundaries (40083ee88)
        * fix keyboard spread navigation; add mouse wheel support (1d4dbef2f)
        * elide the window item title (1e10bf9f2)
        * provide app name as a fallback to window title (4724b6242)
        * eat wheel events (b1f6d36e7)

2016-09-15 Michael Zanetti

        * another fix in PhoneStage tests (d8213265f)
        * fix cancelling right edge visiblity (9561accbc)
        * drop broken unused code (04d610e6b)
        * Tablet tests passing!!! (d496e4568)
        * fix tutorial related info about the stage (eef4208c4)
        * get away with some TODOs (6df5e4460)
        * PhoneStage tests passing again! (0cc0513c5)
        * some more test fixes (81bfaa230)
        * reenable proper activation of the minimizeAll shortcut (28069ed7b)
        * cleanup (3c54c692d)
        * some more work on re-enabling tests (48dfea119)
        * fix binding loop when cascading windows (7321eb17f)
        * fix short right edge animation (429f5eb55)
        * fix parts of phonestage tests, not complete yet (0b077f254)

2016-09-14 Andrea Azzarone

        * Merge trunk. (6e1f434f6)
        * Initial work for launcher tooltips. (c666565e2)

2016-09-14 Lukáš Tinkl

        * revert API level change (07aa0f9cd)
        * enabled tst_TabletStage and fixed some tests (903c84b65)
        * fix tst_surfaceContainer (e8fc1d41b)
        * fix tst_windowResizeArea (10da2ebac)

2016-09-14 Michael Zanetti

        * fix bad merge in Greeter stuff (8dc12867b)
        * revert changes in it.po (350f00dcf)
        * don't try to take over control in the model. The stage is the one
          to say who's raised! (6b9b8371a)
        * revert changes in changelog (c071f5df4)
        * merge the silo again (d932e970a)
        * fix tablet stage app visiblitiy (97d369930)
        * fix close button sometimes showing when it shouldn't (5ec16b766)
        * some more fixes to windowed mode (resizing etc) (948f3aeca)

2016-09-14 Lukáš Tinkl

        * merge parent (44c971032)
        * fix resizing semimaximized windows (93bf03637)
        * fix resizing hor/vert maximized windows (e8a84ab45)
        * fix resizing of restored windows, touch controls for maximized
          (2d831cf30)

2016-09-14 Michael Zanetti

        * minor cleanup (4da610e30)
        * fix testDesktopStage (d0860e2b9)

2016-09-14 Lukáš Tinkl

        * checkpoint charlie (897d84d02)

2016-09-14 Michael Zanetti

        * fix testApplicationWindow (b48c90636)

2016-09-14 Bileto Bot

        * Releasing 8.14+16.10.20160914-0ubuntu1 (914e01214)

2016-09-14 Marco Trevisan (Treviño)

        * IndicatorsClient: use PageHeader and ListItemLayout's (9d8ca6f2f)
        * Indicators, mocks: add fake indicators menuitem to populate mocks
          with different menu types (a8e80a04a)

2016-09-14 Lukáš Tinkl

        * Implement moving windows by Alt + left mouse button (436c8fe45)
        * Implement edge maximizing (aka window snapping) (LP: #1602628,
          #1611859) (342de7eaf)

2016-09-14 Daniel d'Andrada

        * Implement cursor confinement (LP: #1590099) (818172016)
        * Set progress bar indeterminate when processing signal received.
          (LP: #1249349) (698e8fcae)

2016-09-14 Michael Terry

        * Make infographic bubbles white even on the default wallpaper.
          (e9579b1e2)
        * Update look of infographic a bit (8f7f9285f)
        * Use the default system wallpaper instead of our custom one.
          (d8311d60f)
        * Switch from lockscreen PIN pad to a passcode entry box that uses
          the OSK. (7bf0c088f)
        * Hide the greeter OSK if indicators are open and don't show the edge
          tutorial during an emergency call. (404fb9249)
        * Add an indicator to the greeter when a user is logged in (only
          shown if we have more than one user) (947d3dff3)
        * Fix tryShell to actually show appropriate backgrounds for each mock
          user. (f94a70c83)
        * Support launching apps inside a unity8 session from the greeter and
          support emergency dialing inside the greeter. (f4f54dade)

2016-09-14 Josh Arenson

        * Add a frontend to the sessions model and enable a session chooser
          in the greeter. (8b8b244ae)

2016-09-14 Lukáš Tinkl

        * Fix 2 failing color-related tests (387ec9a72)
        * Respect Fitt's law wrt the window control buttons in panel (LP:
          #1611959) (fc9fef92f)
        * On the PC platform (as opposed to running on $devices), use the
          "mute" action instead of silent mode (cd264a6eb)

2016-09-14 Albert Astals Cid

        * Improve findChild calls inside tryCompareFunction. (7a678d418)
        * Make test_Shell non ultra slow again (05dfdce99)
        * Show "Pull to refresh" in white when overlaid in low luminance
          colors (LP: #1596849) (9e4f07b46)
        * Make sure the spinner does not get too close to the title text (LP:
          #1597392) (6be9f176e)
        * Make tryGenericScopeView show the scope correctly (cde0538d1)
        * Adapt onShiftedContentXChanged to work when the content changes
          very abruptly (c9128a812)
        * Make PreviewActionsTest::test_comboButton more stable (7f7850f9d)
        * Dash::test_cardIconStyle change compare into tryCompareFunction
          (5763db0d8)
        * Reduce calls to CardCreatorCache.getCardComponent while the
          component is being created (c196a3dfd)
        * LVWPH: Fix items cut on top in the dash (or at least some instances
          of it) (c7951ccb7)
        * LVWPH: Fix case in which header was shown incorrectly (eb69209e8)
        * Remove artShapeSize from non cardtool cards (8872fa0ca)
        * Add bottom gradient to the Show Less floating button (99d03479c)
        * No need for the touchdown in the card for the cardtool (bba3e9067)
        * Put the touchdown shape inside a loader (01433e5e9)
        * LVWPH: update clipItem height when list height changes (LP:
          #1606935) (423e7f0e9)

2016-09-14 Andrea Cimitan

        * add a couple of waiting tricks for a flaky dash test (17e731e5f)
        * use mouseFlick instead touchFlick for manage_dash_move_current
          (dea63d790)
        * rework GenericScopeView PullToRefresh test (1071198bd)
        * Use PreviewSingleton for PreviewRatingInput and PreviewCommentInput
          (LP: #1595235) (822db4a6e)
        * Add a PreviewSingleton module to store some data for previews (LP:
          #1595235) (84a7e0775)
        * Elide the label text inside recent searches panel (LP: #1611796)
          (138bdd8c8)
        * override some Qt Components definitions so we can have sane default
          values for flick speeds (97ce5314b)

2016-09-13 Josh Arenson

        * Fix border color (eec474450)
        * Fix keyboard nav issues (8aaabf69c)

2016-09-13 Lukáš Tinkl

        * add a bug reference (70409eba1)

2016-09-13 Josh Arenson

        * All orange everything (d7533e098)

2016-09-13 Michael Zanetti

        * testShell passing!!! (794a658c2)
        * fix z ordering in tablet mode after breaking it with the left edge
          drag progress (c90c39e63)
        * some minor focusing fixes (e306b8367)
        * move dropshadow to a generic place, given it's not only used by the
          stage (14580f23c)
        * disable shortcuts when not needed (babe387bd)
        * bring back the long left edge drag (15e3d4546)
        * fix it after removing some code (a2d71f188)
        * start dropping AbstractStage (275578b00)
        * drop tons of debug prints (3846937d4)
        * fix switching to sideStaged mode from windowed (aaee5f4d0)
        * merge the silo again (6ac6068e3)
        * drop a while lot of unused code (3d7a0dc31)
        * fix side stage when selecting from spread (35c2d2167)
        * fix side stage z index (d45fc1385)
        * minor improvements (c1cd98c75)
        * fix fullscreen sizes after bad merge (f5e36c8ca)
        * some fixes in windowed mode state transitions (3e4449f50)
        * less weird code (15f6813a1)

2016-09-13 Bileto Bot

        * Releasing 8.14+16.10.20160913-0ubuntu1 (3b241405b)

2016-09-13 Marco Trevisan (Treviño)

        * IndicatorsClient: use PageHeader and ListItemLayout's (3945a0ae6)
        * Indicators, mocks: add fake indicators menuitem to populate mocks
          with different menu types (2df5cad36)

2016-09-13 Lukáš Tinkl

        * Implement moving windows by Alt + left mouse button (649c976f3)
        * Implement edge maximizing (aka window snapping) (LP: #1602628,
          #1611859) (edaa4c296)

2016-09-13 Daniel d'Andrada

        * Implement cursor confinement (LP: #1590099) (6b5669f67)
        * Set progress bar indeterminate when processing signal received.
          (LP: #1249349) (f6f8bb818)

2016-09-13 Michael Terry

        * Make infographic bubbles white even on the default wallpaper.
          (8c2752311)
        * Update look of infographic a bit (6f377028e)
        * Use the default system wallpaper instead of our custom one.
          (4bd37d640)
        * Switch from lockscreen PIN pad to a passcode entry box that uses
          the OSK. (85949651a)
        * Hide the greeter OSK if indicators are open and don't show the edge
          tutorial during an emergency call. (14fc032ad)
        * Add an indicator to the greeter when a user is logged in (only
          shown if we have more than one user) (e7d3d6145)
        * Fix tryShell to actually show appropriate backgrounds for each mock
          user. (9716255e7)
        * Support launching apps inside a unity8 session from the greeter and
          support emergency dialing inside the greeter. (4ee911505)

2016-09-13 Josh Arenson

        * Add a frontend to the sessions model and enable a session chooser
          in the greeter. (faa4d33f5)

2016-09-13 Lukáš Tinkl

        * Fix 2 failing color-related tests (5ca186e77)
        * Respect Fitt's law wrt the window control buttons in panel (LP:
          #1611959) (3472f4dc9)
        * On the PC platform (as opposed to running on $devices), use the
          "mute" action instead of silent mode (f7a99a57f)

2016-09-13 Albert Astals Cid

        * Improve findChild calls inside tryCompareFunction. (8c0d380f5)
        * Make test_Shell non ultra slow again (3d4e2d5da)
        * Show "Pull to refresh" in white when overlaid in low luminance
          colors (LP: #1596849) (1a92f919b)
        * Make sure the spinner does not get too close to the title text (LP:
          #1597392) (3a01ab667)
        * Make tryGenericScopeView show the scope correctly (3a6fe626c)
        * Adapt onShiftedContentXChanged to work when the content changes
          very abruptly (67a46136e)
        * Make PreviewActionsTest::test_comboButton more stable (391dbfed0)
        * Dash::test_cardIconStyle change compare into tryCompareFunction
          (6e1f27fa4)
        * Reduce calls to CardCreatorCache.getCardComponent while the
          component is being created (abe40c6d6)
        * LVWPH: Fix items cut on top in the dash (or at least some instances
          of it) (cd1d1501c)
        * LVWPH: Fix case in which header was shown incorrectly (9c327b6ca)
        * Remove artShapeSize from non cardtool cards (27bfea6af)
        * Add bottom gradient to the Show Less floating button (61ffcdf17)
        * No need for the touchdown in the card for the cardtool (19275c7cf)
        * Put the touchdown shape inside a loader (d2acd8ffd)
        * LVWPH: update clipItem height when list height changes (LP:
          #1606935) (a12163825)

2016-09-13 Andrea Cimitan

        * add a couple of waiting tricks for a flaky dash test (66f5b8ed2)
        * use mouseFlick instead touchFlick for manage_dash_move_current
          (80f72d08b)
        * rework GenericScopeView PullToRefresh test (471e64b9b)
        * Use PreviewSingleton for PreviewRatingInput and PreviewCommentInput
          (LP: #1595235) (478ebc17b)
        * Add a PreviewSingleton module to store some data for previews (LP:
          #1595235) (8789de4be)
        * Elide the label text inside recent searches panel (LP: #1611796)
          (b58db189c)
        * override some Qt Components definitions so we can have sane default
          values for flick speeds (c69385605)

2016-09-12 Josh Arenson

        * Fix highlight colors (99e25eb1d)
        * Remove back key handler as it wasnt backspace? (b23877e0d)
        * Fix weird padidng (7a43cb3eb)
        * Allow returning to the loginlist with the keyboard (b028fd5d5)
        * merge trunk (10cf7e241)

2016-09-12 Michael Zanetti

        * fix tranisiton (89a45d8bf)
        * merge silo 78. some things are still slightly broken (914e4c1af)

2016-09-12 Josh Arenson

        * Fix extra margins (79156e5fd)

2016-09-12 Michael Zanetti

        * fix side stage coming in/out on rotation (0cf7d15f5)
        * improve focusing animation, not 100% perfect, but let's see what
          design thinks (37ffe94e1)

2016-09-12 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (b5a587949)

2016-09-12 Lukáš Tinkl

        * hook up support for controlling backlight brightness (fa3e85809)

2016-09-09 Michael Terry

        * Add another missing LightDM import (e6bb9817e)
        * Fix tryShell starting with full user list instead of single user
          (62feeb864)

2016-09-09 Bileto Bot

        * Releasing 8.14+16.10.20160909.4-0ubuntu1 (f5ec17165)

2016-09-09 Marco Trevisan (Treviño)

        * IndicatorsClient: use PageHeader and ListItemLayout's (91236b769)
        * Indicators, mocks: add fake indicators menuitem to populate mocks
          with different menu types (f004aa840)

2016-09-09 Lukáš Tinkl

        * Implement moving windows by Alt + left mouse button (452372c82)
        * Implement edge maximizing (aka window snapping) (LP: #1602628,
          #1608465, #1611859) (fc5ef5e7d)

2016-09-09 Daniel d'Andrada

        * Implement cursor confinement (LP: #1590099) (999ef194b)
        * Set progress bar indeterminate when processing signal received.
          (LP: #1249349) (96ec13508)

2016-09-09 Michael Terry

        * Make infographic bubbles white even on the default wallpaper.
          (0212ec6d8)
        * Update look of infographic a bit (a51be1f13)
        * Use the default system wallpaper instead of our custom one.
          (4fae980bb)
        * Switch from lockscreen PIN pad to a passcode entry box that uses
          the OSK. (db4dbaef5)
        * Hide the greeter OSK if indicators are open and don't show the edge
          tutorial during an emergency call. (de57d30f0)
        * Add an indicator to the greeter when a user is logged in (only
          shown if we have more than one user) (60a4dea58)
        * Fix tryShell to actually show appropriate backgrounds for each mock
          user. (4c782ceea)
        * Support launching apps inside a unity8 session from the greeter and
          support emergency dialing inside the greeter. (1a2119ea1)

2016-09-09 Josh Arenson

        * Add a frontend to the sessions model and enable a session chooser
          in the greeter. (LP: #1512470) (57aef87f0)

2016-09-09 Lukáš Tinkl

        * Fix 2 failing color-related tests (c777ca782)
        * Respect Fitt's law wrt the window control buttons in panel (LP:
          #1611959) (db5b4588c)
        * On the PC platform (as opposed to running on $devices), use the
          "mute" action instead of silent mode (c2efb1df8)

2016-09-09 Albert Astals Cid

        * Improve findChild calls inside tryCompareFunction. (470f0e0e0)
        * Make test_Shell non ultra slow again (3d24b0b98)
        * Show "Pull to refresh" in white when overlaid in low luminance
          colors (LP: #1596849) (43e1627b8)
        * Make sure the spinner does not get too close to the title text (LP:
          #1597392) (140d90673)
        * Make rryGenericScopeView show the scope correctly (cda26195f)
        * Adapt onShiftedContentXChanged to work when the content changes
          very abruptly (b4639156f)
        * Make PreviewActionsTest::test_comboButton more stable (34f61c89b)
        * Dash::test_cardIconStyle change compare into tryCompareFunction
          (538ff247f)
        * Reduce calls to CardCreatorCache.getCardComponent while the
          component is being created (d131ac57a)
        * LVWPH: Fix items cut on top in the dash (or at least some instances
          of it) (d78c7a783)
        * LVWPH: Fix case in which header was shown incorrectly (ddbcd79c7)
        * Remove artShapeSize from non cardtool cards (a8d3b3f0f)
        * Add bottom gradient to the Show Less floating button (349e0cc2c)
        * No need for the touchdown in the card for the cardtool (b2e6288e2)
        * Put the touchdown shape inside a loader (e4bff902b)
        * LVWPH: update clipItem height when list height changes (LP:
          #1606935) (e8531ff47)

2016-09-09 Andrea Cimitan

        * add a couple of waiting tricks for a flaky dash test (d318b0b22)
        * use mouseFlick instead touchFlick for manage_dash_move_current
          (ad13d2f37)
        * rework GenericScopeView PullToRefresh test (fb178ff06)
        * Use PreviewSingleton for PreviewRatingInput and PreviewCommentInput
          (LP: #1595235) (42759c660)
        * Add a PreviewSingleton module to store some data for previews (LP:
          #1595235) (b3e05e6f5)
        * Elide the label text inside recent searches panel (LP: #1611796)
          (b66b11de0)
        * override some Qt Components definitions so we can have sane default
          values for flick speeds (a936dd178)

2016-09-09 Lukáš Tinkl

        * merge prereq (27a857c35)
        * stabilize++ (7a0df34d5)
        * run only when cursor visible (532ec3abe)
        * stabilize++ (d977f3e46)

2016-09-08 Michael Terry

        * Remove some no-longer-used files (5b98027d2)

2016-09-08 Michael Zanetti

        * fix trust prompt animation (fa88508ee)

2016-09-08 Marco Trevisan (Treviño)

        * Merging with lp:~3v1n0/unity8/fake-indicators-model (7b5207efb)

2016-09-08 Michael Zanetti

        * fix some transition glitches (e10b2625e)

2016-09-08 Marco Trevisan (Treviño)

        * fakeindicatorsmodeldata.js: mark indicator-files always visible
          (5e7492747)

2016-09-08 Michael Zanetti

        * cancel spread when clicking outside of tiles (0c98aa45d)
        * allow selecting iteoms in spread by clicking the icon (0f5a760ed)

2016-09-08 Lukáš Tinkl

        * raise the window, when it's in the background (4e1778058)

2016-09-08 Michael Terry

        * Address review comments (c488c5611)

2016-09-08 Lukáš Tinkl

        * revert unrelated (focus) change in tablet stage (74fdc1503)
        * revert this too (a62b52c36)

2016-09-08 Michael Zanetti

        * fix some icons looking odd (ec51a1aa7)

2016-09-08 Lukáš Tinkl

        * ooops (55091c595)
        * move the Alt-LMB handling into DecoratedWindow (390f6e336)
        * merge prereq (0478550eb)
        * turn the MoveHandler into a QtObject (5e01d4800)

2016-09-08 Michael Zanetti

        * disable the right edge area while in spread (f87831df3)

2016-09-08 Albert Astals Cid

        * Stabilize test (4409bac34)
        * Merge (93fd1cec3)
        * Merge (6be603d3f)

2016-09-08 Lukáš Tinkl

        * merge prereq (3eac474b8)

2016-09-08 Michael Zanetti

        * fix the right edge push animation as requested by design
          (a4a2b3207)

2016-09-08 Lukáš Tinkl

        * fix failing drag from panel test (cddd659d3)

2016-09-08 Michael Zanetti

        * fix app rotation restrictions (4432516ab)

2016-09-08 Lukáš Tinkl

        * fixup test, we now let presses pass thru to the decoration
          (39c05dfb1)

2016-09-08 Marco Trevisan (Treviño)

        * Merging with trunk (f7faf124b)

2016-09-08 Michael Zanetti

        * fix resizeArea enabling (16d9a3839)

2016-09-07 Michael Terry

        * Make infographic always white (6b688703a)

2016-09-07 Michael Zanetti

        * merge trunk (a3abeec7f)

2016-09-07 Lukáš Tinkl

        * remove debug (e3a5ecdeb)

2016-09-07 Michael Zanetti

        * add support for the right edge push barrier (481dd7146)
        * fix visual glitch in right edge anim (7fc0f94f4)
        * fix focus highlight when going to spread via touch (5e826eade)
        * more fixes (ab81835ad)

2016-09-07 Lukáš Tinkl

        * merge prereq (6d547218e)
        * backport the fix for focusedAppDelegate (684aa61b8)
        * gah, hate bzr (c2402a61f)
        * merge prereq (31af39220)
        * bad merge (2bbbd585c)
        * merge prereq (e73764dc6)
        * fix bad merge (69f24e6df)
        * merge prereq, fix conflicts (bcd07180f)
        * merge prereq, fix conflicts (cca0a44de)

2016-09-06 Michael Terry

        * Simplify lightdm plugin layout and use in-session lightdm support
          (1c3376882)

2016-09-06 Daniel d'Andrada

        * Implement cursor confinement (16ee79f17)

2016-09-06 Rodney Dawes

        * Set progress bar indeterminate when processing signal received.
          (d4fbda205)

2016-09-06 Daniel d'Andrada

        * merge lp:~mterry/unity8/default-wallpaper (c1b5e2091)

2016-09-06 Michael Terry

        * Merge default-wallpaper (365328528)
        * Merge greeter-no-lockscreen (54614d356)
        * Merge greeter-tiny-bugs (70600a696)
        * Merge greeter-active (32a8b1f86)
        * Merge greeter-mock-bg (aef642bd4)
        * Merge greeter-apps (236684009)
        * Merge session-chooser-gui (293be1d11)

2016-09-06 Josh Arenson

        * Merge trunk (c5069da89)

2016-09-05 Lukáš Tinkl

        * a cleaner version of the focus race workaround (1e29d2631)
        * move windows around with Alt + LMB (d47a39074)
        * merge prereq (f8a0e67df)

2016-09-03 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (ef07a2f29)

2016-09-02 Lukáš Tinkl

        * merge lp:~dandrader/unity8/cursorConfinement (15dc8db9d)

2016-09-02 Bileto Bot

        * Resync trunk. (5475cc090)

2016-09-02 Andrea Cimitan

        * tweaks to dash page header, updated bottom edge asset (6521e8e74)

2016-09-02 Daniel d'Andrada

        * Implement cursor confinement (2daaabd84)

2016-09-02 Rodney Dawes

        * Set progress bar indeterminate when processing signal received.
          (1612875f9)

2016-09-02 Daniel d'Andrada

        * merge lp:~mterry/unity8/default-wallpaper (8595fe661)

2016-09-01 Michael Terry

        * Whoops, don't break support for color backgrounds (ecd6f1e2d)

2016-09-01 Lukáš Tinkl

        * merge trunk (024ffd8bb)
        * prevent conflicts with other branches (14bbc7500)
        * fix 2 failing tests (1f9c3ed6e)
        * drop unused include (0857fc1cd)
        * refactor the dragging property exposure (c09b289ed)
        * don't export the moveHandler from DesktopStage delegate, not needed
          (5e6ca453a)
        * remove now redundant handlePressedChanged() call (284df1a4a)
        * add a note mentioning the worked around bug (0e8355f36)
        * fix failing color tests (4bba1a51b)
        * fade in/out nicely (725a06121)
        * hide the cursor for fullscreen apps (6d789f7fc)
        * don't emit pushStopped() unnecessarily if not pushing (52a6b8cae)
        * revert unrelated (7d1ad5f8e)

2016-09-01 Daniel d'Andrada

        * simplify the panel dragging down (cf0928798)

2016-09-01 Lukáš Tinkl

        * merge trunk (0c2a48d12)

2016-09-01 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (ca5b0ec3e)

2016-08-31 Daniel d'Andrada

        * Simplify code (71861ef51)

2016-08-31 Michael Terry

        * Merge default-wallpaper (afff23f3f)
        * More tweaks (b09af9b9b)

2016-08-31 Michael Zanetti

        * all tst_Shell tests passing again except 2 where the according
          features are not implemented fully yet. Need some last
          design calls on those (b1aeb8e07)

2016-08-31 Lukáš Tinkl

        * fixup a failing test (e7a87e910)

2016-08-31 Michael Terry

        * Fix a couple shell tests (0f8ff28cf)

2016-08-31 Daniel d'Andrada

        * merge lp:~lukas-kde/unity8/edgeMaximize (5953e33cd)

2016-08-31 Lukáš Tinkl

        * use a Qt C++ property for the panel height (cee9f5149)
        * also save the distanceY for restoring the window dragged back from
          a maximized state (f803c90cc)
        * minor fixes and cleanups (ba4131f4d)

2016-08-31 Bileto Bot

        * Releasing 8.14+16.10.20160831.3-0ubuntu1 (aad144cb0)

2016-08-31 Daniel d'Andrada

        * Added implementation for MirSurfaceInterface::persistentId
          (78baf5822)

2016-08-31 Bileto Bot

        * Resync trunk. (bf2cf1f49)

2016-08-31 Lukáš Tinkl

        * fix touch dragging \o/ (4ae834f60)

2016-08-31 Launchpad Translations on behalf of unity-team

        * Launchpad automatic translations update. (2ba2e5a79)

2016-08-31 Andrea Azzarone

        * Remove UbuntuShapeForItem and replace its use with the more
          standard Ubuntu.Components.UbuntuShape. (13979a79b)

2016-08-30 Michael Terry

        * Merge default-wallpaper (3906ddab6)
        * Fix test I broke in a merge (d160f72ea)
        * Merge default-wallpaper (6ae2cfa3e)
        * add missing test image; re-use QImageReaders more; fix test
          (997ff13e7)

2016-08-30 Michael Zanetti

        * improve the right edge gesture (9633901cb)
        * fix some more tests (9a152f1f5)

2016-08-30 Lukáš Tinkl

        * progress -> absolute amount for the touch overlay push (6eab3ed47)

2016-08-30 Andrea Azzarone

        * Use a timer to avoid showing the "grabbing" cursor on a double
          click. A similar solution is used in unity7 too.
          (a6afc09f0)

2016-08-30 Michael Terry

        * Update look of infographic a bit (79dd7cf9a)
        * Remove old backgrounds (8e9448736)
        * Use the default system wallpaper instead of our custom one.
          (20b30a4db)
        * Switch from lockscreen PIN pad to a passcode entry box that uses
          the OSK. (80ab351bd)

2016-08-30 Michael Zanetti

        * hide invisible apps (78417e64b)

2016-08-30 Michael Terry

        * Hide the greeter OSK if indicators are open and don't show the edge
          tutorial during an emergency call. (dd6ea60a4)
        * Add an indicator to the greeter when a user is logged in (only
          shown if we have more than one user) (9915ccd5d)
        * Merge greeter-apps (47521cc56)

2016-08-30 Michael Zanetti

        * fix another test (4963440db)
        * fix lifecycle for tablet too (d025bc57d)
        * bring the lifecycle code back (5a252fb95)

2016-08-30 Lukáš Tinkl

        * more accurate left/top/right hit testing (bb2f7b591)

2016-08-30 Albert Astals Cid

        * Improve findChild calls inside tryCompareFunction (ed1a770bd)

2016-08-30 Lukáš Tinkl

        * WIP: touch based edge detection and maximizing (9eaba2a42)

2016-08-29 Tomás Tormo

        * Add unit test for new day detection and set in infographics
          (c4bf68335)

2016-08-29 Michael Zanetti

        * fix selecting apps from launcher while in spread (ba6a18e5e)
